----------
-- Name: WOOGLED
-- Description: A player and pet cooldown-tracking addon for WoW
-- Author: Woogs - Greymane (US)
-- Version: 2.0.x
-- License: All Rights Reserved
----------


local Libs = WOOGLED.Libs;


Libs.duel = {
	name = {
		enUS = 'Duels',
	},
	trigger = {
		enUS = 'Duel starting: 1',
	},
};


Libs.zones = {
	nagrandArena = {
		names = {
			enUS = 'Nagrand Arena',
			frFR = 'Arène de Nagrand',
			deDE = 'Arena von Nagrand',
			koKR = '나그란드 투기장',
			esMX = 'Arena de Nagrand',
			ruRU = 'Арена Награнда',
			zhCN = '纳格兰竞技场',
			esES = 'Arena de Nagrand',
			zhTW = '納葛蘭競技場',
		},
		playersPerTeam = 5,
		hasMap = false,
		groupId = 'arenas',
	},
	bladesEdgeArena = {
		names = {
			enUS = "Blade's Edge Arena",
			frFR = 'Arène des Tranchantes',
			deDE = 'Arena des Schergrats',
			koKR = '칼날 투기장',
			esMX = 'Arena Filospada',
			ruRU = 'Арена Острогорья',
			zhCN = '刀锋山竞技场',
			esES = 'Arena Filospada',
			zhTW = '劍刃競技場',
		},
		playersPerTeam = 5,
		hasMap = false,
		groupId = 'arenas',
	},
	ruinsOfLordaeron = {
		names = {
			enUS = 'Ruins of Lordaeron',
			frFR = 'Ruines de Lordaeron',
			deDE = 'Ruinen von Lordaeron',
			koKR = '로데론의 폐허',
			esMX = 'Ruinas de Lordaeron',
			ruRU = 'Руины Лордерона',
			zhCN = '洛丹伦废墟',
			esES = 'Ruinas de Lordaeron',
			zhTW = '羅德隆廢墟',
		},
		playersPerTeam = 5,
		hasMap = false,
		groupId = 'arenas',
	},
	dalaranArena = {
		names = {
			enUS = 'Dalaran Arena',
			frFR = 'Arène de Dalaran',
			deDE = 'Arena von Dalaran',
			koKR = '달라란 투기장',
			esMX = 'Arena de Dalaran',
			ruRU = 'Арена Даларана',
			zhCN = '达拉然竞技场',
			esES = 'Arena de Dalaran',
			zhTW = '達拉然競技場',
		},
		playersPerTeam = 5,
		hasMap = false,
		groupId = 'arenas',
	},
	theRingOfValor = {
		names = {
			enUS = 'The Ring of Valor',
			frFR = "L'Arène des valeureux",
			deDE = 'Der Ring der Ehre',
			koKR = '용맹의 투기장',
			esMX = 'El Anillo del Valor',
			ruRU = 'Круг Доблести',
			zhCN = '勇气竞技场',
			esES = 'El Anillo del Valor',
			zhTW = '勇武之環',
		},
		playersPerTeam = 5,
		hasMap = false,
		groupId = 'arenas',
	},
	battle_for_gilneas = {
		names = {
			enUS = 'The Battle for Gilneas',
			frFR = 'La bataille de Gilnéas',
			deDE = 'Die Schlacht um Gilneas',
			--koKR = '',
			esMX = 'La Batalla por Gilneas',
			ruRU = 'Битва за Гилнеас',
			--zhCN = '',
			esES = 'La Batalla por Gilneas',
			zhTW = '吉爾尼斯之戰',
		},
		playersPerTeam = 10,
		hasMap = true,
	},
	twin_peaks = {
		names = {
			enUS = 'Twin Peaks',
			frFR = 'Pics-Jumeaux',
			deDE = 'Zwillingsgipfel',
			--koKR = '',
			esMX = 'Cumbres Gemelas',
			ruRU = 'Два Пика',
			--zhCN = '',
			esES = 'Cumbres Gemelas',
			zhTW = '雙子峰',
		},
		playersPerTeam = 10,
		hasMap = true,
	},
	warsongGulch = {
		names = {
			enUS = 'Warsong Gulch',
			frFR = 'Goulet des Chanteguerres',
			deDE = 'Kriegshymnenschlucht',
			koKR = '전쟁노래 협곡',
			esMX = 'Garganta Grito de Guerra',
			ruRU = 'Ущелье Песни Войны',
			zhCN = '战歌峡谷',
			esES = 'Garganta Grito de Guerra',
			zhTW = '戰歌峽谷',
		},
		playersPerTeam = 10,
		hasMap = true,
	},
	arathiBasin = {
		names = {
			enUS = 'Arathi Basin',
			frFR = "Bassin d'Arathi",
			deDE = 'Arathibecken',
			koKR = '아라시 분지',
			esMX = 'Cuenca de Arathi',
			ruRU = 'Низина Арати',
			zhCN = '阿拉希盆地',
			esES = 'Cuenca de Arathi',
			zhTW = '阿拉希盆地',
		},
		playersPerTeam = 15,
		hasMap = true,
	},
	eyeOfTheStorm = {
		names = {
			enUS = 'Eye of the Storm',
			frFR = "L'Œil du cyclone",
			deDE = 'Auge des Sturms',
			koKR = '폭풍의 눈',
			esMX = 'Ojo de la Tormenta',
			ruRU = 'Око Бури',
			zhCN = '风暴之眼',
			esES = 'Ojo de la Tormenta',
			zhTW = '暴風之眼',
		},
		playersPerTeam = 15,
		hasMap = true,
	},
	strandOfTheAncients = {
		names = {
			enUS = 'Strand of the Ancients',
			frFR = 'Rivage des anciens',
			deDE = 'Strand der Uralten',
			koKR = '고대의 해안',
			esMX = 'Playa de los Ancestros',
			ruRU = 'Берег Древних',
			zhCN = '远古海滩',
			esES = 'Playa de los Ancestros',
			zhTW = '遠祖灘頭',
		},
		playersPerTeam = 15,
		hasMap = true,
	},
	alteracValley = {
		names = {
			enUS = 'Alterac Valley',
			frFR = "Vallée d'Alterac",
			deDE = 'Alteractal',
			koKR = '알터랙 계곡',
			esMX = 'Valle de Alterac',
			ruRU = 'Альтеракская долина',
			zhCN = '奥特兰克山谷',
			esES = 'Valle de Alterac',
			zhTW = '奧特蘭克山谷',
		},
		playersPerTeam = 40,
		hasMap = true,
	},
	isleOfConquest = {
		names = {
			enUS = 'Isle of Conquest',
			frFR = 'Île des Conquérants',
			deDE = 'Insel der Eroberung',
			koKR = '정복의 섬',
			esMX = 'Isla de la Conquista',
			ruRU = 'Остров Завоеваний',
			zhCN = '征服之岛',
			esES = 'Isla de la Conquista',
			zhTW = '征服之島',
		},
		playersPerTeam = 40,
		hasMap = true,
	},
	tol_barad = {
		names = {
			enUS = 'Tol Barad',
			frFR = 'Tol Barad',
			deDE = 'Tol Barad',
			--koKR = '',
			esMX = 'Tol Barad',
			ruRU = 'Тол Барад',
			--zhCN = '',
			esES = 'Tol Barad',
			zhTW = '托巴拉德',
		},
		playersPerTeam = 120,
		hasMap = true,
	},
	wintergrasp = {
		names = {
			enUS = 'Wintergrasp',
			frFR = "Joug-d'hiver",
			deDE = 'Tausendwintersee',
			koKR = '겨울손아귀 호수',
			esMX = 'Conquista del Invierno',
			ruRU = 'Озеро Ледяных Оков',
			zhCN = '冬拥湖',
			esES = 'Conquista del Invierno',
			zhTW = '冬握湖',
		},
		playersPerTeam = 120,
		hasMap = true,
	},
};


Libs.zoneGroups = {
	arenas = {
		names = {
			enUS = 'Arenas',
			frFR = 'Arènes',
			deDE = 'Arenen',
			--koKR = '',
			esMX = 'Arenas',
			ruRU = 'Арены',
			--zhCN = '',
			esES = 'Arenas',
			zhTW = '阿里納斯',
		},
		playersPerTeam = 5,
		hasMap = false,
	},
};


Libs.classes = {
	deathknight = {
		pets = {
			ghoul = 1,
		},
		names = {
			enUS = 'Death Knight',
		},
		spec = {
			blood = {
				name = {
					enUS = 'Blood',
				},
			},
			frost = {
				name = {
					enUS = 'Frost',
				},
			},
			unholy = {
				name = {
					enUS = 'Unholy',
				},
			},
		},
	},
	druid = {
		names = {
			enUS = 'Druid',
		},
		spec = {
			balance = {
				name = {
					enUS = 'Balance',
				},
			},
			feralCombat = {
				name = {
					enUS = 'Feral Combat',
				},
			},
			restoration = {
				name = {
					enUS = 'Restoration',
				},
			},
		},
	},
	hunter = {
		pets = {
			hunter_pet = 1,
		},
		names = {
			enUS = 'Hunter',
		},
		spec = {
			beastMastery = {
				name = {
					enUS = 'Beast Mastery',
				},
			},
			marksmanship = {
				name = {
					enUS = 'Marksmanship',
				},
			},
			survival = {
				name = {
					enUS = 'Survival',
				},
			},
		},
	},
	mage = {
		pets = {
			water_elemental = 1,
		},
		names = {
			enUS = 'Mage',
		},
		spec = {
			arcane = {
				name = {
					enUS = 'Arcane',
				},
			},
			fire = {
				name = {
					enUS = 'Fire',
				},
			},
			frost = {
				name = {
					enUS = 'Frost',
				},
			},
		},
	},
	paladin = {
		names = {
			enUS = 'Paladin',
		},
		spec = {
			holy = {
				name = {
					enUS = 'Holy',
				},
			},
			protection = {
				name = {
					enUS = 'Protection',
				},
			},
			retribution = {
				name = {
					enUS = 'Retribution',
				},
			},
		},
	},
	priest = {
		names = {
			enUS = 'Priest',
		},
		spec = {
			discipline = {
				name = {
					enUS = 'Discipline',
				},
			},
			holy = {
				name = {
					enUS = 'Holy',
				},
			},
			shadow = {
				name = {
					enUS = 'Shadow',
				},
			},
		},
	},
	rogue = {
		names = {
			enUS = 'Rogue',
		},
		spec = {
			assassination = {
				name = {
					enUS = 'Assassination',
				},
			},
			combat = {
				name = {
					enUS = 'Combat',
				},
			},
			subtlety = {
				name = {
					enUS = 'Subtlety',
				},
			},
		},
	},
	shaman = {
		names = {
			enUS = 'Shaman',
		},
		spec = {
			elemental = {
				name = {
					enUS = 'Elemental',
				},
			},
			enhancement = {
				name = {
					enUS = 'Enhancement',
				},
			},
			restoration = {
				name = {
					enUS = 'Restoration',
				},
			},
		},
	},
	warlock = {
		pets = {
			felguard = 1,
			felhunter = 1,
			imp = 1,
			succubus = 1,
			voidwalker = 1,
		},
		names = {
			enUS = 'Warlock',
		},
		spec = {
			affliction = {
				name = {
					enUS = 'Affliction',
				},
			},
			demonology = {
				name = {
					enUS = 'Demonology',
				},
			},
			destruction = {
				name = {
					enUS = 'Destruction',
				},
			},
		},
	},
	warrior = {
		names = {
			enUS = 'Warrior',
			frFR = 'Guerrier',
			deDE = 'Krieger',
			--koKR = '',
			esMX = 'Guerrero',
			ruRU = 'Воин',
			--zhCN = '',
			esES = 'Guerrero',
			--zhTW = '',
		},
		spec = {
			arms = {
				name = {
					enUS = 'Arms',
					frFR = 'Armes',
					deDE = 'Waffen',
					--koKR = '',
					esMX = 'Armas',
					ruRU = 'Оружие',
					--zhCN = '',
					esES = 'Armas',
					--zhTW = '',
				},
			},
			fury = {
				name = {
					enUS = 'Fury',
					frFR = 'Fureur',
					deDE = 'Furor',
					--koKR = '',
					esMX = 'Furia',
					ruRU = 'Неистовство',
					--zhCN = '',
					esES = 'Furia',
					--zhTW = '',
				},
			},
			protection = {
				name = {
					enUS = 'Protection',
					frFR = 'Protection',
					deDE = 'Schutz',
					--koKR = '',
					esMX = 'Protección',
					ruRU = 'Защита',
					--zhCN = '',
					esES = 'Protección',
					--zhTW = '',
				},
			},
		},
	},
};


Libs.icons = {
	default = [[interface\icons\trade_engineering]],
	of = {
		panel = {
			extraFrames = [[interface\icons\inv_misc_stonetablet_09]],
			focusFrame = [[interface\icons\inv_misc_stonetablet_07]],
			targetFrame = [[interface\icons\inv_misc_stonetablet_01]],
			general = [[interface\icons\inv_misc_wrench_01]],
		},
		group = {
			row = [[interface\icons\inv_gizmo_mithrilcasing_02]],
			anchor = [[interface\icons\trade_blacksmithing]],
			endpoint = [[interface\icons\spell_shadow_soulgem]],
			font = [[interface\icons\inv_stone_weightstone_05]],
			player = [[interface\icons\spell_holy_crusade]],
			pet = [[interface\icons\ability_hunter_ferociousinspiration]],
			color = 'interface\\icons\\inv_ore_arcanite_01',
			texture = 'interface\\icons\\inv_fabric_wool_01',
			allClasses = {
				general = 'interface\\icons\\spell_magic_polymorphchicken',
				standards = 'interface\\icons\\inv_brd_banner',
			},
		},
	},
	profession = {
		firstAid = 'interface\\icons\\spell_holy_sealofsacrifice',
		alchemy = 'interface\\icons\\trade_alchemy',
		engineering = 'interface\\icons\\trade_engineering',
		herbalism = 'interface\\icons\\spell_nature_naturetouchgrow',
		leatherworking = 'interface\\icons\\inv_misc_armorkit_17',
		tailoring = 'interface\\icons\\trade_tailoring',
	},
	misc = {
		close = 'Interface\\BUTTONS\\UI-Panel-MinimizeButton-Up';
		petLink = 'Interface\\Icons\\Ability_Hunter_BeastWithin',
		alliance = 'Interface\\Icons\\Inv_Misc_Tournaments_Banner_Human',
		horde = 'Interface\\Icons\\Inv_Misc_Tournaments_Banner_Orc',
		rangeMode = 'Interface\\Icons\\Spell_nature_timestop',
		teamMode = 'Interface\\Icons\\Inv_misc_grouplooking',
		pin = 'Interface\\Icons\\Ability_Hunter_SniperShot',
		unpin = 'Interface\\Icons\\Spell_shadow_twilight'
	},
	player = {
		general = 'Interface\\Icons\\Spell_magic_polymorphchicken';
		class = {
			deathknight = 'Interface\\Addons\\WOOGLED\\icons\\death_knight',
			druid = 'Interface\\Icons\\INV_Misc_MonsterClaw_04',
			hunter = 'Interface\\Icons\\INV_Weapon_Bow_07',
			mage = 'Interface\\Icons\\INV_Staff_13',
			paladin = 'Interface\\Addons\\WOOGLED\\icons\\paladin',
			priest = 'Interface\\Addons\\WOOGLED\\icons\\priest',
			rogue = 'Interface\\Addons\\WOOGLED\\icons\\rogue',
			shaman = 'Interface\\Icons\\Spell_Nature_BloodLust',
			warlock = 'Interface\\Icons\\Spell_Nature_Drowsy',
			warrior = 'Interface\\Icons\\INV_Sword_27'
		},
		spec = {
			deathknight = {
				blood = 'interface\\icons\\spell_deathknight_bloodpresence',
				frost = 'interface\\icons\\spell_deathknight_frostpresence',
				unholy = 'interface\\icons\\spell_deathknight_unholypresence',
			},
			druid = {
				balance = 'interface\\icons\\spell_nature_starfall',
				feralCombat = 'interface\\icons\\ability_racial_bearform',
				restoration = 'interface\\icons\\spell_nature_healingtouch',
			},
			hunter = {
				beastMastery = 'interface\\icons\\ability_hunter_bestialdiscipline',
				marksmanship = 'interface\\icons\\ability_hunter_focusedaim',
				survival = 'interface\\icons\\ability_hunter_camouflage',
			},
			mage = {
				arcane = 'interface\\icons\\spell_holy_magicalsentry',
				fire = 'interface\\icons\\spell_fire_firebolt02',
				frost = 'interface\\icons\\spell_frost_frostbolt02',
			},
			paladin = {
				holy = 'interface\\icons\\spell_holy_holybolt',
				protection = 'interface\\icons\\ability_paladin_shieldofthetemplar',
				retribution = 'interface\\icons\\spell_holy_auraoflight',
			},
			priest = {
				discipline = 'interface\\icons\\spell_holy_powerwordshield',
				holy = 'interface\\icons\\spell_holy_guardianspirit',
				shadow = 'interface\\icons\\spell_shadow_shadowwordpain',
			},
			rogue = {
				assassination = 'interface\\icons\\ability_rogue_eviscerate',
				combat = 'interface\\icons\\ability_backStab',
				subtlety = 'interface\\icons\\ability_stealth',
			},
			shaman = {
				elemental = 'interface\\icons\\spell_nature_lightning',
				enhancement = 'interface\\icons\\spell_nature_lightningshield',
				restoration = 'interface\\icons\\spell_nature_resistmagic',
			},
			warlock = {
				affliction = 'interface\\icons\\spell_shadow_deathCoil',
				demonology = 'interface\\icons\\spell_shadow_metamorphosis',
				destruction = 'interface\\icons\\spell_shadow_rainoffire',
			},
			warrior = {
				arms = 'interface\\icons\\ability_warrior_savageblow',
				fury = 'interface\\icons\\ability_warrior_innerrage',
				protection = 'interface\\icons\\ability_warrior_defensivestance',
			}
		}
	},
	pet = {
		class = {
			voidwalker = 'Interface\\Icons\\Spell_Shadow_SummonVoidWalker',
			felhunter = 'Interface\\Icons\\Spell_Shadow_SummonFelHunter',
			felguard = 'Interface\\Icons\\Spell_Shadow_SummonFelguard',
			ghoul = 'Interface\\Icons\\Spell_shadow_RaiseDead',
			hunterPet = 'Interface\\Icons\\Ability_Hunter_BeastTraining',
			imp = 'Interface\\Icons\\spell_shadow_summonimp',
			succubus = 'Interface\\Icons\\spell_shadow_summonsuccubus',
			waterElemental = 'Interface\\Icons\\spell_frost_summonwaterelemental_2',
		}
	}
};


Libs.events = {
	success = {
		SPELL_CAST_SUCCESS = 1,
	},
	create = {
		SPELL_CREATE = 1,
	},
	resurrect = {
		SPELL_RESURRECT = 1,
	},
	summon = {
		SPELL_SUMMON = 1,
	},
	energize = {
		SPELL_ENERGIZE = 1,
	},
	leech = {
		SPELL_LEECH = 1,
	},
	auraRemove = {
		SPELL_AURA_REMOVED = 1,
	},
	damage = {
		SPELL_DAMAGE = 1,
		SPELL_MISSED = 1,
	},
	damageSplit = {
		DAMAGE_SPLIT = 1,
		SPELL_MISSED = 1,
	},
	heal = {
		SPELL_HEAL = 1,
		SPELL_MISSED = 1,
	},
	auraApply = {
		SPELL_AURA_APPLIED = 1,
		SPELL_MISSED = 1,
		SPELL_AURA_REFRESH = 1,
	},
	auraApplyRemove = {
		SPELL_AURA_APPLIED = 1,
		SPELL_AURA_REMOVED = 1,
	},
	auraApplyRemove_periodicEnergize = {
		SPELL_AURA_APPLIED = 1,
		SPELL_AURA_REMOVED = 1,
		SPELL_PERIODIC_ENERGIZE = 1,
	},
	auraApplyRemove_periodicHeal = {
		SPELL_AURA_APPLIED = 1,
		SPELL_AURA_REMOVED = 1,
		SPELL_PERIODIC_HEAL = 1,
	},
	auraApply_periodicHeal = {
		SPELL_AURA_APPLIED = 1,
		SPELL_MISSED = 1,
		SPELL_PERIODIC_HEAL = 1,
	},
	auraApply_periodicEnergize = {
		SPELL_AURA_APPLIED = 1,
		SPELL_MISSED = 1,
		SPELL_PERIODIC_ENERGIZE = 1,
	},
};