----------
-- Name: WOOGLED
-- Description: A player and pet cooldown-tracking addon for WoW
-- Author: Woogs - Greymane (US)
-- Version: 2.0.x
-- License: All Rights Reserved
----------


local WOOGLED = WOOGLED;
local Zones = WOOGLED.Zones;
local Libs = WOOGLED.Libs;
local Spells = WOOGLED.Spells;
local Tools = WOOGLED.Tools;
local Units = WOOGLED.Units;
local CooldownFrames = WOOGLED.CooldownFrames;
local OptionsFrame = WOOGLED.OptionsFrame;
local MinimapFrame = WOOGLED.MinimapFrame;


Zones.zoneName = nil;
Zones.zoneIndex = nil;
Zones.zoneOptionsTable = nil;
Zones.zoneLibTable = nil;
Zones.zoneLabel = nil;
Zones.lastZoneIndex = nil


function Zones.onZoneChange()
	SetMapToCurrentZone();
	Zones.zoneName = GetRealZoneText();
	Zones.lastZoneIndex, Zones.zoneIndex, Zones.zoneOptionsTable, Zones.zoneLibTable, Zones.zoneLabel = Zones.zoneIndex, Zones.getZoneInfo(Zones.zoneName, WOOGLED.player.locale);
	if ( Zones.zoneIndex ~= Zones.lastZoneIndex ) then
		Zones.setZoneOptions();
		WOOGLED.clearAll();
		if ( zoneIndex ~= 'other' ) then
			WOOGLED.time.woogsCheck.state = true;
		end
	end
end


function Zones.setZoneOptions()
	CooldownFrames.setVisibility(Zones.zoneOptionsTable.enableTF, 'tf');
	CooldownFrames.onFocusChange();
	OptionsFrame.groupFrames.zone_currentSetting:SetText(Zones.zoneLabel);
	if ( Zones.zoneOptionsTable.enableTF or Zones.zoneOptionsTable.enableFF ) then
		WOOGLED.setParse(true);
	else
		WOOGLED.setParse(false);
	end
end


function Zones.getZoneInfo(pZoneName, pLocale)
	for zoneIndex, zoneLibTable in pairs ( Libs.zones ) do
		if ( zoneLibTable.names[pLocale] == pZoneName ) then
			if ( zoneLibTable.groupId ~= nil and WOOGLED_OPTIONS.zones[zoneLibTable.groupId] ~= nil ) then
				return zoneLibTable.groupId, WOOGLED_OPTIONS.zones[zoneLibTable.groupId], Libs.zoneGroups[zoneLibTable.groupId], zoneLibTable.names[WOOGLED.player.locale];
			else
				return zoneIndex, WOOGLED_OPTIONS.zones[zoneIndex], zoneLibTable, zoneLibTable.names[WOOGLED.player.locale];
			end
		end
	end
	return 'other', WOOGLED_OPTIONS.zones.other, nil, 'Everywhere else';
end