----------
-- Name: WOOGLED
-- Description: A player and pet cooldown-tracking addon for WoW
-- Author: Woogs - Greymane (US)
-- Version: 2.0.x
-- License: All Rights Reserved
----------


WOOGLED.OptionsFrame.frames = {};
WOOGLED.OptionsFrame.frames.toolbar = {};
WOOGLED.OptionsFrame.buttons = {};
WOOGLED.OptionsFrame.buttons.toolbar = {};
WOOGLED.OptionsFrame.text = {};
WOOGLED.OptionsFrame.text.toolbar = {};
WOOGLED.OptionsFrame.currentPanel = nil;
WOOGLED.OptionsFrame.cdGroupIndex = {};
WOOGLED.OptionsFrame.cdGroupButtonIndex = {};

WOOGLED.OptionsFrame.pet_tagIndex = {};
WOOGLED.OptionsFrame.pet_cdButtonIndex = {};

WOOGLED.OptionsFrame.cooldownButtonIndex = {};
WOOGLED.OptionsFrame.cooldownFrames = {};
WOOGLED.OptionsFrame.specFrames = {};
WOOGLED.OptionsFrame.panelFrames = {};
WOOGLED.OptionsFrame.groupFrames = {};
WOOGLED.OptionsFrame.groupSpellIndexes = {};


-- [OBJECTS] --
local WOOGLED = WOOGLED;
--local WOOGLED_OPTIONS = WOOGLED_OPTIONS;
local Zones = WOOGLED.Zones;
local SavedVars = WOOGLED.SavedVars;
local Libs = WOOGLED.Libs;
local Spells = WOOGLED.Spells;
local Tools = WOOGLED.Tools;
local Units = WOOGLED.Units;
local PlayerFrame = WOOGLED.PlayerFrame;
local CooldownFrames = WOOGLED.CooldownFrames;
local FocusFrame = WOOGLED.FocusFrame;
local OptionsFrame = WOOGLED.OptionsFrame;
local MinimapFrame = WOOGLED.MinimapFrame;


local toggles = WOOGLED.toggles;


local frames = WOOGLED.OptionsFrame.frames;
local buttons = WOOGLED.OptionsFrame.buttons;
local text = WOOGLED.OptionsFrame.text;
local currentPanel = WOOGLED.OptionsFrame.currentPanel;
local cdGroupIndex = WOOGLED.OptionsFrame.cdGroupIndex;
local cdGroupButtonIndex = WOOGLED.OptionsFrame.cdGroupButtonIndex;
local pet_tagIndex = WOOGLED.OptionsFrame.pet_tagIndex;
local pet_cdButtonIndex = WOOGLED.OptionsFrame.pet_cdButtonIndex;

local f = OptionsFrame.frames;
local cdf = OptionsFrame.cooldownFrames;
local sf = OptionsFrame.specFrames;
local pf = OptionsFrame.panelFrames;
local gf = OptionsFrame.groupFrames;
local gsi = OptionsFrame.groupSpellIndexes;


local panels = {
	info = {name = 'Info', icon =  [[interface\icons\inv_misc_wrench_01]]},
	general = {icon = Libs.icons.of.panel.general},
	target_frame = {icon = Libs.icons.of.panel.targetFrame},
	focus_frame = {icon = Libs.icons.of.panel.focusFrame},
	extraFrames = {icon = Libs.icons.of.panel.extraFrames},
	--
	allClasses = {name = 'All Classes', icon = [[interface\icons\inv_misc_grouplooking]]},
	--
	deathknight = {icon = Libs.icons.player.class.deathknight},
	druid = {icon = Libs.icons.player.class.druid},
	hunter = {icon = Libs.icons.player.class.hunter},
	mage = {icon = Libs.icons.player.class.mage},
	rogue = {icon = Libs.icons.player.class.rogue},
	paladin = {icon = Libs.icons.player.class.paladin},
	priest = {icon = Libs.icons.player.class.priest},
	shaman = {icon = Libs.icons.player.class.shaman},
	warlock = {icon = Libs.icons.player.class.warlock},
	warrior = {icon = Libs.icons.player.class.warrior},
	--
	firstAid = {icon = Libs.icons.profession.firstAid},
	alchemy = {name = 'Alchemy', icon = Libs.icons.profession.alchemy},
	engineering = {name = 'Engineering', icon = Libs.icons.profession.engineering},
	herbalism = {icon = Libs.icons.profession.herbalism},
	leatherworking = {name = 'Leatherworking', icon = Libs.icons.profession.leatherworking},
	tailoring = {name = 'Tailoring', icon = Libs.icons.profession.tailoring},
	--
	felguard = {icon = Libs.icons.pet.class.felguard},
	felhunter = {icon = Libs.icons.pet.class.felhunter},
	ghoul = {icon = Libs.icons.pet.class.ghoul},
	hunterPet = {name = 'Hunter Pet', icon = Libs.icons.pet.class.hunterPet},
	voidwalker = {icon = Libs.icons.pet.class.voidwalker},
	imp = {icon = Libs.icons.pet.class.imp},
	succubus = {icon = Libs.icons.pet.class.succubus},
	waterElemental = {icon = Libs.icons.pet.class.waterElemental},
};


function OptionsFrame.build()

	local width = 650;	
	local rowHeight = 22;
	local numColumns = 3;

	f.anchor = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_FRAMES_ANCHOR', UIParent);
	f.anchor:SetWidth(width);
	f.anchor:SetHeight(123);
	f.anchor.texture = f.anchor:CreateTexture();
	f.anchor.texture:SetAllPoints(f.anchor);
	f.anchor.texture:SetTexture(0, 0, 0, 0.9);
	f.anchor:SetClampedToScreen(true);
	f.anchor:SetMovable(true);
	f.anchor:EnableMouse(true);
	f.anchor:SetScript('OnMouseDown', f.anchor.StartMoving);
	f.anchor:SetScript('OnMouseUp', f.anchor.StopMovingOrSizing);
	f.anchor:RegisterForDrag('LeftButton');
	f.anchor:SetFrameStrata('HIGH');
	f.anchor:Hide();
	
	f.background = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_FRAMES_BACKGROUND', f.anchor);
	f.background:SetWidth(width);
	f.background:SetPoint('TOP', f.anchor, 'BOTTOM');
	f.background:EnableMouse(true);
	f.background.texture = f.background:CreateTexture();
	f.background.texture:SetAllPoints(f.background);
	f.background.texture:SetTexture(0, 0, 0, 0.9);
	
	f.titleIcon = CreateFrame('Button', 'WOOGLED_OPTIONSFRAME_FRAMES_TITLEICON', f.anchor);
	f.titleIcon:SetWidth(35);
	f.titleIcon:SetHeight(35);
	f.titleIcon:SetPoint('LEFT', f.anchor, 'LEFT', WOOGLED_OPTIONS.of.border, 0);
	f.titleIcon:SetBackdrop({bgFile = 'Interface\\ICONS\\Inv_misc_head_clockworkgnome_01'});
	f.titleIcon:SetScript('OnClick', function() OptionsFrame.setPanel(pf.info_background); end);
	
	f.title = f.anchor:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	f.title:SetPoint('LEFT', f.titleIcon, 'RIGHT', 5, 0);
	f.title:SetFont('Fonts\\ZYKai_T.TTF', 26);
	f.title:SetText('WOOGLED');
	
	f.version = f.anchor:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	f.version:SetPoint('TOP', f.title, 'BOTTOM', 0, -5);
	f.version:SetFont('Fonts\\ZYKai_T.TTF', 11);
	f.version:SetText('v'..WOOGLED.version);
	f.version:SetTextColor(1, 1, 1, 1);
	
	OptionsFrame.buildEditBox(f, 'scale', 'Scale (0.5 - 1.5) : ', WOOGLED_OPTIONS.of.scale, f.anchor, WOOGLED_OPTIONS.of.group.editBox.width, rowHeight, WOOGLED_OPTIONS.of.border, WOOGLED_OPTIONS.of.border*-1, OptionsFrame.onScaleChange);
	
	f.close = CreateFrame('Button', 'WOOGLED_OPTIONSFRAME_FRAMES_CLOSE', f.background);
	f.close:SetWidth(75);
	f.close:SetHeight(22);
	f.close:SetPoint('BOTTOMRIGHT', f.background, 'BOTTOMRIGHT', WOOGLED_OPTIONS.of.border*-1, WOOGLED_OPTIONS.of.border);
	f.close:SetScript('OnClick', function() OptionsFrame.okBtn_onClick(); end);
	Tools.setupTexture(f.close);
	f.close.texture:SetTexture(0.2, 0.2, 0.2, 1);
	f.close.text = f.close:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	f.close.text:SetTextColor(1, 1, 1, 1);
	f.close.text:SetFont('Fonts\\ZYKai_T.TTF', 11);
	f.close.text:SetPoint('CENTER');
	f.close.text:SetText('Close');
	f.close:SetFontString(f.close.text);
	
	-- build panel and toolbar frames
	
		for panelName, panelTable in pairs ( panels ) do
			OptionsFrame.buildPanel(panelName, panelTable.name, f.background, width, panelTable.icon);
			OptionsFrame.buildToolbarBtn(panelName, pf[panelName..'_background'], panelTable.icon);
		end
	
	-- position toolbar frames
	
		OptionsFrame.buildToolbar(WOOGLED_OPTIONS.of.border*-1, {'extraFrames', 'focus_frame', 'target_frame', 'general'});
		OptionsFrame.buildToolbar(((WOOGLED_OPTIONS.of.toolbar.icon.length)+(WOOGLED_OPTIONS.of.toolbar.row.spacing)+WOOGLED_OPTIONS.of.border)*-1, {'tailoring', 'leatherworking', 'herbalism', 'engineering', 'alchemy', '---', 'firstAid'});
		OptionsFrame.buildToolbar(((WOOGLED_OPTIONS.of.toolbar.icon.length*2)+(WOOGLED_OPTIONS.of.toolbar.row.spacing*2)+WOOGLED_OPTIONS.of.border)*-1, {'warrior', 'warlock', 'shaman', 'rogue', 'priest', 'paladin', 'mage', 'hunter', 'druid', 'deathknight', '---', 'allClasses'});
		OptionsFrame.buildToolbar(((WOOGLED_OPTIONS.of.toolbar.icon.length*3)+(WOOGLED_OPTIONS.of.toolbar.row.spacing*3)+WOOGLED_OPTIONS.of.border)*-1, {'voidwalker', 'succubus', 'imp', 'felhunter', 'felguard', '---', 'waterElemental', '---', 'hunterPet', '---', 'ghoul'});
	
	-- build group frames
	
		--OptionsFrame.build_pf_mode(pf['player_frame_background'], width, numColumns, rowHeight); -- preceed main PF group
		--OptionsFrame.build_pf_anchor(pf['player_frame_background'], width, numColumns, rowHeight); -- preceed main PF group
		--OptionsFrame.build_pf_row(pf['player_frame_background'], width, numColumns, rowHeight); -- preceed main PF group
		
		OptionsFrame.buildCooldownFrameEndpointGroup('tf', pf['target_frame_background'], width, numColumns, rowHeight); -- preceed main TF group
		OptionsFrame.buildCooldownFrameAnchorGroup('tf', pf['target_frame_background'], width, numColumns, rowHeight, 'pin'); -- preceed main TF group
		OptionsFrame.buildCooldownFrameRowGroup('tf', pf['target_frame_background'], width, numColumns, rowHeight); -- preceed main TF group
		OptionsFrame.buildCooldownFrameFontGroup('tf', pf['target_frame_background'], width, numColumns, rowHeight); -- preceed main TF group
		OptionsFrame.buildCooldownFrameTextureGroup('tf', pf['target_frame_background'], width, numColumns, rowHeight); -- preceed main TF group
		OptionsFrame.buildCooldownFrameUnitGroup('tf', 'player', 'Player Cooldown Rows', pf['target_frame_background'], width, numColumns, rowHeight); -- preceed main TF group
		OptionsFrame.buildCooldownFrameUnitGroup('tf', 'pet', 'Pet Cooldown Rows', pf['target_frame_background'], width, numColumns, rowHeight); -- preceed main TF group
		
		OptionsFrame.buildCooldownFrameEndpointGroup('ff', pf['focus_frame_background'], width, numColumns, rowHeight); -- preceed main FF group
		OptionsFrame.buildCooldownFrameAnchorGroup('ff', pf['focus_frame_background'], width, numColumns, rowHeight); -- preceed main FF group
		OptionsFrame.buildCooldownFrameRowGroup('ff', pf['focus_frame_background'], width, numColumns, rowHeight); -- preceed main FF group
		OptionsFrame.buildCooldownFrameFontGroup('ff', pf['focus_frame_background'], width, numColumns, rowHeight); -- preceed main FF group
		OptionsFrame.buildCooldownFrameTextureGroup('ff', pf['focus_frame_background'], width, numColumns, rowHeight); -- preceed main FF group
		OptionsFrame.buildCooldownFrameUnitGroup('ff', 'player', 'Player Cooldown Rows', pf['focus_frame_background'], width, numColumns, rowHeight); -- preceed main FF group
		OptionsFrame.buildCooldownFrameUnitGroup('ff', 'pet', 'Pet Cooldown Rows', pf['focus_frame_background'], width, numColumns, rowHeight); -- preceed main FF group
		
		OptionsFrame.buildCooldownFrameEndpointGroup('ef', pf['extraFrames_background'], width, numColumns, rowHeight); -- preceed main EF group
		OptionsFrame.buildCooldownFrameAnchorGroup('ef', pf['extraFrames_background'], width, numColumns, rowHeight, 'close'); -- preceed main EF group
		OptionsFrame.buildCooldownFrameRowGroup('ef', pf['extraFrames_background'], width, numColumns, rowHeight); -- preceed main EF group
		OptionsFrame.buildCooldownFrameFontGroup('ef', pf['extraFrames_background'], width, numColumns, rowHeight); -- preceed main EF group
		OptionsFrame.buildCooldownFrameTextureGroup('ef', pf['extraFrames_background'], width, numColumns, rowHeight); -- preceed main EF group
		OptionsFrame.buildCooldownFrameUnitGroup('ef', 'player', 'Player Cooldown Rows', pf['extraFrames_background'], width, numColumns, rowHeight); -- preceed main EF group
		OptionsFrame.buildCooldownFrameUnitGroup('ef', 'pet', 'Pet Cooldown Rows', pf['extraFrames_background'], width, numColumns, rowHeight); -- preceed main EF group
		
		OptionsFrame.buildInfoGroup(pf['info_background'], width, numColumns, rowHeight);
		OptionsFrame.buildDatabaseGroup(pf['general_background'], width, numColumns, rowHeight);
		OptionsFrame.buildParseGroup(pf['general_background'], width, 4, rowHeight);
		OptionsFrame.buildZoneGroup(pf['general_background'], width, numColumns, rowHeight);
		--OptionsFrame.buildPFGroup(pf['player_frame_background'], width, numColumns, rowHeight);
		OptionsFrame.buildTFGroup(pf['target_frame_background'], width, numColumns, rowHeight);
		OptionsFrame.buildFFGroup(pf['focus_frame_background'], width, numColumns, rowHeight);
		OptionsFrame.buildEFGroup(pf['extraFrames_background'], width, numColumns, rowHeight);
		
		OptionsFrame.buildGroupFrame('allClasses_base', 'General', pf['allClasses_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.general.base, Libs.icons.of.group.allClasses.general);
		OptionsFrame.buildGroupFrame('allClasses_standards', 'Battle Standards', pf['allClasses_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.general.standards, Libs.icons.of.group.allClasses.standards);
		OptionsFrame.buildGroupFrame('allClasses_alliance', 'Alliance', pf['allClasses_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.racial.alliance, Libs.icons.misc.alliance);
		OptionsFrame.buildGroupFrame('allClasses_horde', 'Horde', pf['allClasses_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.racial.horde, Libs.icons.misc.horde);
		
		OptionsFrame.buildGroupFrame('firstAid', 'First Aid', pf['firstAid_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.firstAid.base, Libs.icons.profession.firstAid);
		
		OptionsFrame.buildGroupFrame('alchemy_healing', 'Healing Potions', pf['alchemy_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.alchemy.healing, Libs.icons.default);
		OptionsFrame.buildGroupFrame('alchemy_mana', 'Mana Potions', pf['alchemy_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.alchemy.mana, Libs.icons.default);
		OptionsFrame.buildGroupFrame('engineering_damageBombs', 'Damage Bombs', pf['engineering_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.engineering.damageBombs, Libs.icons.default);
		OptionsFrame.buildGroupFrame('engineering_siegeBombs', 'Siege Bombs', pf['engineering_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.engineering.siegeBombs, Libs.icons.default);
		OptionsFrame.buildGroupFrame('engineering_incapacitateBombs', 'Incapacitate Bombs', pf['engineering_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.engineering.incapacitateBombs, Libs.icons.default);
		OptionsFrame.buildGroupFrame('engineering_uniqueBombs', 'Unique Bombs', pf['engineering_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.engineering.uniqueBombs, Libs.icons.default);
		OptionsFrame.buildGroupFrame('engineering_consumables', 'Consumables', pf['engineering_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.engineering.consumables, Libs.icons.default);
		OptionsFrame.buildGroupFrame('engineering_items', 'Items', pf['engineering_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.engineering.items, Libs.icons.default);
		OptionsFrame.buildGroupFrame('engineering_tinkers', 'Tinkers', pf['engineering_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.engineering.tinkers, Libs.icons.default);
		OptionsFrame.buildGroupFrame('herbalism', 'Herbalism', pf['herbalism_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.herbalism.base, Libs.icons.profession.herbalism);
		OptionsFrame.buildGroupFrame('leatherworking_drums', 'Drums', pf['leatherworking_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.leatherworking.drums, Libs.icons.default);
		OptionsFrame.buildGroupFrame('leatherworking_items', 'Items', pf['leatherworking_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.leatherworking.items, Libs.icons.default);
		OptionsFrame.buildGroupFrame('tailoring_embroideries', 'Embroideries', pf['tailoring_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.tailoring.embroideries, Libs.icons.default);
		OptionsFrame.buildGroupFrame('tailoring_items', 'Items', pf['tailoring_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.tailoring.items, Libs.icons.default);
		OptionsFrame.buildGroupFrame('tailoring_nets', 'Nets', pf['tailoring_background'], width, rowHeight, numColumns, Spells.player.cooldown.all.tailoring.nets, Libs.icons.default);
		
		OptionsFrame.buildGroupFrame('deathknight', 'Death Knight', pf['deathknight_background'], width, rowHeight, numColumns, Spells.player.cooldown.class.deathknight.base, Libs.icons.player.class.deathknight);
		OptionsFrame.buildGroupFrame('druid', 'Druid', pf['druid_background'], width, rowHeight, numColumns, Spells.player.cooldown.class.druid.base, Libs.icons.player.class.druid);	
		OptionsFrame.buildGroupFrame('hunter', 'Hunter', pf['hunter_background'], width, rowHeight, numColumns, Spells.player.cooldown.class.hunter.base, Libs.icons.player.class.hunter);	
		OptionsFrame.buildGroupFrame('mage', 'Mage', pf['mage_background'], width, rowHeight, numColumns, Spells.player.cooldown.class.mage.base, Libs.icons.player.class.mage);	
		OptionsFrame.buildGroupFrame('paladin', 'Paladin', pf['paladin_background'], width, rowHeight, numColumns, Spells.player.cooldown.class.paladin.base, Libs.icons.player.class.paladin);	
		OptionsFrame.buildGroupFrame('priest', 'Priest', pf['priest_background'], width, rowHeight, numColumns, Spells.player.cooldown.class.priest.base, Libs.icons.player.class.priest);	
		OptionsFrame.buildGroupFrame('rogue', 'Rogue', pf['rogue_background'], width, rowHeight, numColumns, Spells.player.cooldown.class.rogue.base, Libs.icons.player.class.rogue);	
		OptionsFrame.buildGroupFrame('shaman', 'Shaman', pf['shaman_background'], width, rowHeight, numColumns, Spells.player.cooldown.class.shaman.base, Libs.icons.player.class.shaman);	
		OptionsFrame.buildGroupFrame('warlock', 'Warlock', pf['warlock_background'], width, rowHeight, numColumns, Spells.player.cooldown.class.warlock.base, Libs.icons.player.class.warlock);	
		OptionsFrame.buildGroupFrame('warrior', 'Warrior', pf['warrior_background'], width, rowHeight, numColumns, Spells.player.cooldown.class.warrior.base, Libs.icons.player.class.warrior);	
		
		OptionsFrame.buildGroupFrame('ghoul', 'Ghoul', pf['ghoul_background'], width, rowHeight, numColumns, Spells.pet.cooldown.class.ghoul.base, Libs.icons.pet.class.ghoul);
		OptionsFrame.buildGroupFrame('waterElemental', 'Water Elemental', pf['waterElemental_background'], width, rowHeight, numColumns, Spells.pet.cooldown.class.waterElemental.base, Libs.icons.pet.class.waterElemental);
		OptionsFrame.buildGroupFrame('hunterPet_basic', 'Basic Abilities', pf['hunterPet_background'], width, rowHeight, numColumns, Spells.pet.cooldown.class.hunterPet.base, Libs.icons.default);
		OptionsFrame.buildGroupFrame('hunterPet_special', 'Special Abilities', pf['hunterPet_background'], width, rowHeight, numColumns, Spells.pet.cooldown.class.hunterPet.special, Libs.icons.default);
		OptionsFrame.buildGroupFrame('hunterPet_exotic', 'Exotic Abilities', pf['hunterPet_background'], width, rowHeight, numColumns, Spells.pet.cooldown.class.hunterPet.exotic, Libs.icons.default);
		OptionsFrame.buildGroupFrame('hunterPet_bonus', 'Bonus Abilities', pf['hunterPet_background'], width, rowHeight, numColumns, Spells.pet.cooldown.class.hunterPet.bonus, Libs.icons.default);
		OptionsFrame.buildGroupFrame('hunterPet_talent', 'Talented Abilities', pf['hunterPet_background'], width, rowHeight, numColumns, Spells.pet.cooldown.class.hunterPet.talent, Libs.icons.default);
		OptionsFrame.buildGroupFrame('felguard', 'Felguard', pf['felguard_background'], width, rowHeight, numColumns, Spells.pet.cooldown.class.felguard.base, Libs.icons.pet.class.felguard);
		OptionsFrame.buildGroupFrame('felhunter', 'Felhunter', pf['felhunter_background'], width, rowHeight, numColumns, Spells.pet.cooldown.class.felhunter.base, Libs.icons.pet.class.felhunter);
		OptionsFrame.buildGroupFrame('imp', 'Imp', pf['imp_background'], width, rowHeight, numColumns, Spells.pet.cooldown.class.imp.base, Libs.icons.pet.class.imp);
		OptionsFrame.buildGroupFrame('succubus', 'Succubus', pf['succubus_background'], width, rowHeight, numColumns, Spells.pet.cooldown.class.succubus.base, Libs.icons.pet.class.succubus);
		OptionsFrame.buildGroupFrame('voidwalker', 'Voidwalker', pf['voidwalker_background'], width, rowHeight, numColumns, Spells.pet.cooldown.class.voidwalker.base, Libs.icons.pet.class.voidwalker);
	
	OptionsFrame.fillPanels();
	
	OptionsFrame.checkIgnoreSpellOptions();
	
	OptionsFrame.setPanel(pf.general_background);
end


function OptionsFrame.setPanel(pPanelFrame)
	if ( currentPanel ~= nil ) then
		currentPanel:Hide();
	end
	f.anchor:SetWidth((WOOGLED_OPTIONS.of.border * 2) + pPanelFrame:GetWidth());
	f.background:SetWidth((WOOGLED_OPTIONS.of.border * 2) + pPanelFrame:GetWidth());
	f.background:SetHeight((WOOGLED_OPTIONS.of.border * 2) + pPanelFrame:GetHeight() + f.close:GetHeight());
	pPanelFrame:SetPoint('TOP');
	pPanelFrame:Show();
	currentPanel = pPanelFrame;
end


function OptionsFrame.buildToolbarBtn(pButtonName, pPanelFrame, pIconPath)
	if ( f.anchor.toolbar == nil ) then f.anchor.toolbar = {}; end
	f.anchor.toolbar[pButtonName] = CreateFrame('Button', 'WOOGLED_OPTIONSFRAME_FRAMES_'..strupper(pButtonName), f.anchor);
	f.anchor.toolbar[pButtonName]:SetWidth(WOOGLED_OPTIONS.of.toolbar.icon.length);
	f.anchor.toolbar[pButtonName]:SetHeight(WOOGLED_OPTIONS.of.toolbar.icon.length);
	f.anchor.toolbar[pButtonName]:EnableMouse(true);
	f.anchor.toolbar[pButtonName]:SetScript('OnClick', function() OptionsFrame.setPanel(pPanelFrame); end);
	Tools.setupTexture(f.anchor.toolbar[pButtonName], pIconPath);
end


function OptionsFrame.buildToolbar(pYOffset, pPanelNameArray)
	local spacing, lastFrame = 0;
	for i, panelName in pairs ( pPanelNameArray ) do
		if ( i == 1 ) then
			f.anchor.toolbar[panelName]:SetPoint('TOPRIGHT', f.anchor, 'TOPRIGHT', (spacing+WOOGLED_OPTIONS.of.border)*-1, pYOffset);
			lastFrame = f.anchor.toolbar[panelName];
		else
			if ( f.anchor.toolbar[panelName] == nil ) then -- panel not found, treated as a spacer
				spacing = spacing + WOOGLED_OPTIONS.of.toolbar.icon.spacing;
			else
				f.anchor.toolbar[panelName]:SetPoint('RIGHT', lastFrame, 'LEFT', spacing*-1, 0);
				spacing = 0;
				lastFrame = f.anchor.toolbar[panelName];
			end
		end
	end
end


function OptionsFrame.fillPanels()
	OptionsFrame.fillPanel(pf.info_background, {gf.info_background});
	
	OptionsFrame.fillPanel(pf.general_background, {gf.database_background, gf.parse_background, gf.zone_background});
	
	OptionsFrame.fillPanel(pf.target_frame_background, {gf.tf_background, gf.tf_endpoint_background});
	gf.tf_background.toolbar.endpoint:Click('LeftButton', true);
	
	OptionsFrame.fillPanel(pf.focus_frame_background, {gf.ff_background, gf.ff_endpoint_background});
	gf.ff_background.toolbar.endpoint:Click('LeftButton', true);
	
	OptionsFrame.fillPanel(pf.extraFrames_background, {gf.ef_background, gf.ef_endpoint_background});
	gf.ef_background.toolbar.endpoint:Click('LeftButton', true);
	
	OptionsFrame.fillPanel(pf.allClasses_background, {gf.allClasses_base_background, gf.allClasses_standards_background, gf.allClasses_alliance_background, gf.allClasses_horde_background});
	
	OptionsFrame.fillPanel(pf.firstAid_background, {gf.firstAid_background});
	
	OptionsFrame.fillPanel(pf.alchemy_background, {gf.alchemy_healing_background, gf.alchemy_mana_background});
	OptionsFrame.fillPanel(pf.engineering_background, {gf.engineering_damageBombs_background, gf.engineering_siegeBombs_background, gf.engineering_incapacitateBombs_background, gf.engineering_uniqueBombs_background, gf.engineering_consumables_background, gf.engineering_items_background, gf.engineering_tinkers_background});
	OptionsFrame.fillPanel(pf.herbalism_background, {gf.herbalism_background});
	OptionsFrame.fillPanel(pf.leatherworking_background, {gf.leatherworking_drums_background, gf.leatherworking_items_background});
	OptionsFrame.fillPanel(pf.tailoring_background, {gf.tailoring_embroideries_background, gf.tailoring_items_background, gf.tailoring_nets_background});
	
	OptionsFrame.fillPanel(pf.deathknight_background, {gf.deathknight_background});
	OptionsFrame.fillPanel(pf.druid_background, {gf.druid_background});
	OptionsFrame.fillPanel(pf.hunter_background, {gf.hunter_background});
	OptionsFrame.fillPanel(pf.mage_background, {gf.mage_background});
	OptionsFrame.fillPanel(pf.paladin_background, {gf.paladin_background});
	OptionsFrame.fillPanel(pf.priest_background, {gf.priest_background});
	OptionsFrame.fillPanel(pf.rogue_background, {gf.rogue_background});
	OptionsFrame.fillPanel(pf.shaman_background, {gf.shaman_background});
	OptionsFrame.fillPanel(pf.warlock_background, {gf.warlock_background});
	OptionsFrame.fillPanel(pf.warrior_background, {gf.warrior_background});
	
	OptionsFrame.fillPanel(pf.ghoul_background, {gf.ghoul_background});
	OptionsFrame.fillPanel(pf.hunterPet_background, {gf.hunterPet_basic_background, gf.hunterPet_special_background, gf.hunterPet_exotic_background, gf.hunterPet_bonus_background, gf.hunterPet_talent});
	OptionsFrame.fillPanel(pf.waterElemental_background, {gf.waterElemental_background});
	OptionsFrame.fillPanel(pf.felguard_background, {gf.felguard_background});
	OptionsFrame.fillPanel(pf.felhunter_background, {gf.felhunter_background});
	OptionsFrame.fillPanel(pf.imp_background, {gf.imp_background});
	OptionsFrame.fillPanel(pf.succubus_background, {gf.succubus_background});
	OptionsFrame.fillPanel(pf.voidwalker_background, {gf.voidwalker_background});
end


function OptionsFrame.buildInfoGroup(pParentFrame, pWidth, pNumColumns, pRowHeight)
	-- pNumColumns not worked
	
	local groupName = 'info';
	
	local titleFontSize = 12;
	local xCoords = OptionsFrame.getColumnCoords(pWidth, 1);
	local rowIndex = 0;
	
	OptionsFrame.buildGroupFrameShell('About', groupName, pParentFrame, pWidth, pRowHeight);
	
	rowIndex = rowIndex + 1;
	
	OptionsFrame.buildTextObject(gf, groupName..'_version_header', 'Version: ', gf[groupName..'_background'], pRowHeight);
	gf[groupName..'_version_header']:SetPoint('TOPLEFT', gf[groupName..'_background'], 'TOPLEFT', 0, (rowIndex*pRowHeight)*-1);

	OptionsFrame.buildTextObject(gf, groupName..'_version', WOOGLED.version, gf[groupName..'_background'], pRowHeight, true)
	gf[groupName..'_version']:SetPoint('LEFT', gf[groupName..'_version_header'], 'RIGHT');
	
	rowIndex = rowIndex + 1;
	
	OptionsFrame.buildTextObject(gf, groupName..'_first_header', '???: ', gf[groupName..'_background'], pRowHeight);
	gf[groupName..'_first_header']:SetPoint('TOPLEFT', gf[groupName..'_background'], 'TOPLEFT', 0, (rowIndex*pRowHeight)*-1);
	
	OptionsFrame.buildTextObject(gf, groupName..'_first', '???', gf[groupName..'_background'], pRowHeight, true);
	gf[groupName..'_first']:SetPoint('LEFT', gf[groupName..'_first_header'], 'RIGHT');
	
	gf[groupName..'_background']:SetHeight(pRowHeight * (rowIndex + 1));
end


function OptionsFrame.buildDatabaseGroup(pParentFrame, pWidth, numColumns, pRowHeight)
	
	local groupName = 'database';
	
	local titleFontSize = 12;
	local rowIndex = 0;	
	local xCoords = OptionsFrame.getColumnCoords(pWidth, numColumns); -- 0-2
	
		OptionsFrame.buildGroupFrameShell('General', groupName, pParentFrame, pWidth, pRowHeight, Libs.icons.of.panel.general);
	
	rowIndex = rowIndex + 1;
	
		OptionsFrame.buildTextObject(gf, groupName..'_totalPlayers_header', 'Number of players: ', gf[groupName..'_background'], pRowHeight);
		gf[groupName..'_totalPlayers_header']:SetPoint('TOPLEFT', gf[groupName..'_background'], 'TOPLEFT', xCoords[0], (rowIndex*pRowHeight)*-1);
		
		OptionsFrame.buildTextObject(gf, groupName..'_total_players', '0', gf[groupName..'_background'], pRowHeight, true);
		gf[groupName..'_total_players']:SetPoint('LEFT', gf[groupName..'_totalPlayers_header'], 'RIGHT');
		
		OptionsFrame.buildTextObject(gf, groupName..'_totalPets_header', 'Number of pets: ', gf[groupName..'_background'], pRowHeight);
		gf[groupName..'_totalPets_header']:SetPoint('TOPLEFT', gf[groupName..'_background'], 'TOPLEFT', xCoords[1], (rowIndex*pRowHeight)*-1);
		
		OptionsFrame.buildTextObject(gf, groupName..'_total_pets', '0', gf[groupName..'_background'], pRowHeight, true);
		gf[groupName..'_total_pets']:SetPoint('LEFT', gf[groupName..'_totalPets_header'], 'RIGHT');
		
		OptionsFrame.buildTextObject(gf, groupName..'_totalLinks_header', 'Number of pets linked: ', gf[groupName..'_background'], pRowHeight);
		gf[groupName..'_totalLinks_header']:SetPoint('TOPLEFT', gf[groupName..'_background'], 'TOPLEFT', xCoords[2], (rowIndex*pRowHeight)*-1);
		
		OptionsFrame.buildTextObject(gf, groupName..'_totalPetLinks', '0', gf[groupName..'_background'], pRowHeight, true);
		gf[groupName..'_totalPetLinks']:SetPoint('LEFT', gf[groupName..'_totalLinks_header'], 'RIGHT');
	
	gf[groupName..'_background']:SetHeight(pRowHeight * (rowIndex + 1));
end


function OptionsFrame.buildGroupFrameShell(pGroupName, pFramePrefix, pParentFrame, pWidth, pRowHeight, pIconPath)

	local framePrefix = strlower(Tools.convertStringToVar(pFramePrefix))
	
	local headerTextSize = 12;
	local indent = 3;
	
	gf[framePrefix..'_background'] = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_GROUPFRAMES_'..strupper(framePrefix)..'_BACKGROUND', pParentFrame);	
	gf[framePrefix..'_background']:SetWidth(pWidth);
	--gf[framePrefix..'_background']:SetBackdrop({bgFile = 'Interface\\DialogFrame\\UI-DialogBox-Background'});
	--gf[framePrefix..'_background']:Hide();
	
	gf[framePrefix..'_icon'] = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_GROUPFRAMES_'..strupper(framePrefix)..'_ICON', gf[framePrefix..'_background']);
	gf[framePrefix..'_icon']:SetWidth(WOOGLED_OPTIONS.of.group.header.icon.length);
	gf[framePrefix..'_icon']:SetHeight(WOOGLED_OPTIONS.of.group.header.icon.length);
	gf[framePrefix..'_icon']:SetPoint('TOPLEFT', gf[framePrefix..'_background'], 'TOPLEFT');
	gf[framePrefix..'_icon']:SetBackdrop({bgFile = pIconPath or Libs.icons.default});

	gf[framePrefix..'_name'] = gf[framePrefix..'_background']:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	gf[framePrefix..'_name']:SetHeight(pRowHeight);
	gf[framePrefix..'_name']:SetFont(WOOGLED_OPTIONS.of.group.header.name.font, WOOGLED_OPTIONS.of.group.header.name.fontSize);
	gf[framePrefix..'_name']:SetPoint('LEFT', gf[framePrefix..'_icon'], 'RIGHT', indent, 0);
	gf[framePrefix..'_name']:SetText(pGroupName);
end


function OptionsFrame.buildParseGroup(pParentFrame, pWidth, numColumns, pRowHeight)

	local groupName = 'parse';

	local numRows = 1;	
	local xCoords = OptionsFrame.getColumnCoords(pWidth, numColumns); -- 0-2
	
	OptionsFrame.buildGroupFrameShell('Combat Log Parsing', groupName, pParentFrame, pWidth, pRowHeight);
	
	OptionsFrame.buildCheckButton(gf, groupName..'parseSelf', 'Self', gf[groupName..'_background'], pRowHeight, xCoords[0], (pRowHeight * -1), WOOGLED_OPTIONS.parse.self, OptionsFrame.setParseOption, 'self');
	
	OptionsFrame.buildCheckButton(gf, groupName..'parseInsideRaid', 'Raid members', gf[groupName..'_background'], pRowHeight, xCoords[1], (pRowHeight * -1), WOOGLED_OPTIONS.parse.insideRaid, OptionsFrame.setParseOption, 'insideRaid');
	
	OptionsFrame.buildCheckButton(gf, groupName..'parseOutsideRaid', 'Everybody else', gf[groupName..'_background'], pRowHeight, xCoords[2], (pRowHeight * -1), WOOGLED_OPTIONS.parse.outsideRaid, OptionsFrame.setParseOption, 'outsideRaid');
	
	OptionsFrame.buildCheckButton(gf, groupName..'parsePet', 'Pets', gf[groupName..'_background'], pRowHeight, xCoords[3], (pRowHeight * -1), WOOGLED_OPTIONS.parse.pet, OptionsFrame.setParseOption, 'pet');
	
	gf[groupName..'_background']:SetHeight(pRowHeight + (numRows * pRowHeight));
end


function OptionsFrame.buildPFGroup(parentFrame, width, numColumns, rowHeight)

	--[[frames.group.pf = {};
	buttons.group.pf = {};
	text.group.pf = {};

	local xCoords = OptionsFrame.getColumnCoords(width, numColumns);
	local rowIndex = 0;

	frames.group.pf.background = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_FRAMES_PF_BACKGROUND', parentFrame);
	frames.group.pf.background:SetWidth(width);
	frames.group.pf.background:SetHeight(30);
	frames.group.pf.background:SetBackdrop({bgFile = 'Interface\\DialogFrame\\UI-DialogBox-Background'});	
	
	text.group.pf.title = frames.group.pf.background:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	text.group.pf.title:SetHeight(rowHeight);
	text.group.pf.title:SetFont('Fonts\\FRIZQT__.TTF', 12);
	text.group.pf.title:SetPoint('TOPLEFT', frames.group.pf.background, 'TOPLEFT', 0, 0);
	text.group.pf.title:SetText('Player Frame');
	
	buttons.group.pf.toolbar_row = CreateFrame('Button', 'WOOGLED_OPTIONSFRAME_BUTTONS_GROUP_PF_TOOLBAR_ROW', frames.group.pf.background);
	buttons.group.pf.toolbar_row:SetWidth(rowHeight);
	buttons.group.pf.toolbar_row:SetHeight(rowHeight);
	buttons.group.pf.toolbar_row:SetBackdrop({bgFile = 'Interface\\Icons\\Inv_gizmo_mithrilcasing_02.', tile = false});
	buttons.group.pf.toolbar_row:SetPoint('TOPRIGHT', frames.group.pf.background, 'TOPRIGHT');
	buttons.group.pf.toolbar_row:SetScript('OnClick', function() frames.group.pf_mode.background:Hide(); frames.group.pf_anchor.background:Hide(); frames.group.pf_row.background:Show(); OptionsFrame.fillPanel('player_frame', 10, {'pf', 'pf_row'}); OptionsFrame.setPanel('player_frame');end);

	buttons.group.pf.toolbar_anchor = CreateFrame('Button', 'WOOGLED_OPTIONSFRAME_BUTTONS_GROUP_PF_TOOLBAR_ANCHOR', frames.group.pf.background);
	buttons.group.pf.toolbar_anchor:SetWidth(rowHeight);
	buttons.group.pf.toolbar_anchor:SetHeight(rowHeight);
	buttons.group.pf.toolbar_anchor:SetBackdrop({bgFile = 'Interface\\Icons\\Trade_Blacksmithing', tile = false});
	buttons.group.pf.toolbar_anchor:SetPoint('RIGHT', buttons.group.pf.toolbar_row, 'LEFT');
	buttons.group.pf.toolbar_anchor:SetScript('OnClick', function() frames.group.pf_mode.background:Hide(); frames.group.pf_anchor.background:Show(); frames.group.pf_row.background:Hide(); OptionsFrame.fillPanel('player_frame', 10, {'pf', 'pf_anchor'}); OptionsFrame.setPanel('player_frame');end);

	buttons.group.pf.toolbar_mode = CreateFrame('Button', 'WOOGLED_OPTIONSFRAME_BUTTONS_GROUP_PF_TOOLBAR_MODE', frames.group.pf.background);
	buttons.group.pf.toolbar_mode:SetWidth(rowHeight);
	buttons.group.pf.toolbar_mode:SetHeight(rowHeight);
	buttons.group.pf.toolbar_mode:SetBackdrop({bgFile = 'Interface\\Icons\\Inv_misc_screwdriver_02', tile = false});
	buttons.group.pf.toolbar_mode:SetPoint('RIGHT', buttons.group.pf.toolbar_anchor, 'LEFT');
	buttons.group.pf.toolbar_mode:SetScript('OnClick', function() frames.group.pf_mode.background:Show(); frames.group.pf_anchor.background:Hide(); frames.group.pf_row.background:Hide(); OptionsFrame.fillPanel('player_frame', 10, {'pf', 'pf_mode'}); OptionsFrame.setPanel('player_frame');end);

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 2);
	
	OptionsFrame.buildCheckButton('pf', 'show', 'Show', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1, WOOGLED_OPTIONS.pf.show, PlayerFrame.setVisibility);

	OptionsFrame.buildCheckButton('pf', 'lock', 'Lock', rowHeight, xCoords[1], (rowIndex*rowHeight)*-1, WOOGLED_OPTIONS.pf.lock, PlayerFrame.setLock);

	frames.group.pf.background:SetHeight(rowHeight * (rowIndex + 1));]]--
end


function OptionsFrame.build_pf_mode(parent, width, numColumns, rowHeight)

	--[[frames.group.pf_mode = {};
	buttons.group.pf_mode = {};
	text.group.pf_mode = {};
	
	local xCoords = OptionsFrame.getColumnCoords(width, numColumns);
	local rowIndex = 0;
	
	frames.group.pf_mode.background = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_FRAMES_GROUP_PF_MODE_BACKGROUND', parent);
	frames.group.pf_mode.background:SetWidth(width);
	frames.group.pf_mode.background:SetBackdrop({bgFile = 'Interface\\DialogFrame\\UI-DialogBox-Background'});
	
	frames.group.pf_mode.title = frames.group.pf_mode.background:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	frames.group.pf_mode.title:SetHeight(rowHeight);
	frames.group.pf_mode.title:SetFont('Fonts\\FRIZQT__.TTF', 12);
	frames.group.pf_mode.title:SetPoint('TOPLEFT', frames.group.pf_mode.background, 'TOPLEFT');
	frames.group.pf_mode.title:SetText('Modes');
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 20);
	
	OptionsFrame.buildSubHeader(text.group.pf_mode, frames.group.pf_mode.background, 'range_header', 'Range Mode', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 40);
	
	OptionsFrame.buildSubHeader(text.group.pf_mode, frames.group.pf_mode.background, 'range_friendly_header', 'Your Team', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1);

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 60);
	
	OptionsFrame.buildEditBox(frames.group.pf_mode, buttons.group.pf_mode, text.group.pf_mode, frames.group.pf_mode.background, 'range_distance', rowHeight, PlayerFrame.mode_setFriendlyDistance);
	text.group.pf_mode['range_distance']:SetText('Distance (yards): ');
	text.group.pf_mode['range_distance']:SetPoint('TOPLEFT', frames.group.pf_mode.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_mode['range_distance']:SetText(WOOGLED_OPTIONS.pf.mode.range.friendlyDistance);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 40);
	
	OptionsFrame.buildSubHeader(text.group.pf_mode, frames.group.pf_mode.background, 'range_enemy_header', 'Enemy Team', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1);

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 60);
	
	OptionsFrame.buildEditBox(frames.group.pf_mode, buttons.group.pf_mode, text.group.pf_mode, frames.group.pf_mode.background, 'range_enemy_attacked', rowHeight, PlayerFrame.mode_setAttackedThreshold);
	text.group.pf_mode['range_enemy_attacked']:SetText('They were attacked by you or a team member, in range, in the last (seconds): ');
	text.group.pf_mode['range_enemy_attacked']:SetPoint('TOPLEFT', frames.group.pf_mode.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_mode['range_enemy_attacked']:SetText(WOOGLED_OPTIONS.pf.mode.range.attackedThreshold);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 60);
	
	OptionsFrame.buildEditBox(frames.group.pf_mode, buttons.group.pf_mode, text.group.pf_mode, frames.group.pf_mode.background, 'range_enemy_attackedBy', rowHeight, PlayerFrame.mode_setAttackedByThreshold);
	text.group.pf_mode['range_enemy_attackedBy']:SetText('They attacked you or a team member, in range, in the last (seconds): ');
	text.group.pf_mode['range_enemy_attackedBy']:SetPoint('TOPLEFT', frames.group.pf_mode.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_mode['range_enemy_attackedBy']:SetText(WOOGLED_OPTIONS.pf.mode.range.attackedByThreshold);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 60);
	
	OptionsFrame.buildEditBox(frames.group.pf_mode, buttons.group.pf_mode, text.group.pf_mode, frames.group.pf_mode.background, 'range_enemy_helped', rowHeight, PlayerFrame.mode_setHelpedThreshold);
	text.group.pf_mode['range_enemy_helped']:SetText('They healed/buffed an enemy, in range, in the last (seconds): ');
	text.group.pf_mode['range_enemy_helped']:SetPoint('TOPLEFT', frames.group.pf_mode.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_mode['range_enemy_helped']:SetText(WOOGLED_OPTIONS.pf.mode.range.helpedThreshold);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 60);
	
	OptionsFrame.buildEditBox(frames.group.pf_mode, buttons.group.pf_mode, text.group.pf_mode, frames.group.pf_mode.background, 'range_enemy_helpedBy', rowHeight, PlayerFrame.mode_setHelpedByThreshold);
	text.group.pf_mode['range_enemy_helpedBy']:SetText('They were healed/buffed by an enemy, in range, in the last (seconds): ');
	text.group.pf_mode['range_enemy_helpedBy']:SetPoint('TOPLEFT', frames.group.pf_mode.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_mode['range_enemy_helpedBy']:SetText(WOOGLED_OPTIONS.pf.mode.range.helpedByThreshold);
	
	frames.group.pf_mode.background:SetHeight(rowHeight * (rowIndex + 1));]]--
end

	
function OptionsFrame.build_pf_anchor(parent, width, numColumns, rowHeight)

	--[[frames.group.pf_anchor = {};
	buttons.group.pf_anchor = {};
	text.group.pf_anchor = {};
	
	local xCoords = OptionsFrame.getColumnCoords(width, numColumns);
	local rowIndex = 0;
	
	frames.group.pf_anchor.background = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_FRAMES_GROUP_PF_ANCHOR_BACKGROUND', parent);
	frames.group.pf_anchor.background:SetWidth(width);
	frames.group.pf_anchor.background:SetBackdrop({bgFile = 'Interface\\DialogFrame\\UI-DialogBox-Background'});
	
	frames.group.pf_anchor.title = frames.group.pf_anchor.background:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	frames.group.pf_anchor.title:SetHeight(rowHeight);
	frames.group.pf_anchor.title:SetFont('Fonts\\FRIZQT__.TTF', 12);
	frames.group.pf_anchor.title:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT');
	frames.group.pf_anchor.title:SetText('Anchor');
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, numColumns, 20); -- 0-2
	
	OptionsFrame.buildEditBox(frames.group.pf_anchor, buttons.group.pf_anchor, text.group.pf_anchor, frames.group.pf_anchor.background, 'width', rowHeight, PlayerFrame.anchor_setWidth);
	text.group.pf_anchor['width']:SetText('Width: ');
	text.group.pf_anchor['width']:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_anchor['width']:SetText(WOOGLED_OPTIONS.pf.anchor.background.width);

	OptionsFrame.buildEditBox(frames.group.pf_anchor, buttons.group.pf_anchor, text.group.pf_anchor, frames.group.pf_anchor.background, 'height', rowHeight, PlayerFrame.anchor_setHeight);
	text.group.pf_anchor['height']:SetText('Height: ');
	text.group.pf_anchor['height']:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[1], (rowIndex * rowHeight) * -1);
	buttons.group.pf_anchor['height']:SetText(WOOGLED_OPTIONS.pf.anchor.background.height);
	
	OptionsFrame.buildColorFrame('pf_anchor', 'color', 'Color: ', rowHeight, xCoords[2], (rowIndex*rowHeight)*-1, WOOGLED_OPTIONS.pf.anchor.background.r, WOOGLED_OPTIONS.pf.anchor.background.r, WOOGLED_OPTIONS.pf.anchor.background.b, WOOGLED_OPTIONS.pf.anchor.background.a)
	buttons.group.pf_anchor['color']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS.pf.anchor.background.r, WOOGLED_OPTIONS.pf.anchor.background.g, WOOGLED_OPTIONS.pf.anchor.background.b, WOOGLED_OPTIONS.pf.anchor.background.a, PlayerFrame.anchor_setColor); end);

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 20);
	
	OptionsFrame.buildSubHeader(text.group.pf_anchor, frames.group.pf_anchor.background, 'faction_header', 'Faction Button', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 2, 40);
	
	OptionsFrame.buildEditBox(frames.group.pf_anchor, buttons.group.pf_anchor, text.group.pf_anchor, frames.group.pf_anchor.background, 'faction_length', rowHeight, PlayerFrame.anchor_setFactionLength);
	text.group.pf_anchor['faction_length']:SetText('Width/Height: ');
	text.group.pf_anchor['faction_length']:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_anchor['faction_length']:SetText(WOOGLED_OPTIONS.pf.anchor.faction.length);

	OptionsFrame.buildEditBox(frames.group.pf_anchor, buttons.group.pf_anchor, text.group.pf_anchor, frames.group.pf_anchor.background, 'faction_alpha', rowHeight, PlayerFrame.anchor_setFactionAlpha);
	text.group.pf_anchor['faction_alpha']:SetText('Alpha (0-1): ');
	text.group.pf_anchor['faction_alpha']:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[1], (rowIndex * rowHeight) * -1);
	buttons.group.pf_anchor['faction_alpha']:SetText(WOOGLED_OPTIONS.pf.anchor.faction.a);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 20);
	
	OptionsFrame.buildSubHeader(text.group.pf_anchor, frames.group.pf_anchor.background, 'mode_header', 'Mode Button', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 2, 40);

	OptionsFrame.buildEditBox(frames.group.pf_anchor, buttons.group.pf_anchor, text.group.pf_anchor, frames.group.pf_anchor.background, 'mode_length', rowHeight, PlayerFrame.anchor_setModeLength);
	text.group.pf_anchor['mode_length']:SetText('Width/Height: ');
	text.group.pf_anchor['mode_length']:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_anchor['mode_length']:SetText(WOOGLED_OPTIONS.pf.anchor.mode.length);

	OptionsFrame.buildEditBox(frames.group.pf_anchor, buttons.group.pf_anchor, text.group.pf_anchor, frames.group.pf_anchor.background, 'mode_alpha', rowHeight, PlayerFrame.anchor_setModeAlpha);
	text.group.pf_anchor['mode_alpha']:SetText('Alpha (0-1): ');
	text.group.pf_anchor['mode_alpha']:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[1], (rowIndex * rowHeight) * -1);
	buttons.group.pf_anchor['mode_alpha']:SetText(WOOGLED_OPTIONS.pf.anchor.mode.a);

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 20);
	
	OptionsFrame.buildSubHeader(text.group.pf_anchor, frames.group.pf_anchor.background, 'title_header', 'Title', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 3, 40);
	
	OptionsFrame.buildCheckButton('pf_anchor', 'title_show', 'Show', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1, WOOGLED_OPTIONS.pf.anchor.title.show, PlayerFrame.anchor_setTitleVisibility);

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 20);
	
	OptionsFrame.buildSubHeader(text.group.pf_anchor, frames.group.pf_anchor.background, 'minimize_header', 'Minimize Button', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 2, 40);
	
	OptionsFrame.buildEditBox(frames.group.pf_anchor, buttons.group.pf_anchor, text.group.pf_anchor, frames.group.pf_anchor.background, 'minimize_length', rowHeight, PlayerFrame.anchor_setMinimizeLength);
	text.group.pf_anchor['minimize_length']:SetText('Width/Height: ');
	text.group.pf_anchor['minimize_length']:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_anchor['minimize_length']:SetText(WOOGLED_OPTIONS.pf.anchor.minimize.length);

	OptionsFrame.buildEditBox(frames.group.pf_anchor, buttons.group.pf_anchor, text.group.pf_anchor, frames.group.pf_anchor.background, 'minimize_alpha', rowHeight, PlayerFrame.anchor_setMinimizeAlpha);
	text.group.pf_anchor['minimize_alpha']:SetText('Alpha (0-1): ');
	text.group.pf_anchor['minimize_alpha']:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[1], (rowIndex * rowHeight) * -1);
	buttons.group.pf_anchor['minimize_alpha']:SetText(WOOGLED_OPTIONS.pf.anchor.minimize.a);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 2, 20);

	OptionsFrame.buildSubHeader(text.group.pf_anchor, frames.group.pf_anchor.background, 'rowAnchor_header', 'Row Alignment', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 3, 40);

	buttons.group.pf_anchor.rowAnchor_left = CreateFrame('CheckButton', 'WOOGLED_OPTIONSFRAME_BUTTONS_GROUP_PF_ANCHOR_ROWANCHOR_LEFT', frames.group.pf_anchor.background);
	buttons.group.pf_anchor.rowAnchor_left:SetWidth(rowHeight);
	buttons.group.pf_anchor.rowAnchor_left:SetHeight(rowHeight);
	buttons.group.pf_anchor.rowAnchor_left:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_anchor.rowAnchor_left:SetScript('OnClick', function() PlayerFrame.anchor_setRowAnchor('left') end);
	Tools.setupRadioButton(buttons.group.pf_anchor.rowAnchor_left);
	
	OptionsFrame.buildTextObject(frames.group.pf_anchor.background, text.group.pf_anchor, 'rowAnchor_left', 'Left', xCoords[1] - (rowHeight * 2), rowHeight, true)
	text.group.pf_anchor.rowAnchor_left:SetPoint('LEFT', buttons.group.pf_anchor.rowAnchor_left, 'RIGHT');

	buttons.group.pf_anchor.rowAnchor_center = CreateFrame('CheckButton', 'WOOGLED_OPTIONSFRAME_BUTTONS_GROUP_PF_ANCHOR_ROWANCHOR_CENTER', frames.group.pf_anchor.background);
	buttons.group.pf_anchor.rowAnchor_center:SetWidth(rowHeight);
	buttons.group.pf_anchor.rowAnchor_center:SetHeight(rowHeight);
	buttons.group.pf_anchor.rowAnchor_center:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[1], (rowIndex * rowHeight) * -1);
	buttons.group.pf_anchor.rowAnchor_center:SetScript('OnClick', function() PlayerFrame.anchor_setRowAnchor('center') end);
	Tools.setupRadioButton(buttons.group.pf_anchor.rowAnchor_center);
	
	OptionsFrame.buildTextObject(frames.group.pf_anchor.background, text.group.pf_anchor, 'rowAnchor_center', 'Center', xCoords[1] - (rowHeight * 2), rowHeight, true)
	text.group.pf_anchor.rowAnchor_center:SetPoint('LEFT', buttons.group.pf_anchor.rowAnchor_center, 'RIGHT');

	buttons.group.pf_anchor.rowAnchor_right = CreateFrame('CheckButton', 'WOOGLED_OPTIONSFRAME_BUTTONS_GROUP_PF_ANCHOR_ROWANCHOR_RIGHT', frames.group.pf_anchor.background);
	buttons.group.pf_anchor.rowAnchor_right:SetWidth(rowHeight);
	buttons.group.pf_anchor.rowAnchor_right:SetHeight(rowHeight);
	buttons.group.pf_anchor.rowAnchor_right:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[2], (rowIndex * rowHeight) * -1);
	buttons.group.pf_anchor.rowAnchor_right:SetScript('OnClick', function() PlayerFrame.anchor_setRowAnchor('right') end);
	Tools.setupRadioButton(buttons.group.pf_anchor.rowAnchor_right);
	
	OptionsFrame.buildTextObject(frames.group.pf_anchor.background, text.group.pf_anchor, 'rowAnchor_right', 'Right', xCoords[1] - (rowHeight * 2), rowHeight, true)
	text.group.pf_anchor.rowAnchor_right:SetPoint('LEFT', buttons.group.pf_anchor.rowAnchor_right, 'RIGHT');

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 2, 20);

	text.group.pf_anchor.vertDirection = frames.group.pf_anchor.background:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	text.group.pf_anchor.vertDirection:SetHeight(rowHeight);
	text.group.pf_anchor.vertDirection:SetFont('Fonts\\FRIZQT__.TTF', 8);
	text.group.pf_anchor.vertDirection:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	text.group.pf_anchor.vertDirection:SetText('Row Build Direction');
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 2, 40);

	buttons.group.pf_anchor.vertDirection_up = CreateFrame('CheckButton', 'WOOGLED_OPTIONSFRAME_BUTTONS_GROUP_PF_ANCHOR_BUILDDIRECTION_UP', frames.group.pf_anchor.background);
	buttons.group.pf_anchor.vertDirection_up:SetWidth(rowHeight);
	buttons.group.pf_anchor.vertDirection_up:SetHeight(rowHeight);
	buttons.group.pf_anchor.vertDirection_up:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_anchor.vertDirection_up:SetScript('OnClick', function() PlayerFrame.anchor_setRowBuildDirection('up') end);
	Tools.setupRadioButton(buttons.group.pf_anchor.vertDirection_up);
	
	OptionsFrame.buildTextObject(frames.group.pf_anchor.background, text.group.pf_anchor, 'vertDirection_up', 'Up', xCoords[1] - (rowHeight * 2), rowHeight, true)
	text.group.pf_anchor.vertDirection_up:SetPoint('LEFT', buttons.group.pf_anchor.vertDirection_up, 'RIGHT');
		
	buttons.group.pf_anchor.vertDirection_down = CreateFrame('CheckButton', 'WOOGLED_OPTIONSFRAME_BUTTONS_GROUP_PF_ANCHOR_BUILDDIRECTION_DOWN', frames.group.pf_anchor.background);
	buttons.group.pf_anchor.vertDirection_down:SetWidth(rowHeight);
	buttons.group.pf_anchor.vertDirection_down:SetHeight(rowHeight);
	buttons.group.pf_anchor.vertDirection_down:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[1], (rowIndex * rowHeight) * -1);
	buttons.group.pf_anchor.vertDirection_down:SetScript('OnClick', function() PlayerFrame.anchor_setRowBuildDirection('down') end);
	Tools.setupRadioButton(buttons.group.pf_anchor.vertDirection_down);
	
	OptionsFrame.buildTextObject(frames.group.pf_anchor.background, text.group.pf_anchor, 'vertDirection_down', 'Down', xCoords[1] - (rowHeight * 2), rowHeight, true)
	text.group.pf_anchor.vertDirection_down:SetPoint('LEFT', buttons.group.pf_anchor.vertDirection_down, 'RIGHT');
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 20);

	OptionsFrame.buildSubHeader(text.group.pf_anchor, frames.group.pf_anchor.background, 'rowStack_header', 'Row Stack Direction', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1);

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 2, 40);
	
	buttons.group.pf_anchor.stackDirection_up = CreateFrame('CheckButton', 'WOOGLED_OPTIONSFRAME_BUTTONS_GROUP_PF_ANCHOR_STACKDIRECTION_UP', frames.group.pf_anchor.background);
	buttons.group.pf_anchor.stackDirection_up:SetWidth(rowHeight);
	buttons.group.pf_anchor.stackDirection_up:SetHeight(rowHeight);
	buttons.group.pf_anchor.stackDirection_up:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_anchor.stackDirection_up:SetScript('OnClick', function() PlayerFrame.anchor_setRowSortDirection('up'); end);
	Tools.setupRadioButton(buttons.group.pf_anchor.stackDirection_up);
	
	OptionsFrame.buildTextObject(frames.group.pf_anchor.background, text.group.pf_anchor, 'stackDirection_up', 'Up', xCoords[1] - (rowHeight * 2), rowHeight, true)
	text.group.pf_anchor.stackDirection_up:SetPoint('LEFT', buttons.group.pf_anchor.stackDirection_up, 'RIGHT');
		
	buttons.group.pf_anchor.stackDirection_down = CreateFrame('CheckButton', 'WOOGLED_OPTIONSFRAME_BUTTONS_GROUP_PF_ANCHOR_STACKDIRECTION_DOWN', frames.group.pf_anchor.background);
	buttons.group.pf_anchor.stackDirection_down:SetWidth(rowHeight);
	buttons.group.pf_anchor.stackDirection_down:SetHeight(rowHeight);
	buttons.group.pf_anchor.stackDirection_down:SetPoint('TOPLEFT', frames.group.pf_anchor.background, 'TOPLEFT', xCoords[1], (rowIndex * rowHeight) * -1);
	buttons.group.pf_anchor.stackDirection_down:SetScript('OnClick', function() PlayerFrame.anchor_setRowSortDirection('down'); end);
	Tools.setupRadioButton(buttons.group.pf_anchor.stackDirection_down);
	
	OptionsFrame.buildTextObject(frames.group.pf_anchor.background, text.group.pf_anchor, 'stackDirection_down', 'Down', xCoords[1] - (rowHeight * 2), rowHeight, true)
	text.group.pf_anchor.stackDirection_down:SetPoint('LEFT', buttons.group.pf_anchor.stackDirection_down, 'RIGHT');
	
	frames.group.pf_anchor.background:SetHeight(rowHeight * (rowIndex + 1));]]--
end


function OptionsFrame.build_pf_row(parent, width, numColumns, rowHeight)

	--[[frames.group.pf_row = {};
	buttons.group.pf_row = {};
	text.group.pf_row = {};
	
	local xCoords = OptionsFrame.getColumnCoords(width, numColumns);
	local rowIndex = 0;
	
	frames.group.pf_row.background = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_FRAMES_GROUP_PF_ROW_BACKGROUND', parent);
	frames.group.pf_row.background:SetWidth(width);
	frames.group.pf_row.background:SetBackdrop({bgFile = 'Interface\\DialogFrame\\UI-DialogBox-Background'});
	
	frames.group.pf_row.title = frames.group.pf_row.background:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	frames.group.pf_row.title:SetHeight(rowHeight);
	frames.group.pf_row.title:SetFont('Fonts\\FRIZQT__.TTF', 12);
	frames.group.pf_row.title:SetPoint('TOPLEFT', frames.group.pf_row.background, 'TOPLEFT');
	frames.group.pf_row.title:SetText('Rows');
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, numColumns, 20);

	OptionsFrame.buildEditBox(frames.group.pf_row, buttons.group.pf_row, text.group.pf_row, frames.group.pf_row.background, 'width', rowHeight, PlayerFrame.row_setWidth);
	text.group.pf_row['width']:SetText('Width: ');
	text.group.pf_row['width']:SetPoint('TOPLEFT', frames.group.pf_row.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_row['width']:SetText(WOOGLED_OPTIONS.pf.row.background.width);

	OptionsFrame.buildEditBox(frames.group.pf_row, buttons.group.pf_row, text.group.pf_row, frames.group.pf_row.background, 'height', rowHeight, PlayerFrame.row_setHeight);
	text.group.pf_row['height']:SetText('Height: ');
	text.group.pf_row['height']:SetPoint('TOPLEFT', frames.group.pf_row.background, 'TOPLEFT', xCoords[1], (rowIndex * rowHeight) * -1);
	buttons.group.pf_row['height']:SetText(WOOGLED_OPTIONS.pf.row.background.height);

	OptionsFrame.buildEditBox(frames.group.pf_row, buttons.group.pf_row, text.group.pf_row, frames.group.pf_row.background, 'spacing', rowHeight, PlayerFrame.row_setSpacing);
	text.group.pf_row['spacing']:SetText('Spacing: ');
	text.group.pf_row['spacing']:SetPoint('TOPLEFT', frames.group.pf_row.background, 'TOPLEFT', xCoords[2], (rowIndex * rowHeight) * -1);
	buttons.group.pf_row['spacing']:SetText(WOOGLED_OPTIONS.pf.row.background.spacing);
	
	rowIndex = rowIndex + 1;
	
	OptionsFrame.buildColorFrame('pf_row', 'color', 'Color: ', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1, WOOGLED_OPTIONS.pf.row.background.r, WOOGLED_OPTIONS.pf.row.background.g, WOOGLED_OPTIONS.pf.row.background.b, WOOGLED_OPTIONS.pf.row.background.a)
	buttons.group.pf_row['color']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS.pf.row.background.r, WOOGLED_OPTIONS.pf.row.background.g, WOOGLED_OPTIONS.pf.row.background.b, WOOGLED_OPTIONS.pf.row.background.a, PlayerFrame.row_setColor); end);
		
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 20);
	
	OptionsFrame.buildSubHeader(text.group.pf_row, frames.group.pf_row.background, 'class_header', 'Class Icon', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 3, 40);
	
	OptionsFrame.buildCheckButton('pf_row', 'class_show', 'Show', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1, WOOGLED_OPTIONS.pf.row.class.show, PlayerFrame.row_setClassVisibility);
	
	OptionsFrame.buildEditBox(frames.group.pf_row, buttons.group.pf_row, text.group.pf_row, frames.group.pf_row.background, 'class_length', rowHeight, PlayerFrame.row_setClassLength);
	text.group.pf_row['class_length']:SetText('Width/Height: ');
	text.group.pf_row['class_length']:SetPoint('TOPLEFT', frames.group.pf_row.background, 'TOPLEFT', xCoords[1], (rowIndex * rowHeight) * -1);
	buttons.group.pf_row['class_length']:SetText(WOOGLED_OPTIONS.pf.row.class.length);

	OptionsFrame.buildEditBox(frames.group.pf_row, buttons.group.pf_row, text.group.pf_row, frames.group.pf_row.background, 'class_alpha', rowHeight, PlayerFrame.row_setClassAlpha);
	text.group.pf_row['class_alpha']:SetText('Alpha (0-1): ');
	text.group.pf_row['class_alpha']:SetPoint('TOPLEFT', frames.group.pf_row.background, 'TOPLEFT', xCoords[2], (rowIndex * rowHeight) * -1);
	buttons.group.pf_row['class_alpha']:SetText(WOOGLED_OPTIONS.pf.row.class.a);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 60);
	
	OptionsFrame.buildEditBox(frames.group.pf_row, buttons.group.pf_row, text.group.pf_row, frames.group.pf_row.background, 'class_indent', rowHeight, PlayerFrame.row_setClassIndent);
	text.group.pf_row['class_indent']:SetText('Indent: ');
	text.group.pf_row['class_indent']:SetPoint('TOPLEFT', frames.group.pf_row.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_row['class_indent']:SetText(WOOGLED_OPTIONS.pf.row.class.indent);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 20);
	
	OptionsFrame.buildSubHeader(text.group.pf_row, frames.group.pf_row.background, 'spec_header', 'Spec Icon', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 3, 40);
	
	OptionsFrame.buildCheckButton('pf_row', 'spec_show', 'Show', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1, WOOGLED_OPTIONS.pf.row.spec.show, PlayerFrame.row_setSpecVisibility);
	
	OptionsFrame.buildEditBox(frames.group.pf_row, buttons.group.pf_row, text.group.pf_row, frames.group.pf_row.background, 'spec_length', rowHeight, PlayerFrame.row_setSpecLength);
	text.group.pf_row['spec_length']:SetText('Width/Height: ');
	text.group.pf_row['spec_length']:SetPoint('TOPLEFT', frames.group.pf_row.background, 'TOPLEFT', xCoords[1], (rowIndex * rowHeight) * -1);
	buttons.group.pf_row['spec_length']:SetText(WOOGLED_OPTIONS.pf.row.spec.length);

	OptionsFrame.buildEditBox(frames.group.pf_row, buttons.group.pf_row, text.group.pf_row, frames.group.pf_row.background, 'spec_alpha', rowHeight, PlayerFrame.row_setSpecAlpha);
	text.group.pf_row['spec_alpha']:SetText('Alpha (0-1): ');
	text.group.pf_row['spec_alpha']:SetPoint('TOPLEFT', frames.group.pf_row.background, 'TOPLEFT', xCoords[2], (rowIndex * rowHeight) * -1);
	buttons.group.pf_row['spec_alpha']:SetText(WOOGLED_OPTIONS.pf.row.spec.a);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 60);
	
	OptionsFrame.buildEditBox(frames.group.pf_row, buttons.group.pf_row, text.group.pf_row, frames.group.pf_row.background, 'spec_indent', rowHeight, PlayerFrame.row_setSpecIndent);
	text.group.pf_row['spec_indent']:SetText('Indent: ');
	text.group.pf_row['spec_indent']:SetPoint('TOPLEFT', frames.group.pf_row.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_row['spec_indent']:SetText(WOOGLED_OPTIONS.pf.row.spec.indent);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 20);
	
	OptionsFrame.buildSubHeader(text.group.pf_row, frames.group.pf_row.background, 'name_header', 'Player Name', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 3, 40);
	
	OptionsFrame.buildCheckButton('pf_row', 'name_show', 'Show', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1, WOOGLED_OPTIONS.pf.row.name.show, PlayerFrame.row_setNameVisibility);

	OptionsFrame.buildColorFrame('pf_row', 'name_color', 'Color: : ', rowHeight, xCoords[1], (rowIndex*rowHeight)*-1, WOOGLED_OPTIONS.pf.row.name.r, WOOGLED_OPTIONS.pf.row.name.g, WOOGLED_OPTIONS.pf.row.name.b, WOOGLED_OPTIONS.pf.row.name.a)
	buttons.group.pf_row['name_color']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS.pf.row.name.r, WOOGLED_OPTIONS.pf.row.name.g, WOOGLED_OPTIONS.pf.row.name.b, WOOGLED_OPTIONS.pf.row.name.a, PlayerFrame.row_setNameColor); end);
	
	OptionsFrame.buildEditBox(frames.group.pf_row, buttons.group.pf_row, text.group.pf_row, frames.group.pf_row.background, 'name_fontSize', rowHeight, PlayerFrame.row_setNameFontSize);
	text.group.pf_row['name_fontSize']:SetText('Font size: ');
	text.group.pf_row['name_fontSize']:SetPoint('TOPLEFT', frames.group.pf_row.background, 'TOPLEFT', xCoords[2], (rowIndex * rowHeight) * -1);
	buttons.group.pf_row['name_fontSize']:SetText(WOOGLED_OPTIONS.pf.row.name.fontSize);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 60);
	
	OptionsFrame.buildEditBox(frames.group.pf_row, buttons.group.pf_row, text.group.pf_row, frames.group.pf_row.background, 'name_indent', rowHeight, PlayerFrame.row_setNameIndent);
	text.group.pf_row['name_indent']:SetText('Indent: ');
	text.group.pf_row['name_indent']:SetPoint('TOPLEFT', frames.group.pf_row.background, 'TOPLEFT', xCoords[0], (rowIndex * rowHeight) * -1);
	buttons.group.pf_row['name_indent']:SetText(WOOGLED_OPTIONS.pf.row.name.indent);

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 60);
	
	OptionsFrame.buildSubHeader(text.group.pf_row, frames.group.pf_row.background, 'server_header', 'Player Server', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 3, 80);
	
	OptionsFrame.buildCheckButton('pf_row', 'server_show', 'Show', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1, WOOGLED_OPTIONS.pf.row.server.show, PlayerFrame.row_setServerVisibility);

	OptionsFrame.buildColorFrame('pf_row', 'server_color', 'Color: ', rowHeight, xCoords[1], (rowIndex*rowHeight)*-1, WOOGLED_OPTIONS.pf.row.server.r, WOOGLED_OPTIONS.pf.row.server.g, WOOGLED_OPTIONS.pf.row.server.b, WOOGLED_OPTIONS.pf.row.server.a)
	buttons.group.pf_row['server_color']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS.pf.row.server.r, WOOGLED_OPTIONS.pf.row.server.g, WOOGLED_OPTIONS.pf.row.server.b, WOOGLED_OPTIONS.pf.row.server.a, PlayerFrame.row_setServerColor); end);
	
	OptionsFrame.buildEditBox(frames.group.pf_row, buttons.group.pf_row, text.group.pf_row, frames.group.pf_row.background, 'server_fontSize', rowHeight, PlayerFrame.row_setServerFontSize);
	text.group.pf_row['server_fontSize']:SetText('Font size: ');
	text.group.pf_row['server_fontSize']:SetPoint('TOPLEFT', frames.group.pf_row.background, 'TOPLEFT', xCoords[2], (rowIndex * rowHeight) * -1);
	buttons.group.pf_row['server_fontSize']:SetText(WOOGLED_OPTIONS.pf.row.server.fontSize);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 20);
	
	OptionsFrame.buildSubHeader(text.group.pf_row, frames.group.pf_row.background, 'highlight_header', "'PvP Trinket/Every Man for Himself' On Cooldown Highlight", rowHeight, xCoords[0], (rowIndex*rowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 3, 40);
	
	OptionsFrame.buildCheckButton('pf_row', 'highlight_show', 'Enable', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1, WOOGLED_OPTIONS.pf.row.highlight.show, PlayerFrame.row_setHighlightVisibility);
	
	OptionsFrame.buildColorFrame('pf_row', 'highlight_background_color', 'Background color', rowHeight, xCoords[1], (rowIndex*rowHeight)*-1, WOOGLED_OPTIONS.pf.row.highlight.background.r, WOOGLED_OPTIONS.pf.row.highlight.background.g, WOOGLED_OPTIONS.pf.row.highlight.background.b, WOOGLED_OPTIONS.pf.row.highlight.background.a)
	buttons.group.pf_row['highlight_background_color']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS.pf.row.highlight.background.r, WOOGLED_OPTIONS.pf.row.highlight.background.g, WOOGLED_OPTIONS.pf.row.highlight.background.b, WOOGLED_OPTIONS.pf.row.highlight.background.a, PlayerFrame.row_setHighlightBackgroundColor); end);

	OptionsFrame.buildColorFrame('pf_row', 'highlight_name_color', 'Name color', rowHeight, xCoords[2], (rowIndex*rowHeight)*-1, WOOGLED_OPTIONS.pf.row.highlight.name.r, WOOGLED_OPTIONS.pf.row.highlight.name.g, WOOGLED_OPTIONS.pf.row.highlight.name.b, WOOGLED_OPTIONS.pf.row.highlight.name.a)
	buttons.group.pf_row['highlight_name_color']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS.pf.row.highlight.name.r, WOOGLED_OPTIONS.pf.row.highlight.name.g, WOOGLED_OPTIONS.pf.row.highlight.name.b, WOOGLED_OPTIONS.pf.row.highlight.name.a, PlayerFrame.row_setHighlightNameColor); end);

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(width, 1, 60);

	OptionsFrame.buildColorFrame('pf_row', 'highlight_server_color', 'Server Color', rowHeight, xCoords[0], (rowIndex*rowHeight)*-1, WOOGLED_OPTIONS.pf.row.highlight.server.r, WOOGLED_OPTIONS.pf.row.highlight.server.g, WOOGLED_OPTIONS.pf.row.highlight.server.b, WOOGLED_OPTIONS.pf.row.highlight.server.a)
	buttons.group.pf_row['highlight_server_color']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS.pf.row.highlight.server.r, WOOGLED_OPTIONS.pf.row.highlight.server.g, WOOGLED_OPTIONS.pf.row.highlight.server.b, WOOGLED_OPTIONS.pf.row.highlight.server.a, PlayerFrame.row_setHighlightServerColor); end);
	
	frames.group.pf_row.background:SetHeight(rowHeight * (rowIndex + 1));]]--
end


function OptionsFrame.buildTFGroup(pParentFrame, pWidth, numColumns, pRowHeight)
	
	local groupName = 'tf';

	local xCoords = OptionsFrame.getColumnCoords(pWidth, numColumns); -- 0-2
	local rowIndex = 0;
	
	OptionsFrame.buildGroupFrameShell('Target Frame', groupName, pParentFrame, pWidth, pRowHeight, Libs.icons.of.panel.targetFrame);
	
	local toolbarButtons = {
		{name = 'texture', frame = gf.tf_texture_background, frameOrder = {gf.tf_background, gf.tf_texture_background}},
		{name = 'font', frame = gf.tf_font_background, frameOrder = {gf.tf_background, gf.tf_font_background}},
		{name = 'pet', frame = gf.tf_row_pet_background, frameOrder = {gf.tf_background, gf.tf_row_pet_background}},
		{name = 'player', frame = gf.tf_row_player_background, frameOrder = {gf.tf_background, gf.tf_row_player_background}},
		{name = 'row', frame = gf.tf_row_background, frameOrder = {gf.tf_background, gf.tf_row_background}},
		{name = 'anchor', frame = gf.tf_anchor_background, frameOrder = {gf.tf_background, gf.tf_anchor_background}},
		{name = 'endpoint', frame = gf.tf_endpoint_background, frameOrder = {gf.tf_background, gf.tf_endpoint_background}},
	};
	
	OptionsFrame.buildPanelToolbar(toolbarButtons, groupName, pParentFrame, gf[groupName..'_background'], pRowHeight, pRowHeight);
	
	rowIndex = rowIndex + 1;
	
	OptionsFrame.buildCheckButton(gf, groupName..'_show', 'Show', gf[groupName..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, false, CooldownFrames.setVisibility, 'tf');

	OptionsFrame.buildCheckButton(gf, groupName..'_lock', 'Lock', gf[groupName..'_background'], pRowHeight, xCoords[1], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS.tf.lock, CooldownFrames.setLock, 'tf');
	
	OptionsFrame.buildEditBox(gf, groupName..'_scale', 'Scale: ', WOOGLED_OPTIONS.tf.scale, gf[groupName..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[2], (rowIndex*pRowHeight)*-1, CooldownFrames.setScale, 'tf');
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 2);
	
	OptionsFrame.buildCheckButton(gf, groupName..'_showPet', 'Show pet cooldowns with owner', gf[groupName..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS.tf.showPet, CooldownFrames.showPet, 'tf');
	
	OptionsFrame.buildCheckButton(gf, groupName..'_stickyTargeting', 'Sticky targeting', gf[groupName..'_background'], pRowHeight, xCoords[1], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS.tf.stickyTargeting, CooldownFrames.setStickyTargeting, 'tf');
	
	gf[groupName..'_background']:SetHeight(pRowHeight + (rowIndex * pRowHeight));
end


function OptionsFrame.buildPanelToolbar(pToolbarTable, pPanelName, pPanelFrame, pParentFrame, pWidth, pHeight, pXOffset, pYOffset, pSpacing)
	if ( pParentFrame.toolbar == nil ) then pParentFrame.toolbar = {}; end
	for i, buttonTable in pairs ( pToolbarTable ) do
		pParentFrame.toolbar[buttonTable.name] = CreateFrame('Button', 'WOOGLED_OPTIONSFRAME_GROUPFRAME_'..strupper(pPanelName..'_TOOLBAR_'..buttonTable.name), pParentFrame);
		pParentFrame.toolbar[buttonTable.name]:SetWidth(pWidth);
		pParentFrame.toolbar[buttonTable.name]:SetHeight(pHeight);
		pParentFrame.toolbar[buttonTable.name]:SetScript('OnClick',
			function()
				for i2, buttonTable2 in pairs ( pToolbarTable ) do
					buttonTable2.frame:Hide();
				end
				buttonTable.frame:Show();
				OptionsFrame.fillPanel(pPanelFrame, buttonTable.frameOrder);
				OptionsFrame.setPanel(pPanelFrame);
			end
		);
		if ( i == 1 ) then
			pParentFrame.toolbar[buttonTable.name]:SetPoint('TOPRIGHT', pParentFrame, 'TOPRIGHT', pXOffset or 0, pYOffset or 0);
		else
			pParentFrame.toolbar[buttonTable.name]:SetPoint('RIGHT', pParentFrame.toolbar[pToolbarTable[i-1].name], 'LEFT', pSpacing or 0, 0);
		end
		Tools.setupTexture(pParentFrame.toolbar[buttonTable.name], Libs.icons.of.group[buttonTable.name] or Libs.icons.default);
	end
end


function OptionsFrame.buildCooldownFrameEndpointGroup(pGroupName, pParentFrame, pWidth, numColumns, pRowHeight)

	local namePrefix = pGroupName..'_endpoint';
	
	local xCoords = OptionsFrame.getColumnCoords(pWidth, numColumns);
	local rowIndex = 0;
	
		OptionsFrame.buildGroupFrameShell('Endpoints', namePrefix, pParentFrame, pWidth, pRowHeight, Libs.icons.of.group.endpoint);

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 20);
	
		OptionsFrame.buildSubHeader(gf, namePrefix..'_endpoint1_header', 'Primary Endpoint', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 3, 40);
	
		OptionsFrame.buildRadioButton(gf, namePrefix..'_endpoint1Shortest', 'Shortest possible', pRowHeight, gf[namePrefix..'_background'], xCoords[0], (rowIndex*pRowHeight)*-1, CooldownFrames.endpoint_setEndPoint1, pGroupName, 'shortest');
	
		OptionsFrame.buildRadioButton(gf, namePrefix..'_endpoint1Interval', 'Shortest known', pRowHeight, gf[namePrefix..'_background'], xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.endpoint_setEndPoint1, pGroupName, 'interval');	
	
		OptionsFrame.buildRadioButton(gf, namePrefix..'_endpoint1Longest', 'Longest possible', pRowHeight, gf[namePrefix..'_background'], xCoords[2], (rowIndex*pRowHeight)*-1, CooldownFrames.endpoint_setEndPoint1, pGroupName, 'longest');
		
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 20);
	
		OptionsFrame.buildSubHeader(gf, namePrefix..'_endpoint2_header', 'Secondary Endpoint', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 3, 40);
	
		OptionsFrame.buildRadioButton(gf, namePrefix..'_endpoint2Disable', 'Disable', pRowHeight, gf[namePrefix..'_background'], xCoords[0], (rowIndex*pRowHeight)*-1, CooldownFrames.endpoint_setEndPoint2, pGroupName, 'disable');
	
		OptionsFrame.buildRadioButton(gf, namePrefix..'_endpoint2Interval', 'Shortest known', pRowHeight, gf[namePrefix..'_background'], xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.endpoint_setEndPoint2, pGroupName, 'interval');
	
		OptionsFrame.buildRadioButton(gf, namePrefix..'_endpoint2Longest', 'Longest possible', pRowHeight, gf[namePrefix..'_background'], xCoords[2], (rowIndex*pRowHeight)*-1, CooldownFrames.endpoint_setEndPoint2, pGroupName, 'longest');
		
	gf[namePrefix..'_background']:SetHeight(pRowHeight + (rowIndex * pRowHeight));
end

	
function OptionsFrame.buildCooldownFrameAnchorGroup(pGroupName, pParentFrame, pWidth, numColumns, pRowHeight, pExtraButton)

	local namePrefix = pGroupName..'_anchor';
	
	local xCoords = OptionsFrame.getColumnCoords(pWidth, numColumns); -- 0-2
	local rowIndex = 0;
	
		OptionsFrame.buildGroupFrameShell('Anchor', namePrefix, pParentFrame, pWidth, pRowHeight, Libs.icons.of.group.anchor);

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 2, 20); -- 0-2
	
		OptionsFrame.buildEditBox(gf, namePrefix..'_width', 'Width: ', WOOGLED_OPTIONS[pGroupName].anchor.background.width, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, CooldownFrames.anchor_setWidth, pGroupName);
	
		OptionsFrame.buildEditBox(gf, namePrefix..'_height', 'Height: ', WOOGLED_OPTIONS[pGroupName].anchor.background.height, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[1], (rowIndex* pRowHeight)*-1, CooldownFrames.anchor_setHeight, pGroupName);
		
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 20);
	
		OptionsFrame.buildSubHeader(gf, namePrefix..'_nameHeader', 'Unit Name', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 3, 40);

		OptionsFrame.buildCheckButton(gf, namePrefix..'_nameShow', 'Show', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].anchor.name.show, CooldownFrames.anchor_setNameVisibility, pGroupName);
		
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);
	
		OptionsFrame.buildSubHeader(gf, namePrefix..'_serverHeader', 'Player Server', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 3, 80);
	
		OptionsFrame.buildCheckButton(gf, namePrefix..'_serverShow', 'Show', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].anchor.server.show, CooldownFrames.anchor_setServerVisibility, pGroupName);

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 20);
	
		OptionsFrame.buildSubHeader(gf, namePrefix..'_classHeader', 'Class Icon', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 3, 40);
	
		OptionsFrame.buildCheckButton(gf, namePrefix..'_classShow', 'Show', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].anchor.class.show, CooldownFrames.anchor_setClassVisibility, pGroupName);
	
		OptionsFrame.buildEditBox(gf, namePrefix..'_classLength', 'Width/Height: ', WOOGLED_OPTIONS[pGroupName].anchor.class.length, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[1], (rowIndex* pRowHeight)*-1, CooldownFrames.anchor_setClassLength, pGroupName);

		OptionsFrame.buildEditBox(gf, namePrefix..'_classAlpha', 'Alpha (0-1): ', WOOGLED_OPTIONS[pGroupName].anchor.class.a, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[2], (rowIndex* pRowHeight)*-1, CooldownFrames.anchor_setClassAlpha, pGroupName);

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 20);
	
		OptionsFrame.buildSubHeader(gf, namePrefix..'_specHeader', 'Spec Icon', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 3, 40);
	
		OptionsFrame.buildCheckButton(gf, namePrefix..'_specShow', 'Show', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].anchor.spec.show, CooldownFrames.anchor_setSpecVisibility, pGroupName);
	
		OptionsFrame.buildEditBox(gf, namePrefix..'_specLength', 'Width/Height: ', WOOGLED_OPTIONS[pGroupName].anchor.spec.length, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.anchor_setSpecLength, pGroupName);

		OptionsFrame.buildEditBox(gf, namePrefix..'_specAlpha', 'Alpha (0-1): ', WOOGLED_OPTIONS[pGroupName].anchor.spec.a, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[2], (rowIndex*pRowHeight)*-1, CooldownFrames.anchor_setSpecAlpha, pGroupName);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 20);
	
		OptionsFrame.buildSubHeader(gf, namePrefix..'_petHeader', 'Pet Link Button', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 3, 40);
	
		OptionsFrame.buildCheckButton(gf, namePrefix..'_petShow', 'Show', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].anchor.pet.show, CooldownFrames.anchor_setPetVisibility, pGroupName);
	
		OptionsFrame.buildEditBox(gf, namePrefix..'_petLength', 'Width/Height: ', WOOGLED_OPTIONS[pGroupName].anchor.pet.length, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.anchor_setPetLength, pGroupName);

		OptionsFrame.buildEditBox(gf, namePrefix..'_petAlpha', 'Alpha (0-1): ', WOOGLED_OPTIONS[pGroupName].anchor.pet.a, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[2], (rowIndex*pRowHeight)*-1, CooldownFrames.anchor_setPetAlpha, pGroupName);
	
	if ( pExtraButton == 'pin' ) then
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 20);
	
		OptionsFrame.buildSubHeader(gf, namePrefix..'_pinHeader', 'Pin Button', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 3, 40);
	
		OptionsFrame.buildCheckButton(gf, namePrefix..'_pinShow', 'Show', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].anchor.pin.show, CooldownFrames.anchor_setPinVisibility, pGroupName);
	
		OptionsFrame.buildEditBox(gf, namePrefix..'_pinLength', 'Width/Height: ', WOOGLED_OPTIONS[pGroupName].anchor.pin.length, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.anchor_setPinLength, pGroupName);

		OptionsFrame.buildEditBox(gf, namePrefix..'_pinAlpha', 'Alpha (0-1): ', WOOGLED_OPTIONS[pGroupName].anchor.pin.a, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[2], (rowIndex*pRowHeight)*-1, CooldownFrames.anchor_setPinAlpha, pGroupName);
	
	elseif ( pExtraButton == 'close' ) then
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 20);
	
		OptionsFrame.buildSubHeader(gf, namePrefix..'_closeHeader', 'Close Button', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 2, 40);
	
		OptionsFrame.buildEditBox(gf, namePrefix..'_closeLength', 'Width/Height: ', WOOGLED_OPTIONS[pGroupName].anchor.close.length, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, CooldownFrames.anchor_setCloseLength, pGroupName);

		OptionsFrame.buildEditBox(gf, namePrefix..'_closeAlpha', 'Alpha (0-1): ', WOOGLED_OPTIONS[pGroupName].anchor.close.a, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.anchor_setCloseAlpha, pGroupName);
	
	end
	
	gf[namePrefix..'_background']:SetHeight(pRowHeight + (rowIndex * pRowHeight));
end


function OptionsFrame.buildCooldownFrameRowGroup(pGroupName, pParentFrame, pWidth, numColumns, pRowHeight)

	local namePrefix = pGroupName..'_row';
	
		OptionsFrame.buildGroupFrameShell('General Row Options', namePrefix, pParentFrame, pWidth, pRowHeight, Libs.icons.of.group.row);

	local xCoords = OptionsFrame.getColumnCoords(pWidth, numColumns); -- 0-2	
	local rowIndex = 0;
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, numColumns, 20);

		OptionsFrame.buildEditBox(gf, namePrefix..'_spacing', 'Spacing: ', WOOGLED_OPTIONS[pGroupName].row.background.spacing, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setSpacing, pGroupName);
	
		rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 2, 20);

		OptionsFrame.buildSubHeader(gf, namePrefix..'_alignHeader', 'Anchor Alignment', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 3, 40);
	
		OptionsFrame.buildRadioButton(gf, namePrefix..'_alignLeft', 'Left', pRowHeight, gf[namePrefix..'_background'], xCoords[0], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setAlignment, pGroupName, 'left');
	
		OptionsFrame.buildRadioButton(gf, namePrefix..'_alignCenter', 'Center', pRowHeight, gf[namePrefix..'_background'], xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setAlignment, pGroupName, 'center');
	
		OptionsFrame.buildRadioButton(gf, namePrefix..'_alignRight', 'Right', pRowHeight, gf[namePrefix..'_background'], xCoords[2], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setAlignment, pGroupName, 'right');

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 2, 20);

		OptionsFrame.buildSubHeader(gf, namePrefix..'_buildHeader', 'Build Direction', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 2, 40);
	
		OptionsFrame.buildRadioButton(gf, namePrefix..'_buildUp', 'Up', pRowHeight, gf[namePrefix..'_background'], xCoords[0], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setBuildDirection, pGroupName, 'up');
	
		OptionsFrame.buildRadioButton(gf, namePrefix..'_buildDown', 'Down', pRowHeight, gf[namePrefix..'_background'], xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setBuildDirection, pGroupName, 'down');		
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 2, 20);
		
		OptionsFrame.buildSubHeader(gf, namePrefix..'_stackHeader', 'Stack Direction', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);

	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 2, 40);
	
		OptionsFrame.buildRadioButton(gf, namePrefix..'_stackUp', 'Up', pRowHeight, gf[namePrefix..'_background'], xCoords[0], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setStackDirection, pGroupName, 'up');
		
		OptionsFrame.buildRadioButton(gf, namePrefix..'_stackDown', 'Down', pRowHeight, gf[namePrefix..'_background'], xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setStackDirection, pGroupName, 'down');
		
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 2, 20);
	
		OptionsFrame.buildSubHeader(gf, namePrefix..'_sortHeader', 'Sort Type', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 2, 40);

		OptionsFrame.buildRadioButton(gf, namePrefix..'_sortTypeEvent', 'Last used timestamp', pRowHeight, gf[namePrefix..'_background'], xCoords[0], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setSortType, pGroupName, 'event');
		
		OptionsFrame.buildRadioButton(gf, namePrefix..'_sortTypeCooldown', 'Cooldown duration', pRowHeight, gf[namePrefix..'_background'], xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setSortType, pGroupName, 'cooldown');
	
	gf[namePrefix..'_background']:SetHeight(pRowHeight * (rowIndex + 1));
end


function OptionsFrame.buildCooldownFrameUnitGroup(pGroupName, pUnitType, pTitle, pParentFrame, pWidth, numColumns, pRowHeight)
	
	local namePrefix = pGroupName..'_row_'..pUnitType;
	
		OptionsFrame.buildGroupFrameShell(pTitle, namePrefix, pParentFrame, pWidth, pRowHeight, Libs.icons.of.group[pUnitType]);
		
	local xCoords = OptionsFrame.getColumnCoords(pWidth, numColumns); -- 0-2	
	local rowIndex = 0;
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 2, 20);	
		
		OptionsFrame.buildEditBox(gf, namePrefix..'_width', 'Width: ', WOOGLED_OPTIONS[pGroupName].row.background[pUnitType].width, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setWidth, pGroupName, pUnitType);

		OptionsFrame.buildEditBox(gf, namePrefix..'_height', 'Height: ', WOOGLED_OPTIONS[pGroupName].row.background[pUnitType].height, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setHeight, pGroupName, pUnitType);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 20); -- 0-2
	
	OptionsFrame.buildSubHeader(gf, namePrefix..'_iconHeader', 'Spell Icon', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
		rowIndex = rowIndex + 1;
		xCoords = OptionsFrame.getColumnCoords(pWidth, 3, 40); -- 0-2
	
		OptionsFrame.buildCheckButton(gf, namePrefix..'_iconShow', 'Show', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.icon[pUnitType].show, CooldownFrames.row_setIconVisibility, pGroupName, pUnitType);	

		OptionsFrame.buildEditBox(gf, namePrefix..'_iconLength', 'Width/Height: ', WOOGLED_OPTIONS[pGroupName].row.icon[pUnitType].length, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setIconLength, pGroupName, pUnitType);

		OptionsFrame.buildEditBox(gf, namePrefix..'_iconAlpha', 'Alpha (0-1): ', WOOGLED_OPTIONS[pGroupName].row.icon[pUnitType].a, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[2], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setIconAlpha, pGroupName, pUnitType);
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 20);

	OptionsFrame.buildSubHeader(gf, namePrefix..'_statusBarHeader', 'Status Bars', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
		rowIndex = rowIndex + 1;
		xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 40);

		OptionsFrame.buildCheckButton(gf, namePrefix..'_barsShow', 'Show', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.bars[pUnitType].show, CooldownFrames.row_setBarsVisibility, pGroupName, pUnitType);
			
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);
	
			OptionsFrame.buildSubHeader(gf, namePrefix..'_barsMode', 'Bar Mode', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 2, 80);
				
				OptionsFrame.buildRadioButton(gf, namePrefix..'_barsModeFill', 'Fill', pRowHeight, gf[namePrefix..'_background'], xCoords[0], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setBarsMode, pGroupName, 'fill', pUnitType);
	
				OptionsFrame.buildRadioButton(gf, namePrefix..'_barsModeDrain', 'Drain', pRowHeight, gf[namePrefix..'_background'], xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setBarsMode, pGroupName, 'drain', pUnitType);		
		
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);
	
			OptionsFrame.buildSubHeader(gf, namePrefix..'_dividerHeader', 'Divider', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 2, 80);
	
				OptionsFrame.buildCheckButton(gf, namePrefix..'_dividerShow', 'Show', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.divider[pUnitType].show, CooldownFrames.row_setDividerVisibility, pGroupName, pUnitType);
		
				OptionsFrame.buildEditBox(gf, namePrefix..'_dividerWidth', 'Width: ', WOOGLED_OPTIONS[pGroupName].row.divider[pUnitType].width, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setDividerWidth, pGroupName, pUnitType);
			
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);
	
			OptionsFrame.buildSubHeader(gf, namePrefix..'_ignoreIntervalHeader', "Ignore-Spell-Use-Interval Highlight", gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 3, 80);

				OptionsFrame.buildCheckButton(gf, namePrefix..'_ignoreIntervalEnable', 'Enable', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.ignoreInterval[pUnitType].enable, CooldownFrames.row_setIgnoreIntervalEnable, pGroupName, pUnitType);
				
				OptionsFrame.buildColorFrame(gf, namePrefix..'_ignoreIntervalNameColor', 'Name Color: ', gf[namePrefix..'_background'], pRowHeight, xCoords[1], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.name[pUnitType].ignoreIntervalColor);
				gf[namePrefix..'_ignoreIntervalNameColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.name[pUnitType].ignoreIntervalColor, CooldownFrames.row_setNameIgnoreIntervalColor, pGroupName, pUnitType); end);
				
				OptionsFrame.buildColorFrame(gf, namePrefix..'_ignoreIntervalCooldownColor', 'Cooldown Color: ', gf[namePrefix..'_background'], pRowHeight, xCoords[2], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.cooldown[pUnitType].ignoreIntervalColor);
				gf[namePrefix..'_ignoreIntervalCooldownColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.cooldown[pUnitType].ignoreIntervalColor, CooldownFrames.row_setCooldownIgnoreIntervalColor, pGroupName, pUnitType); end);

		rowIndex = rowIndex + 1;
		xCoords = OptionsFrame.getColumnCoords(pWidth, numColumns, 20); -- 0-2
	
		OptionsFrame.buildSubHeader(gf, namePrefix..'_nameHeader', 'Spell Name', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 3, 40); -- 0-2
	
			OptionsFrame.buildCheckButton(gf, namePrefix..'_nameShow', 'Show', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.name[pUnitType].show, CooldownFrames.row_setNameVisibility, pGroupName, pUnitType);
			
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 2, 60); -- 0-2

			OptionsFrame.buildCheckButton(gf, namePrefix..'_nameShowHighlight', 'Highlight between endpoints', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.name[pUnitType].showHighlight, CooldownFrames.row_setNameHighlightVisibility, pGroupName, pUnitType);
	
			OptionsFrame.buildColorFrame(gf, namePrefix..'_nameHighlightColor', 'Highlight Color: ', gf[namePrefix..'_background'], pRowHeight, xCoords[1], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.name[pUnitType].highlightColor);
			gf[namePrefix..'_nameHighlightColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.name[pUnitType].highlightColor, CooldownFrames.row_setNameHighlightColor, pGroupName, pUnitType); end);

		rowIndex = rowIndex + 1;
		xCoords = OptionsFrame.getColumnCoords(pWidth, 4, 20); -- 0-2	
	
		OptionsFrame.buildSubHeader(gf, namePrefix..'_cooldownHeader', 'Cooldown Countdown', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);

			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 3, 40); -- 0-2

			OptionsFrame.buildCheckButton(gf, namePrefix..'_cooldownShow', 'Show', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.cooldown[pUnitType].show, CooldownFrames.row_setCooldownVisibility, pGroupName, pUnitType);
		
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60); -- 0-2
	
			OptionsFrame.buildCheckButton(gf, namePrefix..'_cooldownShowInMinutes', 'Display in minutes if applicable', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.cooldown[pUnitType].showInMinutes, CooldownFrames.row_setCooldownShowInMinutes, pGroupName, pUnitType);

			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 2, 60); -- 0-2

			OptionsFrame.buildCheckButton(gf, namePrefix..'_cooldownEnableCutoff', 'Only show text below threshold', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.cooldown[pUnitType].enableCutoff, CooldownFrames.row_setCooldownEnableCutoff, pGroupName, pUnitType);
	
			OptionsFrame.buildEditBox(gf, namePrefix..'_cooldownCutoff', 'Threshold (seconds): ', WOOGLED_OPTIONS[pGroupName].row.cooldown[pUnitType].cutoffThreshold, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.row_setCooldownCutoff, pGroupName, pUnitType);
	
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 2, 60); -- 0-2

			OptionsFrame.buildCheckButton(gf, namePrefix..'_cooldownShowHightlight', 'Highlight between endpoints', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.cooldown[pUnitType].showHighlight, CooldownFrames.row_setCooldownHighlightColorVisibility, pGroupName, pUnitType);
	
			OptionsFrame.buildColorFrame(gf, namePrefix..'_cooldownHighlightColor', 'Highlight Color: ', gf[namePrefix..'_background'], pRowHeight, xCoords[1], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.cooldown[pUnitType].highlightColor)
			gf[namePrefix..'_cooldownHighlightColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.cooldown[pUnitType].highlightColor, CooldownFrames.row_setCooldownHighlightColor, pGroupName, pUnitType); end);
			
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60); -- 0-2

			OptionsFrame.buildCheckButton(gf, namePrefix..'_cooldownCountdownBothBars', 'Countdown to endpoints separately', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.cooldown[pUnitType].countdownBothBars, CooldownFrames.row_setCooldownCountdownBothBars, pGroupName, pUnitType);
	
	gf[namePrefix..'_background']:SetHeight(pRowHeight * (rowIndex + 1));
end


function OptionsFrame.buildCooldownFrameFontGroup(pGroupName, pParentFrame, pWidth, numColumns, pRowHeight)
	
	local namePrefix = pGroupName..'_font';
	
		OptionsFrame.buildGroupFrameShell('Text: Colors, Sizes, and Fonts', namePrefix, pParentFrame, pWidth, pRowHeight, Libs.icons.of.group.font);
	
	local xCoords = OptionsFrame.getColumnCoords(pWidth, numColumns); -- 0-2	
	local rowIndex = 0;
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 20);	
	
	OptionsFrame.buildSubHeader(gf, namePrefix..'_anchorHeader', 'Anchor', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
		rowIndex = rowIndex + 1;
		xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 40);	
	
		OptionsFrame.buildSubHeader(gf, namePrefix..'_anchorNameHeader', 'Unit Name', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
		
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);
			
			
			OptionsFrame.buildColorFrame(gf, namePrefix..'_anchor_nameColor', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].anchor.name);
			gf[namePrefix..'_anchor_nameColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].anchor.name, CooldownFrames.anchor_setNameColor, pGroupName); end);
			
			OptionsFrame.buildEditBox(gf, namePrefix..'_anchor_nameFontSize', 'Size: ', WOOGLED_OPTIONS[pGroupName].anchor.name.fontSize, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[0]+60, (rowIndex* pRowHeight)*-1, CooldownFrames.anchor_setNameFontSize, pGroupName);
			
			OptionsFrame.buildEditBox(gf, namePrefix..'_anchor_nameFont', 'Path: ', WOOGLED_OPTIONS[pGroupName].anchor.name.font, gf[namePrefix..'_background'], 300, pRowHeight, xCoords[0]+150, (rowIndex* pRowHeight)*-1, CooldownFrames.anchor_setNameFont, pGroupName);
			gf[namePrefix..'_anchor_nameFont_editBox']:SetJustifyH('LEFT');
			
			OptionsFrame.buildMenuButton(gf, namePrefix..'_anchorNamePreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+490, (rowIndex* pRowHeight)*-1, 'Fonts', 'font', CooldownFrames.anchor_setNameFont, pGroupName);
		
		rowIndex = rowIndex + 1;
		xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 40);	
		
		OptionsFrame.buildSubHeader(gf, namePrefix..'_anchorServerHeader', 'Unit Server', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
			
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);
			
			OptionsFrame.buildColorFrame(gf, namePrefix..'_anchor_serverColor', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].anchor.server);
			gf[namePrefix..'_anchor_serverColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].anchor.server, CooldownFrames.anchor_setServerColor, pGroupName); end);
	
			OptionsFrame.buildEditBox(gf, namePrefix..'_anchor_serverFontSize', 'Size: ', WOOGLED_OPTIONS[pGroupName].anchor.server.fontSize, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[0]+60, (rowIndex* pRowHeight)*-1, CooldownFrames.anchor_setServerFontSize, pGroupName);
		
			OptionsFrame.buildEditBox(gf, namePrefix..'_anchor_serverFont', 'Path: ', WOOGLED_OPTIONS[pGroupName].anchor.server.font, gf[namePrefix..'_background'], 300, pRowHeight, xCoords[0]+150, (rowIndex* pRowHeight)*-1, CooldownFrames.anchor_setServerFont, pGroupName);
			gf[namePrefix..'_anchor_serverFont_editBox']:SetJustifyH('LEFT');
			
			OptionsFrame.buildMenuButton(gf, namePrefix..'_anchorServerPreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+490, (rowIndex* pRowHeight)*-1, 'Fonts', 'font', CooldownFrames.anchor_setServerFont, pGroupName)
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 20);	
	
	OptionsFrame.buildSubHeader(gf, namePrefix..'_rowHeader', 'Rows', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
		
		rowIndex = rowIndex + 1;
		xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 40);	
	
		OptionsFrame.buildSubHeader(gf, namePrefix..'_rowPlayerHeader', 'Player Cooldowns', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);	
		
			OptionsFrame.buildSubHeader(gf, namePrefix..'_rowPlayerNameHeader', 'Cooldown Name', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
			
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 80);
				
				OptionsFrame.buildColorFrame(gf, namePrefix..'_row_player_nameColor', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.name.player.color);
				gf[namePrefix..'_row_player_nameColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.name.player.color, CooldownFrames.row_setNameColor, pGroupName, 'player'); end);
	
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_player_nameFontSize', 'Size: ', WOOGLED_OPTIONS[pGroupName].row.name.player.fontSize, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[0]+60, (rowIndex*pRowHeight)*-1, CooldownFrames.row_setNameFontSize, pGroupName, 'player');
			
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_player_nameFont', 'Path: ', WOOGLED_OPTIONS[pGroupName].row.name.player.font, gf[namePrefix..'_background'], 300, pRowHeight, xCoords[0]+150, (rowIndex* pRowHeight)*-1, CooldownFrames.row_setNameFont, pGroupName, 'player');
				gf[namePrefix..'_row_player_nameFont_editBox']:SetJustifyH('LEFT');
					
				OptionsFrame.buildMenuButton(gf, namePrefix..'_row_player_namePreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+490, (rowIndex* pRowHeight)*-1, 'Fonts', 'font', CooldownFrames.row_setNameFont, pGroupName, 'player')
				
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);
				
			OptionsFrame.buildSubHeader(gf, namePrefix..'_rowPlayerCooldownHeader', 'Cooldown Duration', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
					
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 80);
			
				OptionsFrame.buildColorFrame(gf, namePrefix..'_row_player_cooldownColor', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.cooldown.player.color);
				gf[namePrefix..'_row_player_cooldownColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.cooldown.player.color, CooldownFrames.row_setCooldownColor, pGroupName, 'player'); end);

				OptionsFrame.buildEditBox(gf, namePrefix..'_row_player_cooldownFontSize', 'Size: ', WOOGLED_OPTIONS[pGroupName].row.cooldown.player.fontSize, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[0]+60, (rowIndex*pRowHeight)*-1, CooldownFrames.row_setCooldownFontSize, pGroupName, 'player');
				
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_player_cooldownFont', 'Path: ', WOOGLED_OPTIONS[pGroupName].row.cooldown.player.font, gf[namePrefix..'_background'], 300, pRowHeight, xCoords[0]+150, (rowIndex* pRowHeight)*-1, CooldownFrames.row_setCooldownFont, pGroupName, 'player');
				gf[namePrefix..'_row_player_cooldownFont_editBox']:SetJustifyH('LEFT');
					
				OptionsFrame.buildMenuButton(gf, namePrefix..'_row_player_cooldownPreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+490, (rowIndex* pRowHeight)*-1, 'Fonts', 'font', CooldownFrames.row_setCooldownFont, pGroupName, 'player')
				
		rowIndex = rowIndex + 1;
		xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 40);	
	
		OptionsFrame.buildSubHeader(gf, namePrefix..'_rowPetHeader', 'Pet Cooldowns', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);	
		
			OptionsFrame.buildSubHeader(gf, namePrefix..'_rowPetNameHeader', 'Cooldown Name', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
			
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 80);

				OptionsFrame.buildColorFrame(gf, namePrefix..'_row_pet_nameColor', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.name.pet.color);
				gf[namePrefix..'_row_pet_nameColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.name.pet.color, CooldownFrames.row_setNameColor, pGroupName, 'pet'); end);
	
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_pet_nameFontSize', 'Size: ', WOOGLED_OPTIONS[pGroupName].row.name.pet.fontSize, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[0]+60, (rowIndex*pRowHeight)*-1, CooldownFrames.row_setNameFontSize, pGroupName, 'pet');
	
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_pet_nameFont', 'Path: ', WOOGLED_OPTIONS[pGroupName].row.name.pet.font, gf[namePrefix..'_background'], 300, pRowHeight, xCoords[0]+150, (rowIndex* pRowHeight)*-1, CooldownFrames.row_setNameFont, pGroupName, 'pet');
				gf[namePrefix..'_row_pet_nameFont_editBox']:SetJustifyH('LEFT');
					
				OptionsFrame.buildMenuButton(gf, namePrefix..'_row_pet_namePreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+490, (rowIndex* pRowHeight)*-1, 'Fonts', 'font', CooldownFrames.row_setNameFont, pGroupName, 'pet')
				
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);
				
			OptionsFrame.buildSubHeader(gf, namePrefix..'_rowPetCooldownHeader', 'Cooldown Duration', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
					
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 80);

				OptionsFrame.buildColorFrame(gf, namePrefix..'_row_pet_cooldownColor', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.cooldown.pet.color);
				gf[namePrefix..'_row_pet_cooldownColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.cooldown.pet.color, CooldownFrames.row_setCooldownColor, pGroupName, 'pet'); end);

				OptionsFrame.buildEditBox(gf, namePrefix..'_row_pet_cooldownFontSize', 'Size: ', WOOGLED_OPTIONS[pGroupName].row.cooldown.pet.fontSize, gf[namePrefix..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[0]+60, (rowIndex*pRowHeight)*-1, CooldownFrames.row_setCooldownFontSize, pGroupName, 'pet');
	
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_pet_cooldownFont', 'Path: ', WOOGLED_OPTIONS[pGroupName].row.cooldown.pet.font, gf[namePrefix..'_background'], 300, pRowHeight, xCoords[0]+150, (rowIndex* pRowHeight)*-1, CooldownFrames.row_setCooldownFont, pGroupName, 'pet');
				gf[namePrefix..'_row_pet_cooldownFont_editBox']:SetJustifyH('LEFT');
				
				OptionsFrame.buildMenuButton(gf, namePrefix..'_row_pet_cooldownPreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+490, (rowIndex* pRowHeight)*-1, 'Fonts', 'font', CooldownFrames.row_setCooldownFont, pGroupName, 'pet')
			
	gf[namePrefix..'_background']:SetHeight(pRowHeight * (rowIndex + 1));
end


function OptionsFrame.buildCooldownFrameTextureGroup(pGroupName, pParentFrame, pWidth, numColumns, pRowHeight)
		
	local namePrefix = pGroupName..'_texture';
	
		OptionsFrame.buildGroupFrameShell('Frame Colors and Textures', namePrefix, pParentFrame, pWidth, pRowHeight, Libs.icons.of.group.texture);
		
	local xCoords = OptionsFrame.getColumnCoords(pWidth, numColumns); -- 0-2	
	local rowIndex = 0;
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 20);	
	
	OptionsFrame.buildSubHeader(gf, namePrefix..'_anchorHeader', 'Anchor', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
	
		rowIndex = rowIndex + 1;
		xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 40);	
		
		OptionsFrame.buildSubHeader(gf, namePrefix..'_anchorBackgroundHeader', 'Background', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
		
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);
			
			OptionsFrame.buildColorFrame(gf, namePrefix..'_anchorBackgroundColor', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].anchor.background);
			gf[namePrefix..'_anchorBackgroundColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].anchor.background, CooldownFrames.anchor_setBackgroundColor, pGroupName); end);
			
			OptionsFrame.buildCheckButton(gf, namePrefix..'_anchor_backgroundEnableTexture', 'Enable texture', gf[namePrefix..'_background'], pRowHeight, xCoords[0]+60, (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].anchor.background.showTexture, CooldownFrames.anchor_setBackgroundTextureVisibility, pGroupName);
		
			OptionsFrame.buildEditBox(gf, namePrefix..'_anchor_backgroundPath', 'Path: ', WOOGLED_OPTIONS[pGroupName].anchor.background.texture, gf[namePrefix..'_background'], 280, pRowHeight, xCoords[0]+180, (rowIndex* pRowHeight)*-1, CooldownFrames.anchor_setBackgroundTexture, pGroupName);
			gf[namePrefix..'_anchor_backgroundPath_editBox']:SetJustifyH('LEFT');
		
			OptionsFrame.buildMenuButton(gf, namePrefix..'_anchorBackgroundTexturePreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+500, (rowIndex* pRowHeight)*-1, 'Textures', 'statusbar', CooldownFrames.anchor_setBackgroundTexture, pGroupName);
			
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 20);	
	
	OptionsFrame.buildSubHeader(gf, namePrefix..'_rowHeader', 'Rows', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
		
		rowIndex = rowIndex + 1;
		xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 40);	
		
		OptionsFrame.buildSubHeader(gf, namePrefix..'_rowPlayerHeader', 'Player Cooldowns', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
		
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);	
		
			OptionsFrame.buildSubHeader(gf, namePrefix..'_rowBackgroundPlayerHeader', 'Background', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
			
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 80);
				
				OptionsFrame.buildColorFrame(gf, namePrefix..'_row_player_backgroundColor', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.background.player.color);
				gf[namePrefix..'_row_player_backgroundColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.background.player.color, CooldownFrames.row_setBackgroundColor, pGroupName, 'player'); end);
			
				OptionsFrame.buildCheckButton(gf, namePrefix..'_row_player_backgroundEnableTexture', 'Enable texture', gf[namePrefix..'_background'], pRowHeight, xCoords[0]+60, (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.background.player.showTexture, CooldownFrames.row_setBackgroundTextureVisibility, pGroupName, 'player');
			
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_player_backgroundTexture', 'Path: ', WOOGLED_OPTIONS[pGroupName].row.background.player.texture, gf[namePrefix..'_background'], 280, pRowHeight, xCoords[0]+180, (rowIndex* pRowHeight)*-1, CooldownFrames.row_setBackgroundTexture, pGroupName, 'player');
				gf[namePrefix..'_row_player_backgroundTexture_editBox']:SetJustifyH('LEFT');
			
				OptionsFrame.buildMenuButton(gf, namePrefix..'_rowBackgroundPlayerPreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+500, (rowIndex* pRowHeight)*-1, 'Textures', 'statusbar', CooldownFrames.row_setBackgroundTexture, pGroupName, 'player');
			
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);	
			
			OptionsFrame.buildSubHeader(gf, namePrefix..'_rowBar1PlayerHeader', 'Primary Bar', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
			
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 80);
				
				OptionsFrame.buildColorFrame(gf, namePrefix..'_row_player_bar1Color', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.bar1.player.color);
				gf[namePrefix..'_row_player_bar1Color_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.bar1.player.color, CooldownFrames.row_setBar1Color, pGroupName, 'player'); end);
			
				OptionsFrame.buildCheckButton(gf, namePrefix..'_row_player_bar1EnableTexture', 'Enable texture', gf[namePrefix..'_background'], pRowHeight, xCoords[0]+60, (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.bar1.player.showTexture, CooldownFrames.row_setBar1TextureVisibility, pGroupName, 'player');
			
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_player_bar1Texture', 'Path: ', WOOGLED_OPTIONS[pGroupName].row.bar1.player.texture, gf[namePrefix..'_background'], 280, pRowHeight, xCoords[0]+180, (rowIndex* pRowHeight)*-1, CooldownFrames.row_setBar1Texture, pGroupName, 'player');
				gf[namePrefix..'_row_player_bar1Texture_editBox']:SetJustifyH('LEFT');
			
				OptionsFrame.buildMenuButton(gf, namePrefix..'_rowBar1PlayerPreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+500, (rowIndex* pRowHeight)*-1, 'Textures', 'statusbar', CooldownFrames.row_setBar1Texture, pGroupName, 'player');
				
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);	
			
			OptionsFrame.buildSubHeader(gf, namePrefix..'_rowBar2PlayerHeader', 'Secondary Bar', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
			
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 80);
				
				OptionsFrame.buildColorFrame(gf, namePrefix..'_row_player_bar2Color', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.bar2.player.color);
				gf[namePrefix..'_row_player_bar2Color_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.bar2.player.color, CooldownFrames.row_setBar2Color, pGroupName, 'player'); end);
			
				OptionsFrame.buildCheckButton(gf, namePrefix..'_row_player_bar2EnableTexture', 'Enable texture', gf[namePrefix..'_background'], pRowHeight, xCoords[0]+60, (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.bar2.player.showTexture, CooldownFrames.row_setBar2TextureVisibility, pGroupName, 'player');
			
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_player_bar2Texture', 'Path: ', WOOGLED_OPTIONS[pGroupName].row.bar2.player.texture, gf[namePrefix..'_background'], 280, pRowHeight, xCoords[0]+180, (rowIndex* pRowHeight)*-1, CooldownFrames.row_setBar2Texture, pGroupName, 'player');
				gf[namePrefix..'_row_player_bar2Texture_editBox']:SetJustifyH('LEFT');
			
				OptionsFrame.buildMenuButton(gf, namePrefix..'_rowBar2PlayerPreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+500, (rowIndex* pRowHeight)*-1, 'Textures', 'statusbar', CooldownFrames.row_setBar2Texture, pGroupName, 'player');
				
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);	
			
			OptionsFrame.buildSubHeader(gf, namePrefix..'_rowDividerPlayerHeader', 'Divider', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
			
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 80);
				
				OptionsFrame.buildColorFrame(gf, namePrefix..'_row_player_dividerColor', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.divider.player.color);
				gf[namePrefix..'_row_player_dividerColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.divider.player.color, CooldownFrames.row_setDividerColor, pGroupName, 'player'); end);
			
				OptionsFrame.buildCheckButton(gf, namePrefix..'_row_player_dividerEnableTexture', 'Enable texture', gf[namePrefix..'_background'], pRowHeight, xCoords[0]+60, (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.divider.player.showTexture, CooldownFrames.row_setDividerTextureVisibility, pGroupName, 'player');
			
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_player_dividerTexture', 'Path: ', WOOGLED_OPTIONS[pGroupName].row.divider.player.texture, gf[namePrefix..'_background'], 280, pRowHeight, xCoords[0]+180, (rowIndex* pRowHeight)*-1, CooldownFrames.row_setDividerTexture, pGroupName, 'player');
				gf[namePrefix..'_row_player_dividerTexture_editBox']:SetJustifyH('LEFT');
			
				OptionsFrame.buildMenuButton(gf, namePrefix..'_rowDividerPlayerPreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+500, (rowIndex* pRowHeight)*-1, 'Textures', 'statusbar', CooldownFrames.row_setDividerTexture, pGroupName, 'player');
				
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);	
			
			OptionsFrame.buildSubHeader(gf, namePrefix..'_rowIgnoreIntervalPlayerHeader', 'Ignore-Spell-Use-Interval Highlight', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
			
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 80);
				
				OptionsFrame.buildColorFrame(gf, namePrefix..'_row_player_ignoreIntervalColor', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.ignoreInterval.player.color);
				gf[namePrefix..'_row_player_ignoreIntervalColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.ignoreInterval.player.color, CooldownFrames.row_setIgnoreIntervalColor, pGroupName, 'player'); end);

				OptionsFrame.buildCheckButton(gf, namePrefix..'_row_player_ignoreIntervalEnableTexture', 'Enable texture', gf[namePrefix..'_background'], pRowHeight, xCoords[0]+60, (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.ignoreInterval.player.showTexture, CooldownFrames.row_setIgnoreIntervalTextureVisibility, pGroupName, 'player');
			
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_player_ignoreIntervalTexture', 'Path: ', WOOGLED_OPTIONS[pGroupName].row.ignoreInterval.player.texture, gf[namePrefix..'_background'], 280, pRowHeight, xCoords[0]+180, (rowIndex* pRowHeight)*-1, CooldownFrames.row_setIgnoreIntervalTexture, pGroupName, 'player');
				gf[namePrefix..'_row_player_ignoreIntervalTexture_editBox']:SetJustifyH('LEFT');
			
				OptionsFrame.buildMenuButton(gf, namePrefix..'_rowIgnoreIntervalPlayerPreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+500, (rowIndex* pRowHeight)*-1, 'Textures', 'statusbar', CooldownFrames.row_setIgnoreIntervalTexture, pGroupName, 'player');
		
		rowIndex = rowIndex + 1;
		xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 40);	
		
		OptionsFrame.buildSubHeader(gf, namePrefix..'_rowPetHeader', 'Pet Cooldowns', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
			
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);	
		
			OptionsFrame.buildSubHeader(gf, namePrefix..'_rowBackgroundPetHeader', 'Background', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
			
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 80);
				
				OptionsFrame.buildColorFrame(gf, namePrefix..'_row_pet_backgroundColor', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.background.pet.color);
				gf[namePrefix..'_row_pet_backgroundColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.background.pet.color, CooldownFrames.row_setBackgroundColor, pGroupName, 'pet'); end);
			
				OptionsFrame.buildCheckButton(gf, namePrefix..'_row_pet_backgroundEnableTexture', 'Enable texture', gf[namePrefix..'_background'], pRowHeight, xCoords[0]+60, (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.background.pet.showTexture, CooldownFrames.row_setBackgroundTextureVisibility, pGroupName, 'pet');
			
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_pet_backgroundTexture', 'Path: ', WOOGLED_OPTIONS[pGroupName].row.background.pet.texture, gf[namePrefix..'_background'], 280, pRowHeight, xCoords[0]+180, (rowIndex* pRowHeight)*-1, CooldownFrames.row_setBackgroundTexture, pGroupName, 'pet');
				gf[namePrefix..'_row_pet_backgroundTexture_editBox']:SetJustifyH('LEFT');
			
				OptionsFrame.buildMenuButton(gf, namePrefix..'_rowBackgroundPetPreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+500, (rowIndex* pRowHeight)*-1, 'Textures', 'statusbar', CooldownFrames.row_setBackgroundTexture, pGroupName, 'pet');
			
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);
			
			OptionsFrame.buildSubHeader(gf, namePrefix..'_rowBar1PetHeader', 'Primary Bar', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
			
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 80);
				
				OptionsFrame.buildColorFrame(gf, namePrefix..'_row_pet_bar1Color', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.bar1.pet.color);
				gf[namePrefix..'_row_pet_bar1Color_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.bar1.pet.color, CooldownFrames.row_setBar1Color, pGroupName, 'pet'); end);
			
				OptionsFrame.buildCheckButton(gf, namePrefix..'_row_pet_bar1EnableTexture', 'Enable texture', gf[namePrefix..'_background'], pRowHeight, xCoords[0]+60, (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.bar1.pet.showTexture, CooldownFrames.row_setBar1TextureVisibility, pGroupName, 'pet');
			
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_pet_bar1Texture', 'Path: ', WOOGLED_OPTIONS[pGroupName].row.bar1.pet.texture, gf[namePrefix..'_background'], 280, pRowHeight, xCoords[0]+180, (rowIndex* pRowHeight)*-1, CooldownFrames.row_setBar1Texture, pGroupName, 'pet');
				gf[namePrefix..'_row_pet_bar1Texture_editBox']:SetJustifyH('LEFT');
			
				OptionsFrame.buildMenuButton(gf, namePrefix..'_rowBar1PetPreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+500, (rowIndex* pRowHeight)*-1, 'Textures', 'statusbar', CooldownFrames.row_setBar1Texture, pGroupName, 'pet');
				
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);	
			
			OptionsFrame.buildSubHeader(gf, namePrefix..'_rowBar2PetHeader', 'Secondary Bar', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
			
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 80);
				
				OptionsFrame.buildColorFrame(gf, namePrefix..'_row_pet_bar2Color', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.bar2.pet.color);
				gf[namePrefix..'_row_pet_bar2Color_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.bar2.pet.color, CooldownFrames.row_setBar2Color, pGroupName, 'pet'); end);
			
				OptionsFrame.buildCheckButton(gf, namePrefix..'_row_pet_bar2EnableTexture', 'Enable texture', gf[namePrefix..'_background'], pRowHeight, xCoords[0]+60, (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.bar2.pet.showTexture, CooldownFrames.row_setBar2TextureVisibility, pGroupName, 'pet');
			
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_pet_bar2Texture', 'Path: ', WOOGLED_OPTIONS[pGroupName].row.bar2.pet.texture, gf[namePrefix..'_background'], 280, pRowHeight, xCoords[0]+180, (rowIndex* pRowHeight)*-1, CooldownFrames.row_setBar2Texture, pGroupName, 'pet');
				gf[namePrefix..'_row_pet_bar2Texture_editBox']:SetJustifyH('LEFT');
			
				OptionsFrame.buildMenuButton(gf, namePrefix..'_rowBar2PetPreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+500, (rowIndex* pRowHeight)*-1, 'Textures', 'statusbar', CooldownFrames.row_setBar2Texture, pGroupName, 'pet');
				
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);	
			
			OptionsFrame.buildSubHeader(gf, namePrefix..'_rowDividerPetHeader', 'Divider Bar', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
			
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 80);
				
				OptionsFrame.buildColorFrame(gf, namePrefix..'_row_pet_dividerColor', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.divider.pet.color);
				gf[namePrefix..'_row_pet_dividerColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.divider.pet.color, CooldownFrames.row_setDividerColor, pGroupName, 'pet'); end);
			
				OptionsFrame.buildCheckButton(gf, namePrefix..'_row_pet_dividerEnableTexture', 'Enable texture', gf[namePrefix..'_background'], pRowHeight, xCoords[0]+60, (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.divider.pet.showTexture, CooldownFrames.row_setDividerTextureVisibility, pGroupName, 'pet');
			
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_pet_dividerTexture', 'Path: ', WOOGLED_OPTIONS[pGroupName].row.divider.pet.texture, gf[namePrefix..'_background'], 280, pRowHeight, xCoords[0]+180, (rowIndex* pRowHeight)*-1, CooldownFrames.row_setDividerTexture, pGroupName, 'pet');
				gf[namePrefix..'_row_pet_dividerTexture_editBox']:SetJustifyH('LEFT');
			
				OptionsFrame.buildMenuButton(gf, namePrefix..'_rowDividerPetPreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+500, (rowIndex* pRowHeight)*-1, 'Textures', 'statusbar', CooldownFrames.row_setDividerTexture, pGroupName, 'pet');
				
			rowIndex = rowIndex + 1;
			xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 60);	
			
			OptionsFrame.buildSubHeader(gf, namePrefix..'_rowIgnoreIntervalPetHeader', 'Ignore-Spell-Use-Interval Highlight', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1);
			
				rowIndex = rowIndex + 1;
				xCoords = OptionsFrame.getColumnCoords(pWidth, 1, 80);
				
				OptionsFrame.buildColorFrame(gf, namePrefix..'_row_pet_ignoreIntervalColor', '', gf[namePrefix..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.ignoreInterval.pet.color);
				gf[namePrefix..'_row_pet_ignoreIntervalColor_button']:SetScript('OnClick', function() Tools.showColorPicker(WOOGLED_OPTIONS[pGroupName].row.ignoreInterval.pet.color, CooldownFrames.row_setIgnoreIntervalColor, pGroupName, 'pet'); end);
			
				OptionsFrame.buildCheckButton(gf, namePrefix..'_row_pet_ignoreIntervalEnableTexture', 'Enable texture', gf[namePrefix..'_background'], pRowHeight, xCoords[0]+60, (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS[pGroupName].row.ignoreInterval.pet.showTexture, CooldownFrames.row_setIgnoreIntervalTextureVisibility, pGroupName, 'pet');
			
				OptionsFrame.buildEditBox(gf, namePrefix..'_row_pet_ignoreIntervalTexture', 'Path: ', WOOGLED_OPTIONS[pGroupName].row.ignoreInterval.pet.texture, gf[namePrefix..'_background'], 280, pRowHeight, xCoords[0]+180, (rowIndex* pRowHeight)*-1, CooldownFrames.row_setIgnoreIntervalTexture, pGroupName, 'pet');
				gf[namePrefix..'_row_pet_ignoreIntervalTexture_editBox']:SetJustifyH('LEFT');
			
				OptionsFrame.buildMenuButton(gf, namePrefix..'_rowIgnoreIntervalPetPreset', gf[namePrefix..'_background'], 60, pRowHeight, xCoords[0]+500, (rowIndex* pRowHeight)*-1, 'Textures', 'statusbar', CooldownFrames.row_setIgnoreIntervalTexture, pGroupName, 'pet');
			
	gf[namePrefix..'_background']:SetHeight(pRowHeight * (rowIndex + 1));
end


function OptionsFrame.buildFFGroup(pParentFrame, pWidth, numColumns, pRowHeight)
	
	local groupName = 'ff';

	
	local rowIndex = 0;
	
	OptionsFrame.buildGroupFrameShell('Focus Frame', groupName, pParentFrame, pWidth, pRowHeight, Libs.icons.of.panel.focusFrame);
		
	local toolbarButtons = {
		{name = 'texture', frame = gf.ff_texture_background, frameOrder = {gf.ff_background, gf.ff_texture_background}},
		{name = 'font', frame = gf.ff_font_background, frameOrder = {gf.ff_background, gf.ff_font_background}},
		{name = 'pet', frame = gf.ff_row_pet_background, frameOrder = {gf.ff_background, gf.ff_row_pet_background}},
		{name = 'player', frame = gf.ff_row_player_background, frameOrder = {gf.ff_background, gf.ff_row_player_background}},
		{name = 'row', frame = gf.ff_row_background, frameOrder = {gf.ff_background, gf.ff_row_background}},
		{name = 'anchor', frame = gf.ff_anchor_background, frameOrder = {gf.ff_background, gf.ff_anchor_background}},
		{name = 'endpoint', frame = gf.ff_endpoint_background, frameOrder = {gf.ff_background, gf.ff_endpoint_background}},
	};
	
	OptionsFrame.buildPanelToolbar(toolbarButtons, groupName, pParentFrame, gf[groupName..'_background'], pRowHeight, pRowHeight);
	
	rowIndex = rowIndex + 1;
	local xCoords = OptionsFrame.getColumnCoords(pWidth, 3); -- 0-2
	
	OptionsFrame.buildCheckButton(gf, groupName..'_show', 'Show', gf[groupName..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, false, CooldownFrames.setVisibility, 'ff');

	OptionsFrame.buildCheckButton(gf, groupName..'_lock', 'Lock', gf[groupName..'_background'], pRowHeight, xCoords[1], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS.ff.lock, CooldownFrames.setLock, 'ff');
	
	OptionsFrame.buildEditBox(gf, groupName..'_scale', 'Scale: ', WOOGLED_OPTIONS.ff.scale, gf[groupName..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[2], (rowIndex*pRowHeight)*-1, CooldownFrames.setScale, 'ff');
	
	rowIndex = rowIndex + 1;
	xCoords = OptionsFrame.getColumnCoords(pWidth, 1);
	
	OptionsFrame.buildCheckButton(gf, groupName..'_showPet', 'Show pet cooldowns with owner', gf[groupName..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS.ff.showPet, CooldownFrames.showPet, 'ff');
	
	gf[groupName..'_background']:SetHeight(pRowHeight + (rowIndex * pRowHeight));
end


function OptionsFrame.buildEFGroup(pParentFrame, pWidth, numColumns, pRowHeight)
	
	local groupName = 'ef';

	local rowIndex = 0;
	
	OptionsFrame.buildGroupFrameShell('Extra Frames', groupName, pParentFrame, pWidth, pRowHeight, Libs.icons.of.panel.extraFrames);
		
	local toolbarButtons = {
		{name = 'texture', frame = gf.ef_texture_background, frameOrder = {gf.ef_background, gf.ef_texture_background}},
		{name = 'font', frame = gf.ef_font_background, frameOrder = {gf.ef_background, gf.ef_font_background}},
		{name = 'pet', frame = gf.ef_row_pet_background, frameOrder = {gf.ef_background, gf.ef_row_pet_background}},
		{name = 'player', frame = gf.ef_row_player_background, frameOrder = {gf.ef_background, gf.ef_row_player_background}},
		{name = 'row', frame = gf.ef_row_background, frameOrder = {gf.ef_background, gf.ef_row_background}},
		{name = 'anchor', frame = gf.ef_anchor_background, frameOrder = {gf.ef_background, gf.ef_anchor_background}},
		{name = 'endpoint', frame = gf.ef_endpoint_background, frameOrder = {gf.ef_background, gf.ef_endpoint_background}},
	};
	
	OptionsFrame.buildPanelToolbar(toolbarButtons, groupName, pParentFrame, gf[groupName..'_background'], pRowHeight, pRowHeight);
	
	rowIndex = rowIndex + 1;
	local xCoords = OptionsFrame.getColumnCoords(pWidth, 3); -- 0-2
	
	OptionsFrame.buildCheckButton(gf, groupName..'_lock', 'Lock', gf[groupName..'_background'], pRowHeight, xCoords[0], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS.ef.lock, CooldownFrames.setLock, 'ef');
	
	OptionsFrame.buildEditBox(gf, groupName..'_scale', 'Scale: ', WOOGLED_OPTIONS.ef.scale, gf[groupName..'_background'], WOOGLED_OPTIONS.of.group.editBox.width, pRowHeight, xCoords[1], (rowIndex*pRowHeight)*-1, CooldownFrames.setScale, 'ef');
	
	OptionsFrame.buildCheckButton(gf, groupName..'_showPet', 'Show pet cooldowns with owner', gf[groupName..'_background'], pRowHeight, xCoords[2], (rowIndex*pRowHeight)*-1, WOOGLED_OPTIONS.ef.showPet, CooldownFrames.showPet, 'ef');
	
	gf[groupName..'_background']:SetHeight(pRowHeight + (rowIndex * pRowHeight));
end


function OptionsFrame.buildZoneGroup(pParentFrame, pWidth, numColumns, pRowHeight)

	local groupName = 'zone'

	OptionsFrame.buildGroupFrameShell('Zones', groupName, pParentFrame, pWidth, pRowHeight);

	gf[groupName..'_currentSetting'] = gf[groupName..'_background']:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	gf[groupName..'_currentSetting']:SetFont(WOOGLED_OPTIONS.of.group.cooldown.name.font, WOOGLED_OPTIONS.of.group.cooldown.name.fontSize);
	gf[groupName..'_currentSetting']:SetTextColor(1, 1, 1, 1);
	gf[groupName..'_currentSetting']:SetPoint('TOPRIGHT', gf[groupName..'_background'], 'TOPRIGHT', -3, 0);
	gf[groupName..'_currentSetting']:SetText('...');
	
	gf[groupName..'_currentSettingHeader'] = gf[groupName..'_background']:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	gf[groupName..'_currentSettingHeader']:SetFont(WOOGLED_OPTIONS.of.group.cooldown.name.font, WOOGLED_OPTIONS.of.group.cooldown.name.fontSize);
	gf[groupName..'_currentSettingHeader']:SetPoint('RIGHT', gf[groupName..'_currentSetting'], 'LEFT');
	gf[groupName..'_currentSettingHeader']:SetText('Current Setting: ');
	
	gf[groupName..'_description'] = gf[groupName..'_background']:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	gf[groupName..'_description']:SetWidth(pWidth);
	gf[groupName..'_description']:SetHeight(pRowHeight*2);
	gf[groupName..'_description']:SetFont(WOOGLED_OPTIONS.of.group.cooldown.name.font, WOOGLED_OPTIONS.of.group.cooldown.name.fontSize);
	gf[groupName..'_description']:SetTextColor(1, 1, 1, 1);
	gf[groupName..'_description']:SetPoint('TOPLEFT', gf[groupName..'_background'], 'TOPLEFT', 0, -15);
	gf[groupName..'_description']:SetJustifyH('LEFT');
	gf[groupName..'_description']:SetText("These options are set when you first enter the zone. Parsing will automatically be turned on if you have at least one frame toggled to be shown for the zone. Recorded data is cleared when you enter or leave: an arena, a battleground, or a world PvP zone.");
	
	local xCoords = OptionsFrame.getColumnCoords(pWidth - 200, 2); -- 0-3
	for k, v in pairs ( xCoords ) do
		xCoords[k] = xCoords[k] + 200;
	end
	
	--[[gf[groupName..'_showPFHeader'] = gf[groupName..'_background']:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	gf[groupName..'_showPFHeader']:SetFont(WOOGLED_OPTIONS.of.group.cooldown.name.font, WOOGLED_OPTIONS.of.group.cooldown.name.fontSize);
	gf[groupName..'_showPFHeader']:SetText('Show P.F.?');
	gf[groupName..'_showPFHeader']:SetPoint('TOPLEFT', gf[groupName..'_background'], 'TOPLEFT', (xCoords[1]+(pRowHeight/2))-(gf[groupName..'_showPFHeader']:GetWidth()/2), (pRowHeight*3)*-1);]]--
	
	gf[groupName..'_enableTFHeader'] = gf[groupName..'_background']:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	gf[groupName..'_enableTFHeader']:SetFont(WOOGLED_OPTIONS.of.group.cooldown.name.font, WOOGLED_OPTIONS.of.group.cooldown.name.fontSize);
	gf[groupName..'_enableTFHeader']:SetText('Show Target Frame?');
	gf[groupName..'_enableTFHeader']:SetPoint('TOPLEFT', gf[groupName..'_background'], 'TOPLEFT', (xCoords[0]+(pRowHeight/2))-(gf[groupName..'_enableTFHeader']:GetWidth()/2), (pRowHeight*3)*-1);
	
	gf[groupName..'_showFFHeader'] = gf[groupName..'_background']:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	gf[groupName..'_showFFHeader']:SetFont(WOOGLED_OPTIONS.of.group.cooldown.name.font, WOOGLED_OPTIONS.of.group.cooldown.name.fontSize);
	gf[groupName..'_showFFHeader']:SetText('Show Focus Frame?');
	gf[groupName..'_showFFHeader']:SetPoint('TOPLEFT', gf[groupName..'_background'], 'TOPLEFT', (xCoords[1]+(pRowHeight/2))-(gf[groupName..'_showFFHeader']:GetWidth()/2), (pRowHeight*3)*-1);
	
	local zoneGroupArray = {};
	local zoneArray = {}; 
	local zoneIndex = {};
	for zoneName, zoneLibTable in pairs ( Libs.zones ) do
		if ( zoneLibTable.names[WOOGLED.player.locale] ~= nil ) then
			if ( zoneLibTable.groupId ~= nil and Libs.zoneGroups[zoneLibTable.groupId].names[WOOGLED.player.locale] ~= nil ) then
				if ( zoneIndex[zoneLibTable.groupId] == nil ) then
					-- zones with localized names AND localized group names
					table.insert(zoneGroupArray, zoneLibTable.groupId);
					zoneIndex[zoneLibTable.groupId] = Libs.zoneGroups[zoneLibTable.groupId];
				end
			else
				-- zones with localized names
				table.insert(zoneArray, zoneName);
				zoneIndex[zoneName] = zoneLibTable;
			end
		end
	end
	table.sort(zoneGroupArray, OptionsFrame.sortByPlayersPerTeam);
	table.sort(zoneArray, OptionsFrame.sortByPlayersPerTeam);
	
	
	local rowPos = 0;
	local yIndent = pRowHeight * 4;
	
	if ( Libs.duel.trigger[WOOGLED.player.locale] ~= nil ) then
		OptionsFrame.buildZoneRow('duel', Libs.duel.name[WOOGLED.player.locale] or Libs.duel.name.enUS, false, pWidth, pRowHeight, 0, (yIndent+(rowPos*pRowHeight))*-1, xCoords);
		rowPos = rowPos + 1;
		rowPos = rowPos + 1; -- spacer
	end
	
	for i, zoneName in pairs ( zoneGroupArray ) do
		OptionsFrame.buildZoneRow(zoneName, zoneIndex[zoneName].names[WOOGLED.player.locale], zoneIndex[zoneName].hasMap, pWidth, pRowHeight, 0, (yIndent+(rowPos*pRowHeight))*-1, xCoords);
		rowPos = rowPos + 1;
	end
	
	if ( #zoneGroupArray > 0 ) then rowPos = rowPos + 1; end -- spacer
	
	for i, zoneName in pairs ( zoneArray ) do
		OptionsFrame.buildZoneRow(zoneName, zoneIndex[zoneName].names[WOOGLED.player.locale], zoneIndex[zoneName].hasMap, pWidth, pRowHeight, 0, (yIndent+(rowPos*pRowHeight))*-1, xCoords);
		rowPos = rowPos + 1;
	end
	
	if ( #zoneArray > 0 ) then rowPos = rowPos + 1; end -- spacer
	
	OptionsFrame.buildZoneRow('other', 'Everywhere else', false, pWidth, pRowHeight, 0, (yIndent+(rowPos*pRowHeight))*-1, xCoords);
		
	gf[groupName..'_background']:SetHeight(yIndent + ((rowPos + 1) * pRowHeight))	
end
	

function OptionsFrame.buildZoneRow(zoneName, displayName, hasMap, width, rowHeight, xPos, yPos, xCoords)
	
	local columnPos = 0;
	local groupName = 'zone';
	local parentFrame = gf[groupName..'_background'];
	local namePrefix = groupName..'_'..zoneName;
		
	gf[namePrefix..'_background'] = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_FRAMES_GROUP_ZONE_'..strupper(zoneName)..'_BACKGROUND', parentFrame);
	gf[namePrefix..'_background']:SetWidth(width);
	gf[namePrefix..'_background']:SetHeight(rowHeight);
	gf[namePrefix..'_background']:SetPoint('TOPLEFT', parentFrame, 'TOPLEFT', xPos, yPos);
	gf[namePrefix..'_background'].texture = gf[namePrefix..'_background']:CreateTexture();
	gf[namePrefix..'_background'].texture:SetAllPoints(gf[namePrefix..'_background']);
	gf[namePrefix..'_background']:SetScript('OnEnter', function() OptionsFrame.zoneRowHighlight_onEnter(zoneName); end );
	gf[namePrefix..'_background']:SetScript('OnLeave', function() OptionsFrame.zoneRowHighlight_onLeave(zoneName); end );
	gf[namePrefix..'_background']:EnableMouse(true);
		
	gf[namePrefix..'_name'] = gf[namePrefix..'_background']:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	gf[namePrefix..'_name']:SetWidth(150 - 5);
	gf[namePrefix..'_name']:SetHeight(rowHeight);
	gf[namePrefix..'_name']:SetFont(WOOGLED_OPTIONS.of.group.cooldown.name.font, WOOGLED_OPTIONS.of.group.cooldown.name.fontSize);
	gf[namePrefix..'_name']:SetTextColor(1, 1, 1, 1);
	gf[namePrefix..'_name']:SetJustifyH('LEFT');
	gf[namePrefix..'_name']:SetPoint('LEFT', gf[namePrefix..'_background'], 'LEFT');
	gf[namePrefix..'_name']:SetText(displayName);
			
	--[[columnPos = columnPos + 1;
		
	gf[namePrefix..'_showPFButton'] = CreateFrame('CheckButton', 'WOOGLED_OPTIONSFRAME_GROUPFRAMES_'..strupper(namePrefix..'_showPFButton'), gf[namePrefix..'_background']);
	gf[namePrefix..'_showPFButton']:SetWidth(rowHeight);
	gf[namePrefix..'_showPFButton']:SetHeight(rowHeight);
	gf[namePrefix..'_showPFButton']:SetPoint('LEFT', gf[namePrefix..'_background'], 'LEFT', xCoords[columnPos], 0);
	gf[namePrefix..'_showPFButton']:SetChecked(WOOGLED_OPTIONS.zones[zoneName].enablePF);
	gf[namePrefix..'_showPFButton']:SetScript('OnClick', function(self) if ( self:GetChecked() ) then WOOGLED_OPTIONS.zones[zoneName].enablePF = true; else WOOGLED_OPTIONS.zones[zoneName].enablePF = false; end end);
	gf[namePrefix..'_showPFButton']:SetScript('OnEnter', function() OptionsFrame.zoneRowHighlight_onEnter(zoneName); end );
	gf[namePrefix..'_showPFButton']:SetScript('OnLeave', function() OptionsFrame.zoneRowHighlight_onLeave(zoneName); end );
	Tools.setupCheckBox(gf[namePrefix..'_showPFButton']);]]--
	
	--columnPos = columnPos + 1;
	
	gf[namePrefix..'_showTFButton'] = CreateFrame('CheckButton', 'WOOGLED_OPTIONSFRAME_GROUPFRAMES_'..strupper(namePrefix..'_showTFButton'), gf[namePrefix..'_background']);
	gf[namePrefix..'_showTFButton']:SetWidth(rowHeight);
	gf[namePrefix..'_showTFButton']:SetHeight(rowHeight);
	gf[namePrefix..'_showTFButton']:SetPoint('LEFT', gf[namePrefix..'_background'], 'LEFT', xCoords[columnPos], 0);
	gf[namePrefix..'_showTFButton']:SetChecked(WOOGLED_OPTIONS.zones[zoneName].enableTF);
	gf[namePrefix..'_showTFButton']:SetScript('OnClick', function(self) if ( self:GetChecked() ) then WOOGLED_OPTIONS.zones[zoneName].enableTF = true; else WOOGLED_OPTIONS.zones[zoneName].enableTF = false; end end);
	gf[namePrefix..'_showTFButton']:SetScript('OnEnter', function() OptionsFrame.zoneRowHighlight_onEnter(zoneName); end );
	gf[namePrefix..'_showTFButton']:SetScript('OnLeave', function() OptionsFrame.zoneRowHighlight_onLeave(zoneName); end );
	Tools.setupCheckBox(gf[namePrefix..'_showTFButton']);
	
	columnPos = columnPos + 1;
	
	gf[namePrefix..'_showFFButton'] = CreateFrame('CheckButton', 'WOOGLED_OPTIONSFRAME_GROUPFRAMES_'..strupper(namePrefix..'_showFFButton'), gf[namePrefix..'_background']);
	gf[namePrefix..'_showFFButton']:SetWidth(rowHeight);
	gf[namePrefix..'_showFFButton']:SetHeight(rowHeight);
	gf[namePrefix..'_showFFButton']:SetPoint('LEFT', gf[namePrefix..'_background'], 'LEFT', xCoords[columnPos], 0);
	gf[namePrefix..'_showFFButton']:SetChecked(WOOGLED_OPTIONS.zones[zoneName].enableFF);
	gf[namePrefix..'_showFFButton']:SetScript('OnClick', function(self) if ( self:GetChecked() ) then WOOGLED_OPTIONS.zones[zoneName].enableFF = true; else WOOGLED_OPTIONS.zones[zoneName].enableFF = false; end end);
	gf[namePrefix..'_showFFButton']:SetScript('OnEnter', function() OptionsFrame.zoneRowHighlight_onEnter(zoneName); end );
	gf[namePrefix..'_showFFButton']:SetScript('OnLeave', function() OptionsFrame.zoneRowHighlight_onLeave(zoneName); end );
	Tools.setupCheckBox(gf[namePrefix..'_showFFButton']);
end


function OptionsFrame.buildPanel(pNamePrefix, pDisplayName, pParentFrame, pWidth, pIconPath)
	pf[pNamePrefix..'_background'] = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_PANELFRAMES_'..strupper(pNamePrefix)..'_BACKGROUND', pParentFrame);	
	pf[pNamePrefix..'_background']:SetWidth(pWidth);
	pf[pNamePrefix..'_background']:Hide();
	
	if ( pDisplayName ~= nil ) then
		pf[pNamePrefix..'_background'].icon = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_PANELFRAMES_'..strupper(pNamePrefix)..'_ICON', pf[pNamePrefix..'_background']);
		pf[pNamePrefix..'_background'].icon:SetWidth(WOOGLED_OPTIONS.of.panel.header.icon.length);
		pf[pNamePrefix..'_background'].icon:SetHeight(WOOGLED_OPTIONS.of.panel.header.icon.length);
		pf[pNamePrefix..'_background'].icon:SetPoint('TOPLEFT');
		Tools.setupTexture(pf[pNamePrefix..'_background'].icon, pIconPath);
		
		pf[pNamePrefix..'_background'].title = pf[pNamePrefix..'_background']:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
		pf[pNamePrefix..'_background'].title:SetFont(WOOGLED_OPTIONS.of.panel.header.name.font, WOOGLED_OPTIONS.of.panel.header.name.fontSize);
		pf[pNamePrefix..'_background'].title:SetPoint('LEFT', pf[pNamePrefix..'_background'].icon, 'RIGHT', WOOGLED_OPTIONS.of.panel.header.name.indent, 0);
		pf[pNamePrefix..'_background'].title:SetText(pDisplayName);	
	end
end
	
	
function OptionsFrame.fillPanel(pPanelFrame, pGroupFrameArray)
	local totalHeight = 0;
	for i, groupFrame in pairs ( pGroupFrameArray ) do
		if ( i == 1 ) then
			if ( pPanelFrame.icon == nil ) then
				groupFrame:SetPoint('TOP', pPanelFrame);
				totalHeight = totalHeight + groupFrame:GetHeight();
			else
				groupFrame:SetPoint('TOP', pPanelFrame, 'TOP', 0, (pPanelFrame.icon:GetHeight()+WOOGLED_OPTIONS.of.group.spacing)*-1);
				totalHeight = totalHeight + pPanelFrame.icon:GetHeight() + WOOGLED_OPTIONS.of.group.spacing+groupFrame:GetHeight();
			end
		else
			groupFrame:SetPoint('TOP', pGroupFrameArray[i-1], 'BOTTOM', 0, WOOGLED_OPTIONS.of.group.spacing*-1);
			totalHeight = totalHeight + WOOGLED_OPTIONS.of.group.spacing + groupFrame:GetHeight();
		end
	end
	pPanelFrame:SetHeight(totalHeight);
end


function OptionsFrame.buildGroupFrame(pGroupName, pGroupTitle, pParentFrame, pWidth, pRowHeight, pNumColumns, pCooldownGroupTable, pIconPath)
	
	gsi[pGroupName] = {};
	
	local headerHeight = 0;
	local columnWidth = math.floor(pWidth / pNumColumns);
	local columnXPos = {}; -- [index(0)] = x coordinate
	for i = 0, (pNumColumns - 1), 1 do
		columnXPos[i] = math.floor((pWidth / pNumColumns) * i); -- [0] is always x coord 0
	end
	
	local classSpellArray = {}; -- [i] = spellName
	local classSpellTableIndex = {}; -- [i] = spellName
	local specSpellIdIndexes = {}; -- [specName] = [i] = spellName
	local specNameArray = {}; -- [i] = specName
	for spellName, spellTable in pairs ( pCooldownGroupTable ) do
		local specName = spellTable.tree;
		if ( specName == nil ) then
			table.insert(classSpellArray, spellName);
		else
			if ( not specSpellIdIndexes[specName] ) then
				specSpellIdIndexes[specName] = {};
				table.insert(specNameArray, specName);
				table.insert(specSpellIdIndexes[specName], spellName);
			else
				table.insert(specSpellIdIndexes[specName], spellName);
			end
		end
	end
	table.sort(classSpellArray);
	table.sort(specNameArray);
	for specName, specTable in pairs ( specSpellIdIndexes ) do
		table.sort(specTable);
	end	
	
	gf[pGroupName..'_background'] = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_GROUPFRAMES_'..strupper(pGroupName)..'_BACKGROUND', pParentFrame);
	gf[pGroupName..'_background']:SetWidth(pWidth);
	
	gf[pGroupName..'_icon'] = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_GROUPFRAMES_'..strupper(pGroupName)..'_ICON', gf[pGroupName..'_background']);
	gf[pGroupName..'_icon']:SetWidth(WOOGLED_OPTIONS.of.group.header.icon.length);
	gf[pGroupName..'_icon']:SetHeight(WOOGLED_OPTIONS.of.group.header.icon.length);
	gf[pGroupName..'_icon']:SetPoint('TOPLEFT', gf[pGroupName..'_background'], 'TOPLEFT');	
	gf[pGroupName..'_icon'].texture = gf[pGroupName..'_icon']:CreateTexture();
	gf[pGroupName..'_icon'].texture:SetAllPoints(gf[pGroupName..'_icon']);
	gf[pGroupName..'_icon'].texture:SetTexture(pIconPath);
	
	gf[pGroupName..'_name'] = gf[pGroupName..'_background']:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	gf[pGroupName..'_name']:SetPoint('LEFT', gf[pGroupName..'_icon'], 'RIGHT', 5, 0);
	gf[pGroupName..'_name']:SetFont(WOOGLED_OPTIONS.of.group.header.name.font, WOOGLED_OPTIONS.of.group.header.name.fontSize);
	gf[pGroupName..'_name']:SetText(pGroupTitle);
	
	gf[pGroupName..'_uncheckAll_button'] = CreateFrame('Button', 'WOOGLED_OPTIONSFRAME_FRAMES_GROUP_'..strupper(pGroupTitle)..'_UNCHECKALL_BUTTON', gf[pGroupName..'_background']);
	gf[pGroupName..'_uncheckAll_button']:SetWidth(60);
	gf[pGroupName..'_uncheckAll_button']:SetHeight(pRowHeight*0.8);
	gf[pGroupName..'_uncheckAll_button']:SetScript('OnClick', function() OptionsFrame.toggleAllGroupButtons(pGroupName, false); end);
	gf[pGroupName..'_uncheckAll_button'].texture = gf[pGroupName..'_uncheckAll_button']:CreateTexture();
	gf[pGroupName..'_uncheckAll_button'].texture:SetAllPoints(gf[pGroupName..'_uncheckAll_button']);
	gf[pGroupName..'_uncheckAll_button'].texture:SetTexture(0.2, 0.2, 0.2, 1);
	gf[pGroupName..'_uncheckAll_button']:SetPoint('TOPRIGHT');
	
	gf[pGroupName..'_uncheckAll_text'] = gf[pGroupName..'_uncheckAll_button']:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	gf[pGroupName..'_uncheckAll_text']:SetTextColor(1, 1, 1, 1);
	gf[pGroupName..'_uncheckAll_text']:SetFont('Fonts\\ZYKai_T.TTF', 9);
	gf[pGroupName..'_uncheckAll_text']:SetPoint('CENTER');
	gf[pGroupName..'_uncheckAll_text']:SetText('Uncheck all');
	
	gf[pGroupName..'_uncheckAll_button']:SetFontString(gf[pGroupName..'_uncheckAll_text']);
	
	gf[pGroupName..'_checkAll_button'] = CreateFrame('Button', 'WOOGLED_OPTIONSFRAME_FRAMES_GROUP_'..strupper(pGroupTitle)..'_CHECKALL_BUTTON', gf[pGroupName..'_background']);
	gf[pGroupName..'_checkAll_button']:SetWidth(60);
	gf[pGroupName..'_checkAll_button']:SetHeight(pRowHeight*0.8);
	gf[pGroupName..'_checkAll_button']:SetScript('OnClick', function() OptionsFrame.toggleAllGroupButtons(pGroupName, true); end);
	gf[pGroupName..'_checkAll_button'].texture = gf[pGroupName..'_checkAll_button']:CreateTexture();
	gf[pGroupName..'_checkAll_button'].texture:SetAllPoints(gf[pGroupName..'_checkAll_button']);
	gf[pGroupName..'_checkAll_button'].texture:SetTexture(0.2, 0.2, 0.2, 1);
	gf[pGroupName..'_checkAll_button']:SetPoint('RIGHT', gf[pGroupName..'_uncheckAll_button'], 'LEFT', -5, 0);
	
	gf[pGroupName..'_checkAll_text'] = gf[pGroupName..'_checkAll_button']:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	gf[pGroupName..'_checkAll_text']:SetTextColor(1, 1, 1, 1);
	gf[pGroupName..'_checkAll_text']:SetFont('Fonts\\ZYKai_T.TTF', 9);
	gf[pGroupName..'_checkAll_text']:SetPoint('CENTER');
	gf[pGroupName..'_checkAll_text']:SetText('Check all');
	
	gf[pGroupName..'_checkAll_button']:SetFontString(gf[pGroupName..'_checkAll_text']);
	
	headerHeight = gf[pGroupName..'_icon']:GetHeight();

	for i, spellName in pairs ( classSpellArray ) do
		
		local cooldownName = Spells.cooldownNameIndex[pCooldownGroupTable[spellName].mainId];
		OptionsFrame.buildCooldownFrames(pCooldownGroupTable[spellName], cooldownName, gf[pGroupName..'_background'], columnWidth);
		gsi[pGroupName][cooldownName] = pCooldownGroupTable[spellName].mainId;
		
		local yPos;
		if ( i <= pNumColumns ) then
			yPos = 0;
		else
			yPos = math.floor((i - 1) / pNumColumns) * pRowHeight;
		end
		local columnNum = (i - 1) % pNumColumns;
		cdf[cooldownName..'_button']:SetPoint('TOPLEFT', gf[pGroupName..'_background'], 'TOPLEFT', columnXPos[columnNum], (yPos + headerHeight) * -1);
	end
	
	local totalHeight = headerHeight + (math.ceil(#classSpellArray / pNumColumns) * pRowHeight);
	
	if ( #specNameArray > 0 ) then
	
		totalHeight = totalHeight + pRowHeight; -- spacer
		
		local xPosIndex = 0;
		local largestIndex = 0;
		
		-- spec cooldowns
		for specNum, specName in pairs ( specNameArray ) do
			
			local specPrefix = strlower(pGroupName..'_'..specName);
			
			sf[specPrefix..'_icon'] = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_SPECFRAMES_'..strupper(specPrefix)..'_ICON', gf[pGroupName..'_background']);
			sf[specPrefix..'_icon']:SetWidth(WOOGLED_OPTIONS.of.group.subheader.icon.length);
			sf[specPrefix..'_icon']:SetHeight(WOOGLED_OPTIONS.of.group.subheader.icon.length);
			sf[specPrefix..'_icon']:SetPoint('TOPLEFT', gf[pGroupName..'_background'], 'TOPLEFT', columnXPos[xPosIndex], totalHeight * -1);
			sf[specPrefix..'_icon']:SetBackdrop({bgFile = Libs.icons.player.spec[pGroupName][specName], tile = false});
		
			sf[specPrefix..'_name'] = gf[pGroupName..'_background']:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
			sf[specPrefix..'_name']:SetHeight(pRowHeight);
			sf[specPrefix..'_name']:SetFont(WOOGLED_OPTIONS.of.group.subheader.name.font, WOOGLED_OPTIONS.of.group.subheader.name.fontSize);
			sf[specPrefix..'_name']:SetPoint('LEFT', sf[specPrefix..'_icon'], 'RIGHT', 3, 0);
			sf[specPrefix..'_name']:SetText(Libs.classes[pGroupName].spec[specName].name[WOOGLED.player.locale] or Libs.classes[pGroupName].spec[specName].name.enUS);
						
			for i, spellName in pairs ( specSpellIdIndexes[specName] ) do
				
				local cooldownName = Spells.cooldownNameIndex[pCooldownGroupTable[spellName].mainId];
				OptionsFrame.buildCooldownFrames(pCooldownGroupTable[spellName], cooldownName, gf[pGroupName..'_background'], columnWidth);
				gsi[pGroupName][cooldownName] = pCooldownGroupTable[spellName].mainId;
				
				cdf[cooldownName..'_button']:SetPoint('TOPLEFT', sf[specPrefix..'_icon'], 'BOTTOMLEFT', 0, ((i - 1) * pRowHeight) * -1);
			end
			largestIndex = math.max(largestIndex, Tools.countTable(specSpellIdIndexes[specName]));
			xPosIndex = xPosIndex + 1;
		end
		totalHeight = totalHeight + pRowHeight + (largestIndex * pRowHeight);
	end
	gf[pGroupName..'_background']:SetHeight(totalHeight);
end


function OptionsFrame.buildCooldownFrames(pSpellTable, pCooldownName, pParentFrame, pColumnWidth)
	cdf[pCooldownName..'_button'] = CreateFrame('CheckButton', 'WOOGLED_OPTIONSFRAME_COOLDOWNFRAMES_'..strupper(pCooldownName)..'_BUTTON', pParentFrame);
	cdf[pCooldownName..'_button']:SetWidth(WOOGLED_OPTIONS.of.group.cooldown.button.length);
	cdf[pCooldownName..'_button']:SetHeight(WOOGLED_OPTIONS.of.group.cooldown.button.length);
	cdf[pCooldownName..'_button']:SetScript('OnClick', function() OptionsFrame.checkButton_onClick(pSpellTable.mainId, cdf[pCooldownName..'_button']:GetChecked()); end);
	cdf[pCooldownName..'_button']:SetChecked(true);
	Tools.setupCheckBox(cdf[pCooldownName..'_button']);
	OptionsFrame.cooldownButtonIndex[pCooldownName] = 1;

	cdf[pCooldownName..'_icon'] = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_COOLDOWNFRAMES_'..strupper(pCooldownName)..'_ICON', pParentFrame);
	cdf[pCooldownName..'_icon']:SetWidth(WOOGLED_OPTIONS.of.group.cooldown.icon.length);
	cdf[pCooldownName..'_icon']:SetHeight(WOOGLED_OPTIONS.of.group.cooldown.icon.length);
	cdf[pCooldownName..'_icon']:SetPoint('LEFT', cdf[pCooldownName..'_button'], 'RIGHT');
	cdf[pCooldownName..'_icon']:SetScript('OnMouseDown', function() OptionsFrame.printCooldownInfo(pSpellTable) end);
	cdf[pCooldownName..'_icon']:SetScript('OnEnter', function() GameTooltip:SetOwner(f.anchor, 'ANCHOR_BOTTOMLEFT'); GameTooltip:SetSpellByID(pSpellTable.mainId); GameTooltip:Show(); end);
	cdf[pCooldownName..'_icon']:SetScript('OnLeave', function() GameTooltip:Hide(); end);
	cdf[pCooldownName..'_icon']:EnableMouse(true);
	Tools.setupTexture(cdf[pCooldownName..'_icon'], pSpellTable.icon or Tools.getIconPath(pSpellTable.mainId));

	local textWidth = pColumnWidth - cdf[pCooldownName..'_button']:GetWidth() - cdf[pCooldownName..'_icon']:GetWidth() - 5;
	cdf[pCooldownName..'_name'] = pParentFrame:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	cdf[pCooldownName..'_name']:SetWidth(textWidth);
	cdf[pCooldownName..'_name']:SetHeight(WOOGLED_OPTIONS.of.group.cooldown.icon.length);
	cdf[pCooldownName..'_name']:SetFont(WOOGLED_OPTIONS.of.group.cooldown.name.font, WOOGLED_OPTIONS.of.group.cooldown.name.fontSize);
	cdf[pCooldownName..'_name']:SetJustifyH('LEFT');
	cdf[pCooldownName..'_name']:SetPoint('LEFT', cdf[pCooldownName..'_icon'], 'RIGHT', WOOGLED_OPTIONS.of.group.cooldown.name.indent, 0);
	cdf[pCooldownName..'_name']:SetText(pSpellTable.name or Tools.getSpellName(pSpellTable.mainId));
	if ( pSpellTable.ignoreInterval ) then
		Tools.setTextColor(cdf[pCooldownName..'_name'], WOOGLED_OPTIONS.of.group.cooldown.name.ignoreIntervalColor);
	else
		Tools.setTextColor(cdf[pCooldownName..'_name'], WOOGLED_OPTIONS.of.group.cooldown.name.color);
	end
end


function OptionsFrame.checkIgnoreSpellOptions()
	for cooldownName, v in pairs ( WOOGLED_OPTIONS.ignoreSpells ) do
		if ( type(v) ~= 'table' ) then
			if ( OptionsFrame.cooldownButtonIndex[cooldownName] ~= nil ) then
				cdf[cooldownName..'_button']:SetChecked(false);
			else
				WOOGLED_OPTIONS.ignoreSpells[cooldownName] = nil;
			end
		else
			WOOGLED_OPTIONS.ignoreSpells[cooldownName] = nil;
		end
	end
end


function OptionsFrame.printCooldownInfo(spellTable)
	WOOGLED.print('');
	WOOGLED.print('\124cff34B7E2Name:\124r '..(spellTable.name or Tools.getSpellName(spellTable.mainId)));
	local idIndex = {};
	WOOGLED.print('\124cff34B7E2ID(s):\124r');
	if ( spellTable.allIds ~= nil ) then
		table.sort(spellTable.allIds);
		for i, spellId in pairs ( spellTable.allIds ) do
			WOOGLED.print('- '..spellId..' - \124cff71d5ff\124Hspell:'..spellId..'\124h['..Tools.getSpellName(spellId, true)..']\124h\124r');
		end
	else
		WOOGLED.print('- '..spellTable.mainId..' - \124cff71d5ff\124Hspell:'..spellTable.mainId..'\124h['..Tools.getSpellName(spellTable.mainId, true)..']\124h\124r');
	end
	WOOGLED.print('\124cff34B7E2Base Duration:\124r '..OptionsFrame.formatTimeString(spellTable.baseDuration));
	local cooldownString = '';
	if ( spellTable.allDurations ~= nil ) then
		table.sort(spellTable.allDurations);
		local totalCooldowns = Tools.countTable(spellTable.allDurations);
		for k, v in pairs ( spellTable.allDurations ) do
			cooldownString = cooldownString..OptionsFrame.formatTimeString(v);
			if ( k < totalCooldowns ) then
				cooldownString = cooldownString..', ';
			end
		end
		WOOGLED.print('\124cff34B7E2All Durations:\124r '..cooldownString);	
	end
	local totalEvents = Tools.countTable(Libs.events[spellTable.event]);
	local eventString = '';
	local eventCounter = 1;
	for eventName, _ in pairs ( Libs.events[spellTable.event] ) do
		eventString = eventString..eventName;
		if ( eventCounter < totalEvents ) then
			eventString = eventString..', ';
		end
		eventCounter = eventCounter + 1;
	end
	WOOGLED.print('\124cff34B7E2Trigger(s):\124r '..eventString);
	if ( spellTable.recordBuffer ~= nil ) then
		WOOGLED.print('\124cff34B7E2Record Buffer:\124r '..spellTable.recordBuffer);
	end
	if ( spellTable.isCasted ) then
		WOOGLED.print('\124cff34B7E2Is Casted:\124r true');
	end
	if ( spellTable.multiCaster ) then
		WOOGLED.print('\124cff34B7E2Multiple Casters:\124r true');
	end
	if ( spellTable.tier ~= nil ) then
		WOOGLED.print('\124cff34B7E2Talent Tree:\124r '..spellTable.tree);
		WOOGLED.print('\124cff34B7E2Talent Tier:\124r '..spellTable.tier);
	end
	if ( spellTable.ignoreInterval ) then
		WOOGLED.print('\124cff34B7E2Ignore Spell-Use Intervals:\124r true');
		if ( spellTable.ignoreIds ~= nil ) then
			WOOGLED.print('\124cff34B7E2Ignore Interval ID(s):\124r');
			table.sort(spellTable.ignoreIds);
			for k, v in pairs ( spellTable.ignoreIds ) do
				WOOGLED.print('- '..v..' - '..'\124cff71d5ff\124Hspell:'..v..'\124h['..Tools.getSpellName(v, true)..']\124h\124r');
			end
		end
	end
	WOOGLED.print('----------');
end


function OptionsFrame.getColumnCoords(width, numColumns, indent)
	if ( indent ) then
		width = width - indent;
	end
	local columnWidth = math.floor(width / numColumns);
	local xCoords = {}; -- [index(0)] = x coordinate
	for i = 0, (numColumns - 1), 1 do
		xCoords[i] = math.floor((width / numColumns) * i); -- [0] is always x coord 0
		if ( indent ) then
			xCoords[i] = xCoords[i] + indent;
		end
	end
	return  xCoords;
end


function OptionsFrame.show()
	OptionsFrame.setPanel(pf.general_background);
	frames.anchor:ClearAllPoints();
	frames.anchor:SetPoint('CENTER', UIParent, 'CENTER', 0, (frames.background:GetHeight() + frames.anchor:GetHeight()) / 2);		
	frames.anchor:Show();
	frames.anchor:RegisterForDrag('LeftButton');
end


function OptionsFrame.hide()
	frames.anchor:Hide();
	frames.anchor:RegisterForDrag();
end


function OptionsFrame.sortByPlayersPerTeam(a, b)
	if ( not a ) then return false; end
	if ( not b ) then return true; end
	local zoneLibTableA, zoneLibTableB;
	if ( Libs.zoneGroups[a] ~= nil ) then
		zoneLibTableA = Libs.zoneGroups[a];
	else
		zoneLibTableA = Libs.zones[a];
	end
	if ( Libs.zoneGroups[b] ~= nil ) then
		zoneLibTableB = Libs.zoneGroups[b];
	else
		zoneLibTableB = Libs.zones[b];
	end
	if ( zoneLibTableA.playersPerTeam == zoneLibTableB.playersPerTeam ) then
		return zoneLibTableA.names[WOOGLED.player.locale] < zoneLibTableB.names[WOOGLED.player.locale];
	else
		return zoneLibTableA.playersPerTeam < zoneLibTableB.playersPerTeam;
	end
end


function OptionsFrame.zoneRowHighlight_onEnter(varName)
	gf['zone_'..varName..'_background'].texture:SetTexture(0.4, 0.4, 0.4, 0.25);
end


function OptionsFrame.zoneRowHighlight_onLeave(varName)
	gf['zone_'..varName..'_background'].texture:SetTexture(0.4, 0.4, 0.4, 0);
end


function OptionsFrame.checkButton_onClick(pSpellId, pChecked)
	local cooldownName = Spells.cooldownNameIndex[pSpellId];
	if ( pChecked ) then
		WOOGLED_OPTIONS.ignoreSpells[cooldownName] = nil;
	else
		WOOGLED_OPTIONS.ignoreSpells[cooldownName] = 1;
	end
end


function OptionsFrame.okBtn_onClick()
	OptionsFrame.hide();
end


function OptionsFrame.formatTimeString(pSeconds)
	if ( pSeconds >= 60000 ) then
		pSeconds = math.ceil((pSeconds / 60000) * 10) / 10;
		return tostring(pSeconds) .. 'm';
	else
		pSeconds = math.ceil((pSeconds / 1000) * 10) / 10;
		return tostring(pSeconds) .. 's';
	end
end


function OptionsFrame.buildCheckButton(pTable, pName, pText, pParentFrame, pRowHeight, pXPos, pYPos, pInitialState, pHandler, p1, p2)
	pTable[pName..'_button'] = CreateFrame('CheckButton', 'WOOGLED_OPTIONSFRAME_CHECKBUTTONS_'..strupper(pName)..'_BUTTON', pParentFrame);
	pTable[pName..'_button']:SetWidth(pRowHeight);
	pTable[pName..'_button']:SetHeight(pRowHeight);
	pTable[pName..'_button']:SetPoint('TOPLEFT', pParentFrame, 'TOPLEFT', pXPos, pYPos);
	pTable[pName..'_button']:SetScript('OnClick', function() if ( pTable[pName..'_button']:GetChecked() ) then pHandler(true, p1, p2); else pHandler(false, p1, p2); end; end); -- nil reserved for set to default
	pTable[pName..'_button']:SetChecked(pInitialState);
	Tools.setupCheckBox(pTable[pName..'_button']);
		
	pTable[pName..'_text'] = pParentFrame:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	pTable[pName..'_text']:SetFont(WOOGLED_OPTIONS.of.group.cooldown.name.font, WOOGLED_OPTIONS.of.group.cooldown.name.fontSize);
	pTable[pName..'_text']:SetTextColor(1, 1, 1, 1);
	pTable[pName..'_text']:SetPoint('LEFT', pTable[pName..'_button'], 'RIGHT');
	pTable[pName..'_text']:SetText(pText);
end


function OptionsFrame.buildRadioButton(pTable, pName, pText, pRowHeight, pParentFrame, pXPos, pYPos, pHandler, p1, pValue, p2)
	pTable[pName..'_button'] = CreateFrame('CheckButton', 'WOOGLED_OPTIONSFRAME_RADIOBUTTONS_'..strupper(pName)..'_BUTTON', pParentFrame);
	pTable[pName..'_button']:SetWidth(pRowHeight);
	pTable[pName..'_button']:SetHeight(pRowHeight);
	pTable[pName..'_button']:SetPoint('TOPLEFT', pParentFrame, 'TOPLEFT', pXPos, pYPos);
	pTable[pName..'_button']:SetScript('OnClick', function() pHandler(pValue, p1, p2); end);
	Tools.setupRadioButton(pTable[pName..'_button']);
		
	pTable[pName..'_text'] = pParentFrame:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	pTable[pName..'_text']:SetFont(WOOGLED_OPTIONS.of.group.cooldown.name.font, WOOGLED_OPTIONS.of.group.cooldown.name.fontSize);
	pTable[pName..'_text']:SetTextColor(1, 1, 1, 1);
	pTable[pName..'_text']:SetPoint('LEFT', pTable[pName..'_button'], 'RIGHT');
	pTable[pName..'_text']:SetText(pText);
end


function OptionsFrame.buildTextObject(pTable, pName, pText, pParent, pRowHeight, pHighlight)
	pTable[pName] = pParent:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	pTable[pName]:SetHeight(pRowHeight);
	pTable[pName]:SetFont(WOOGLED_OPTIONS.of.group.cooldown.name.font, WOOGLED_OPTIONS.of.group.cooldown.name.fontSize);
	if ( pHighlight ) then
		pTable[pName]:SetTextColor(1, 1, 1, 1);
	end
	pTable[pName]:SetText(pText);
end


function OptionsFrame.buildColorFrame(pTable, pName, pText, pParentFrame, pRowHeight, xPos, yPos, pColorTable)
	pTable[pName..'_text'] = pParentFrame:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	pTable[pName..'_text']:SetHeight(pRowHeight);
	pTable[pName..'_text']:SetFont(WOOGLED_OPTIONS.of.group.cooldown.name.font, WOOGLED_OPTIONS.of.group.cooldown.name.fontSize);
	pTable[pName..'_text']:SetTextColor(1, 1, 1, 1);
	pTable[pName..'_text']:SetPoint('TOPLEFT', pParentFrame, 'TOPLEFT', xPos, yPos);
	pTable[pName..'_text']:SetText(pText);
	
	pTable[pName..'_frame'] = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_COLORPICKERS_'..strupper(pName..'_frame'), pParentFrame);
	pTable[pName..'_frame']:SetWidth(40);
	pTable[pName..'_frame']:SetHeight(pRowHeight * 0.8);
	pTable[pName..'_frame'].texture = pTable[pName..'_frame']:CreateTexture();
	pTable[pName..'_frame'].texture:SetAllPoints(pTable[pName..'_frame']);
	pTable[pName..'_frame'].texture:SetTexture(0.2, 0.2, 0.2, 1);
	pTable[pName..'_frame']:SetPoint('LEFT', pTable[pName..'_text'], 'RIGHT');
	
	pTable[pName..'_button'] = CreateFrame('Button', 'WOOGLED_OPTIONSFRAME_COLORPICKERS_'..strupper(pName..'_button'), pTable[pName..'_frame']);
	pTable[pName..'_button']:SetWidth(40 * 0.8);
	pTable[pName..'_button']:SetHeight(pRowHeight * 0.6);
	pTable[pName..'_button']:SetPoint('CENTER', pTable[pName..'_frame'], 'CENTER');
	pTable[pName..'_button'].texture = pTable[pName..'_button']:CreateTexture();
	pTable[pName..'_button'].texture:SetAllPoints(pTable[pName..'_button']);
	Tools.setColor(pTable[pName..'_button'].texture, pColorTable);
end


function OptionsFrame.buildEditBox(pTable, pName, pText, pBoxText, pParentFrame, pWidth, pRowHeight, pXPos, pYPos, pHandler, p1, p2)
	pTable[pName..'_text'] = pParentFrame:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	pTable[pName..'_text']:SetHeight(pRowHeight);
	pTable[pName..'_text']:SetFont(WOOGLED_OPTIONS.of.group.cooldown.name.font, WOOGLED_OPTIONS.of.group.cooldown.name.fontSize);
	pTable[pName..'_text']:SetTextColor(1, 1, 1, 1);
	pTable[pName..'_text']:SetText(pText);
	pTable[pName..'_text']:SetPoint('TOPLEFT', pParentFrame, 'TOPLEFT', pXPos, pYPos);
	
	pTable[pName..'_frame'] = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_EDITBOX_'..strupper(pName..'_frame'), pParentFrame);
	pTable[pName..'_frame']:SetWidth(pWidth);
	pTable[pName..'_frame']:SetHeight(pRowHeight - 8);
	pTable[pName..'_frame'].texture = pTable[pName..'_frame']:CreateTexture();
	pTable[pName..'_frame'].texture:SetAllPoints(pTable[pName..'_frame']);
	pTable[pName..'_frame'].texture:SetTexture(0.2, 0.2, 0.2, 1);
	pTable[pName..'_frame']:SetPoint('LEFT', pTable[pName..'_text'], 'RIGHT');
	
	pTable[pName..'_editBox'] = CreateFrame('EditBox', 'WOOGLED_OPTIONSFRAME_EDITBOX_'..strupper(pName..'_editBox'), pTable[pName..'_frame']);
	pTable[pName..'_editBox']:SetWidth(pWidth);
	pTable[pName..'_editBox']:SetHeight(pRowHeight - 8);
	pTable[pName..'_editBox']:SetFont(WOOGLED_OPTIONS.of.group.cooldown.name.font, WOOGLED_OPTIONS.of.group.cooldown.name.fontSize);
	pTable[pName..'_editBox']:SetJustifyH('CENTER');
	pTable[pName..'_editBox']:SetAutoFocus(false);
	pTable[pName..'_editBox']:SetPoint('CENTER', pTable[pName..'_frame'], 'CENTER');
	pTable[pName..'_editBox']:SetScript('OnEnterPressed', function() pTable[pName..'_editBox']:ClearFocus(); end);
	pTable[pName..'_editBox']:SetScript('OnEscapePressed', function() pTable[pName..'_editBox']:ClearFocus(); end);
	pTable[pName..'_editBox']:SetScript('OnEditFocusLost', function() pHandler(pTable[pName..'_editBox']:GetText(), p1, p2); end);
	pTable[pName..'_editBox']:SetText(pBoxText);
end


function OptionsFrame.buildSubHeader(pTable, pName, pText, pParentFrame, pRowHeight, pXPos, pYPos)
	pTable[pName] = pParentFrame:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	pTable[pName]:SetHeight(pRowHeight); -- so text is vertically centered
	pTable[pName]:SetFont(WOOGLED_OPTIONS.of.group.cooldown.name.font, WOOGLED_OPTIONS.of.group.cooldown.name.fontSize);
	pTable[pName]:SetPoint('TOPLEFT', pParentFrame, 'TOPLEFT', pXPos, pYPos);
	pTable[pName]:SetText(pText);
end


function OptionsFrame.buildMenuButton(pTable, pName, pParentFrame, pWidth, pRowHeight, pXPos, pYPos, pHeader, pSharedMediaGroup, pHandler, p2, p3)
	pTable[pName..'_menu'] = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_MENU_'..strupper(pName..'_button'), pParentFrame, 'UIDropDownMenuTemplate');
	
	pTable[pName..'_frame'] = CreateFrame('Frame', 'WOOGLED_OPTIONSFRAME_GROUPFRAMES_'..strupper(pName..'_frame'), pParentFrame);
	pTable[pName..'_frame']:SetWidth(pWidth);
	pTable[pName..'_frame']:SetHeight(pRowHeight);
	pTable[pName..'_frame']:SetPoint('TOPLEFT', pParentFrame, 'TOPLEFT', pXPos, pYPos);
	
	pTable[pName..'_button'] = CreateFrame('Button', 'WOOGLED_OPTIONSFRAME_GROUPFRAMES_'..strupper(pName..'_button'), pTable[pName..'_frame']);
	pTable[pName..'_button']:SetWidth(pWidth);
	pTable[pName..'_button']:SetHeight(pRowHeight - 8);
	pTable[pName..'_button']:SetPoint('CENTER');
	Tools.setupTexture(pTable[pName..'_button']);
	pTable[pName..'_button'].texture:SetTexture(0.2, 0.2, 0.2, 1);
	pTable[pName..'_button']:SetScript('OnClick', function() local menu = OptionsFrame.buildMenu(pHeader, pSharedMediaGroup, pHandler, p2, p3); EasyMenu(menu, pTable[pName..'_menu'], 'cursor', 0 , 0, 'MENU'); end);
	
	pTable[pName..'_text'] = pTable[pName..'_button']:CreateFontString('FontString', 'ARTWORK', 'GameFontNormal');
	pTable[pName..'_text']:SetTextColor(1, 1, 1, 1);
	pTable[pName..'_text']:SetFont('Fonts\\ZYKai_T.TTF', 10);
	pTable[pName..'_text']:SetPoint('CENTER');
	pTable[pName..'_text']:SetText('Presets');
	
	pTable[pName..'_button']:SetFontString(pTable[pName..'_text']);
end


function OptionsFrame.toggleAllGroupButtons(pGroupName, pState)
	for cooldownName, spellId in pairs ( gsi[pGroupName] ) do
		cdf[cooldownName..'_button']:SetChecked(pState);
		OptionsFrame.checkButton_onClick(spellId, pState);
	end
end


function OptionsFrame.onScaleChange(pScale)
	local pScale = tonumber(pScale);
	if ( pScale ~= nil and pScale >= 0.5 and pScale <= 1.5 ) then
		WOOGLED_OPTIONS.of.scale = pScale;
	else
		pScale = WOOGLED_OPTIONS.of.scale;
	end
	f.anchor:SetScale(pScale);
	OptionsFrame.frames.scale_editBox:SetText(pScale);
end


function OptionsFrame.buildMenu(pHeader, pSharedMediaGroup, pHandler, p2, p3)
	local menu = {};
	table.insert(menu, {text = '# - F', notCheckable = true, hasArrow = true; menuList = {}});
	table.insert(menu, {text = 'G - L', notCheckable = true, hasArrow = true; menuList = {}});
	table.insert(menu, {text = 'M - R', notCheckable = true, hasArrow = true; menuList = {}});
	table.insert(menu, {text = 'S - Z', notCheckable = true, hasArrow = true; menuList = {}});
	local sharedMediaList = WOOGLED.LibSharedMedia:List(pSharedMediaGroup);
	for i, assetName in pairs ( sharedMediaList ) do
		local initialLetter = strupper(strsub(assetName, 1, 1));
		if ( initialLetter < 'G' ) then
			table.insert(menu[1].menuList, {text = assetName, notCheckable = true, func = function() pHandler(WOOGLED.LibSharedMedia:Fetch(pSharedMediaGroup, assetName), p2, p3); end});
		elseif ( initialLetter < 'M' ) then
			table.insert(menu[2].menuList, {text = assetName, notCheckable = true, func = function() pHandler(WOOGLED.LibSharedMedia:Fetch(pSharedMediaGroup, assetName), p2, p3); end});
		elseif ( initialLetter < 'S' ) then
			table.insert(menu[3].menuList, {text = assetName, notCheckable = true, func = function() pHandler(WOOGLED.LibSharedMedia:Fetch(pSharedMediaGroup, assetName), p2, p3); end});
		else
			table.insert(menu[4].menuList, {text = assetName, notCheckable = true, func = function() pHandler(WOOGLED.LibSharedMedia:Fetch(pSharedMediaGroup, assetName), p2, p3); end});
		end
	end
	table.sort(menu[1].menuList, function(a, b) return a.text < b.text; end);
	table.sort(menu[2].menuList, function(a, b) return a.text < b.text; end);
	table.sort(menu[3].menuList, function(a, b) return a.text < b.text; end);
	table.sort(menu[4].menuList, function(a, b) return a.text < b.text; end);
	table.insert(menu, 1, {text = pHeader, notCheckable = true, isTitle = true});
	table.insert(menu, {text = 'Close', notCheckable = true});
	return menu;
end


function OptionsFrame.setParseOption(pState, pGroupName)
	WOOGLED_OPTIONS.parse[pGroupName] = pState;
end